diff -u -r -N squid-3.1.0.4/bootstrap.sh squid-3.1.0.5/bootstrap.sh
--- squid-3.1.0.4/bootstrap.sh	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/bootstrap.sh	2009-02-03 14:15:27.000000000 +1300
@@ -7,7 +7,7 @@
 # Autotool versions preferred. To override either edit the script
 # to match the versions you want to use, or set the variables on
 # the command line like "env acver=.. amver=... ./bootstrap.sh"
-acversions="${acver:-2.62 2.61 2.59 2.57 2.53 2.52}"
+acversions="${acver:-2.63 2.62 2.61}"
 amversions="${amver:-1.10 1.9 1.7 1.6 1.5}"
 ltversions="${ltver:-1.5 1.4}"
 
diff -u -r -N squid-3.1.0.4/ChangeLog squid-3.1.0.5/ChangeLog
--- squid-3.1.0.4/ChangeLog	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/ChangeLog	2009-02-03 14:15:27.000000000 +1300
@@ -1,4 +1,19 @@
-Changes to squid-3.1.0.4 (23 Jan 2008):
+Changes to squid-3.1.0.5 (03 Feb 2009):
+
+	- Bug 2583: Fixed issue in content adaptation
+	- Bug 2576: Make translate target obey --disable-auto-locale
+	- Bug 2571: Add DNS failover to use IPv4-only listen when IPv6 fails.
+	- Bug 2563: 99+% CPU Usage on FTP URL
+	- Bug 2505, 2524, 2558: fixed several issues on connection handling
+	- Fix several issues in request parsing
+	- Fix memory leak from logformat parsing
+	- Fix various ESI build errors
+	- Make configure tests use C++ instead of C
+	- Drop special localhost conversion RFC violation.
+	- Add Language: Arabic
+	- ... and various documentation and code polish
+
+Changes to squid-3.1.0.4 (23 Jan 2009):
 
 	- Regression Fix: Bug 2558: rollback bug 2395 fix.
 	- Bug 2555: Fixes to SNMP-MIB
diff -u -r -N squid-3.1.0.4/configure squid-3.1.0.5/configure
--- squid-3.1.0.4/configure	2009-01-23 18:38:15.000000000 +1300
+++ squid-3.1.0.5/configure	2009-02-03 14:16:21.000000000 +1300
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Revision: 1.497 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.4.
+# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.5.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -751,8 +751,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.1.0.4'
-PACKAGE_STRING='Squid Web Proxy 3.1.0.4'
+PACKAGE_VERSION='3.1.0.5'
+PACKAGE_STRING='Squid Web Proxy 3.1.0.5'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 
 ac_unique_file="src/main.cc"
@@ -1105,7 +1105,6 @@
 enable_x_accelerator_vary
 enable_ipv6
 with_ipv6_split_stack
-with_localhost_ipv6
 enable_zph_qos
 with_maxfd
 with_filedescriptors
@@ -1683,7 +1682,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.1.0.4 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.1.0.5 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1753,7 +1752,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.4:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.5:";;
    esac
   cat <<\_ACEOF
 
@@ -1984,11 +1983,6 @@
   --with-valgrind-debug   Include debug instrumentation for use with valgrind
   --with-ipv6-split-stack Enable experimental split-stack support for Windows
                           XP. Requires IPv6.
-  --with-localhost-ipv6   WARNING: This is an RFC violation! Treat 127.0.0.1
-                          and ::1 as identical and convert all inputs of
-                          localhost to ::1. This depends on IPv6 support and
-                          all applications squid contacts via localhost being
-                          IPv6 enabled.
 
   --with-filedescriptors=NUMBER
                           Force squid to support NUMBER filedescriptors
@@ -2080,7 +2074,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.1.0.4
+Squid Web Proxy configure 3.1.0.5
 generated by GNU Autoconf 2.62
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2094,7 +2088,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.1.0.4, which was
+It was created by Squid Web Proxy $as_me 3.1.0.5, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   $ $0 $@
@@ -2792,7 +2786,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.1.0.4'
+ VERSION='3.1.0.5'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4287,12 +4281,6 @@
    CC="$am_aux_dir/compile $CC"
 fi
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -4778,6 +4766,12 @@
 fi
 
 
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
 # Make sure we can run config.sub.
 $SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
   { { $as_echo "$as_me:$LINENO: error: cannot run $SHELL $ac_aux_dir/config.sub" >&5
@@ -5626,6 +5620,7 @@
 compiler=$CC
 
 
+
 # Check whether --enable-libtool-lock was given.
 if test "${enable_libtool_lock+set}" = set; then
   enableval=$enable_libtool_lock;
@@ -5657,7 +5652,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5660 "configure"' > conftest.$ac_ext
+  echo '#line 5655 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6723,7 +6718,6 @@
 
 fi
 
-
 ac_ext=f
 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -6988,11 +6982,11 @@
 else
   G77=
 fi
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 
 
@@ -8129,7 +8123,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -8280,11 +8274,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8283: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8277: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8287: \$? = $ac_status" >&5
+   echo "$as_me:8281: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8570,11 +8564,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8573: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8567: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8577: \$? = $ac_status" >&5
+   echo "$as_me:8571: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8674,11 +8668,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8677: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8671: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8681: \$? = $ac_status" >&5
+   echo "$as_me:8675: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11074,7 +11068,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11077 "configure"
+#line 11071 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11174,7 +11168,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11177 "configure"
+#line 11171 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11804,11 +11798,11 @@
 fi
 
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 CC="$lt_save_CC"
 
@@ -13583,11 +13577,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13586: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13580: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13590: \$? = $ac_status" >&5
+   echo "$as_me:13584: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13687,11 +13681,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13690: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13684: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13694: \$? = $ac_status" >&5
+   echo "$as_me:13688: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14858,11 +14852,11 @@
 fi
 
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 CC=$lt_save_CC
 LDCXX=$LD
@@ -15270,11 +15264,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15273: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15267: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15277: \$? = $ac_status" >&5
+   echo "$as_me:15271: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15374,11 +15368,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15377: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15371: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15381: \$? = $ac_status" >&5
+   echo "$as_me:15375: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17487,11 +17481,11 @@
 fi
 
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 CC="$lt_save_CC"
 
@@ -17589,11 +17583,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17592: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17586: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17596: \$? = $ac_status" >&5
+   echo "$as_me:17590: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17879,11 +17873,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17882: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17876: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17886: \$? = $ac_status" >&5
+   echo "$as_me:17880: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17983,11 +17977,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17986: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17980: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17990: \$? = $ac_status" >&5
+   echo "$as_me:17984: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18475,7 +18469,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -18545,7 +18539,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -20116,11 +20110,11 @@
 fi
 
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 CC="$lt_save_CC"
 
@@ -20602,11 +20596,11 @@
 fi
 
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 CC="$lt_save_CC"
 
@@ -21330,11 +21324,11 @@
 
   LIBS="$lt_save_LIBS"
 fi
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 
 
@@ -21535,8 +21529,10 @@
 	CFLAGS="$CFLAGS -mthreads"
 	CXXFLAGS="$CXXFLAGS -mthreads"
 	if test "$ac_cv_path_WIN32_PSAPI" = "none"; then
-		echo "PSAPI.DLL is recommended to run Squid on Windows NT Platform"
-		echo "Please see PSAPI.DLL section on doc/win32-relnotes.html."
+		{ $as_echo "$as_me:$LINENO: PSAPI.DLL is recommended to run Squid on Windows NT Platform" >&5
+$as_echo "$as_me: PSAPI.DLL is recommended to run Squid on Windows NT Platform" >&6;}
+		{ $as_echo "$as_me:$LINENO: Please see PSAPI.DLL section on doc/win32-relnotes.html." >&5
+$as_echo "$as_me: Please see PSAPI.DLL section on doc/win32-relnotes.html." >&6;}
 	else
 
 cat >>confdefs.h <<\_ACEOF
@@ -21646,8 +21642,11 @@
     case "$host" in
     i386-*-freebsd*)
 	if test $GCCVER2 -lt 300 ; then
-	    echo "ERROR: GCC $GCCVER causes a coredump on $host"
-	    echo "ERROR: Try a more recent GCC version"
+	    { { $as_echo "$as_me:$LINENO: error: GCC $GCCVER causes a coredump on $host. Try a more recent GCC version
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: GCC $GCCVER causes a coredump on $host. Try a more recent GCC version
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
 	    sleep 5
 	fi
 	;;
@@ -21776,7 +21775,8 @@
 # Check whether --enable-optimizations was given.
 if test "${enable_optimizations+set}" = set; then
   enableval=$enable_optimizations;  if test "$enableval" = "no" ; then
-	echo "Disabling compiler optimizations (-O flag)"
+	{ $as_echo "$as_me:$LINENO: Disabling compiler optimizations (-O flag)" >&5
+$as_echo "$as_me: Disabling compiler optimizations (-O flag)" >&6;}
 	CFLAGS="`echo $CFLAGS | sed -e 's/-O[0-9]*//'`"
 	CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-O[0-9]*//'`"
         SquidInline="no"
@@ -21806,7 +21806,8 @@
 _ACEOF
 
 else
-    echo "Inlining optimization disabled"
+    { $as_echo "$as_me:$LINENO: Inlining optimization disabled" >&5
+$as_echo "$as_me: Inlining optimization disabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define _SQUID_INLINE_ /**/
@@ -21817,7 +21818,8 @@
 # Check whether --enable-debug-cbdata was given.
 if test "${enable_debug_cbdata+set}" = set; then
   enableval=$enable_debug_cbdata;  if test "$enableval" = "yes" ; then
-    echo "cbdata debugging enabled"
+    { $as_echo "$as_me:$LINENO: cbdata debugging enabled" >&5
+$as_echo "$as_me: cbdata debugging enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define CBDATA_DEBUG 1
@@ -21833,7 +21835,8 @@
 # Check whether --enable-xmalloc-statistics was given.
 if test "${enable_xmalloc_statistics+set}" = set; then
   enableval=$enable_xmalloc_statistics;  if test "$enableval" = "yes" ; then
-    echo "Malloc statistics enabled"
+    { $as_echo "$as_me:$LINENO: malloc statistics enabled" >&5
+$as_echo "$as_me: malloc statistics enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define XMALLOC_STATISTICS 1
@@ -21880,7 +21883,8 @@
 fi
 
 if test "$aufs_io_threads"; then
-    echo "With $aufs_io_threads aufs threads"
+    { $as_echo "$as_me:$LINENO: With $aufs_io_threads aufs threads" >&5
+$as_echo "$as_me: With $aufs_io_threads aufs threads" >&6;}
 
 cat >>confdefs.h <<_ACEOF
 #define AUFS_IO_THREADS $aufs_io_threads
@@ -21895,7 +21899,8 @@
 fi
 
 if test "$with_pthreads" = "yes"; then
-    echo "With pthreads"
+  { $as_echo "$as_me:$LINENO: With pthreads" >&5
+$as_echo "$as_me: With pthreads" >&6;}
 fi
 
 
@@ -21905,7 +21910,8 @@
 fi
 
 if test "$with_aio" = "yes"; then
-    echo "With aio"
+  { $as_echo "$as_me:$LINENO: With aio" >&5
+$as_echo "$as_me: With aio" >&6;}
 fi
 
 
@@ -21916,7 +21922,8 @@
 fi
 
 if test "$with_dl" = "yes"; then
-    echo "With dl"
+  { $as_echo "$as_me:$LINENO: With dl" >&5
+$as_echo "$as_me: With dl" >&6;}
 fi
 
 # Check whether --enable-storeio was given.
@@ -21951,7 +21958,8 @@
     for module in $STORE_MODULES_FULL; do
         have_mod=`echo "$STORE_MODULES" | grep "$module"`
         if test "$have_mod" != ""; then
-	    echo "Removing duplicate $module from storeio"
+	    { $as_echo "$as_me:$LINENO: Removing duplicate $module from storeio" >&5
+$as_echo "$as_me: Removing duplicate $module from storeio" >&6;}
 	elif test -d $srcdir/src/fs/$module; then
 	    STORE_MODULES="$STORE_MODULES $module"
 	    STORE_LINKOBJS="$STORE_LINKOBJS fs/${module}/StoreFS${module}.o"
@@ -21961,7 +21969,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "Store modules built: $STORE_MODULES"
+    { $as_echo "$as_me:$LINENO: Store modules built: $STORE_MODULES" >&5
+$as_echo "$as_me: Store modules built: $STORE_MODULES" >&6;}
 fi
 UFS_FOUND=
 NEED_UFS=
@@ -22005,7 +22014,8 @@
 done
 
 if test -z "$UFS_FOUND" && test -n "$NEED_UFS"; then
-    echo "adding UFS, as it contains core logic for diskd and aufs"
+    { $as_echo "$as_me:$LINENO: Adding UFS, as it contains core logic for diskd and aufs" >&5
+$as_echo "$as_me: Adding UFS, as it contains core logic for diskd and aufs" >&6;}
     STORE_OBJS="$STORE_OBJS fs/libufs.a"
     STORE_LIBS="$STORE_LIBS libufs.a"
     STORE_MODULES="$STORE_MODULES ufs"
@@ -22025,7 +22035,8 @@
 	for dir in $srcdir/src/DiskIO/*; do
 	    module="`basename $dir`"
 	    if test -d "$dir" && test "$module" != CVS; then
-		echo "Autodetected $module DiskIO module"
+		{ $as_echo "$as_me:$LINENO: Autodetected $module DiskIO module" >&5
+$as_echo "$as_me: Autodetected $module DiskIO module" >&6;}
 		DISK_MODULES="$DISK_MODULES $module"
 	    fi
 	done
@@ -22055,7 +22066,8 @@
 else
    if test -z "$DISK_MODULES"; then
     DISK_MODULES="Blocking"
-    echo "Enabling Blocking DiskIO module (required default)"
+    { $as_echo "$as_me:$LINENO: Enabling Blocking DiskIO module (required default)" >&5
+$as_echo "$as_me: Enabling Blocking DiskIO module (required default)" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_DISKIO 1
@@ -22078,7 +22090,8 @@
     DISK_LIBS="lib`echo $DISK_MODULES|sed -e 's% %.a lib%g'`.a"
     DISK_LINKOBJS=
     for module in $DISK_MODULES; do
-        echo "Enabling $module DiskIO module"
+        { $as_echo "$as_me:$LINENO: Enabling $module DiskIO module" >&5
+$as_echo "$as_me: Enabling $module DiskIO module" >&6;}
         DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/${module}/${module}DiskIOModule.o"
     done
 fi
@@ -22100,14 +22113,16 @@
 done
 
 if test -z "$FOUND_BLOCKING" && test -n "$NEED_BLOCKING"; then
-    echo "adding Blocking, as it is used by an active, legacy Store Module"
+    { $as_echo "$as_me:$LINENO: adding Blocking, as it is used by an active, legacy Store Module" >&5
+$as_echo "$as_me: adding Blocking, as it is used by an active, legacy Store Module" >&6;}
     DISK_LIBS="$DISK_LIBS libBlocking.a"
     DISK_MODULES="$DISK_MODULES Blocking"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/Blocking/BlockingDiskIOModule.o"
 fi
 
 if test -z "$FOUND_DISKDAEMON" && test -n "$NEED_DISKDAEMON"; then
-    echo "adding DiskDaemon, as it is used by an active, legacy Store Module"
+    { $as_echo "$as_me:$LINENO: \"adding DiskDaemon, as it is used by an active, legacy Store Module" >&5
+$as_echo "$as_me: \"adding DiskDaemon, as it is used by an active, legacy Store Module" >&6;}
     DISK_LIBS="$DISK_LIBS libDiskDaemon.a"
     DISK_MODULES="$DISK_MODULES DiskDaemon"
     DISK_PROGRAMS="$DISK_PROGRAMS DiskIO/DiskDaemon/diskd"
@@ -22115,19 +22130,22 @@
 fi
 
 if test -z "$FOUND_DISKTHREADS" && test -n "$NEED_DISKTHREADS"; then
-    echo "adding DiskThreads, as it is used by an active, legacy Store Module"
+    { $as_echo "$as_me:$LINENO: adding DiskThreads, as it is used by an active, legacy Store Module" >&5
+$as_echo "$as_me: adding DiskThreads, as it is used by an active, legacy Store Module" >&6;}
     DISK_LIBS="$DISK_LIBS libDiskThreads.a"
     DISK_MODULES="$DISK_MODULES DiskThreads"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/DiskThreads/DiskThreadsDiskIOModule.o"
 fi
 
 if test -z "$FOUND_AIO" && test -n "$NEED_AIO"; then
-    echo "adding AIO, as it is used by an active, legacy Store Module"
+    { $as_echo "$as_me:$LINENO: adding AIO, as it is used by an active, legacy Store Module" >&5
+$as_echo "$as_me: adding AIO, as it is used by an active, legacy Store Module" >&6;}
     DISK_LIBS="$DISK_LIBS libAIO.a"
     DISK_MODULES="$DISK_MODULES AIO"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/AIO/AIODiskIOModule.o"
 fi
-echo "IO Modules built: $DISK_MODULES"
+{ $as_echo "$as_me:$LINENO: IO Modules built: $DISK_MODULES" >&5
+$as_echo "$as_me: IO Modules built: $DISK_MODULES" >&6;}
 USE_AIOPS_WIN32=0
 USE_AIO_WIN32=0
 for fs in $DISK_MODULES none; do
@@ -22137,10 +22155,12 @@
             case "$host_os" in
             mingw|mingw32)
         	USE_AIOPS_WIN32=1
-	        echo "DiskThreads IO Module used, Windows threads support automatically enabled"
+	        { $as_echo "$as_me:$LINENO: DiskThreads IO Module used, Windows threads support automatically enabled" >&5
+$as_echo "$as_me: DiskThreads IO Module used, Windows threads support automatically enabled" >&6;}
                 ;;
             *)
-	        echo "DiskThreads IO Module used, pthreads support automatically enabled"
+	        { $as_echo "$as_me:$LINENO: DiskThreads IO Module used, pthreads support automatically enabled" >&5
+$as_echo "$as_me: DiskThreads IO Module used, pthreads support automatically enabled" >&6;}
 	        with_pthreads=yes
                 ;;
             esac
@@ -22151,10 +22171,12 @@
             case "$host_os" in
             mingw|mingw32)
         	USE_AIO_WIN32=1
-	        echo "Aio IO Module used, Windows overlapped I/O support automatically enabled"
+	        { $as_echo "$as_me:$LINENO: Aio IO Module used, Windows overlapped I/O support automatically enabled" >&5
+$as_echo "$as_me: Aio IO Module used, Windows overlapped I/O support automatically enabled" >&6;}
                 ;;
             *)
-	        echo "Aio IO Module used, aio support automatically enabled"
+	        { $as_echo "$as_me:$LINENO: Aio IO Module used, aio support automatically enabled" >&5
+$as_echo "$as_me: Aio IO Module used, aio support automatically enabled" >&6;}
 	        with_aio=yes
                 ;;
             esac
@@ -22208,7 +22230,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22276,7 +22298,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22365,7 +22387,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22453,7 +22475,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "Removal policies built: $REPL_POLICIES"
+    { $as_echo "$as_me:$LINENO: Removal policies built: $REPL_POLICIES" >&5
+$as_echo "$as_me: Removal policies built: $REPL_POLICIES" >&6;}
     REPL_OBJS="repl/lib`echo $REPL_POLICIES|sed -e 's% %.a repl/lib%g'`.a"
     REPL_LIBS="`echo $REPL_OBJS|sed -e 's%repl/%%g'`"
 fi
@@ -22474,7 +22497,8 @@
 # Check whether --enable-icmp was given.
 if test "${enable_icmp+set}" = set; then
   enableval=$enable_icmp;  if test "$enableval" = "yes" ; then
-    echo "ICMP enabled"
+    { $as_echo "$as_me:$LINENO: ICMP enabled" >&5
+$as_echo "$as_me: ICMP enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_ICMP 1
@@ -22508,7 +22532,8 @@
 # Check whether --enable-delay-pools was given.
 if test "${enable_delay_pools+set}" = set; then
   enableval=$enable_delay_pools;  if test "$enableval" = "yes" ; then
-    echo "Delay pools enabled"
+    { $as_echo "$as_me:$LINENO: Delay pools enabled" >&5
+$as_echo "$as_me: Delay pools enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define DELAY_POOLS 1
@@ -22603,7 +22628,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22673,7 +22698,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22833,7 +22858,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -22930,7 +22955,8 @@
 # Check whether --enable-useragent-log was given.
 if test "${enable_useragent_log+set}" = set; then
   enableval=$enable_useragent_log;  if test "$enableval" = "yes" ; then
-    echo "User-Agent logging enabled"
+    { $as_echo "$as_me:$LINENO: User-Agent logging enabled" >&5
+$as_echo "$as_me: User-Agent logging enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_USERAGENT_LOG 1
@@ -22944,7 +22970,8 @@
 # Check whether --enable-referer-log was given.
 if test "${enable_referer_log+set}" = set; then
   enableval=$enable_referer_log;  if test "$enableval" = "yes" ; then
-    echo "Referer logging enabled"
+    { $as_echo "$as_me:$LINENO: Referer logging enabled" >&5
+$as_echo "$as_me: Referer logging enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_REFERER_LOG 1
@@ -22959,7 +22986,8 @@
 # Check whether --enable-wccp was given.
 if test "${enable_wccp+set}" = set; then
   enableval=$enable_wccp;  if test "$enableval" = "no" ; then
-    echo "Web Cache Coordination Protocol disabled"
+    { $as_echo "$as_me:$LINENO: Web Cache Coordination Protocol disabled" >&5
+$as_echo "$as_me: Web Cache Coordination Protocol disabled" >&6;}
     USE_WCCP=0
   fi
 
@@ -22977,7 +23005,8 @@
 # Check whether --enable-wccpv2 was given.
 if test "${enable_wccpv2+set}" = set; then
   enableval=$enable_wccpv2;  if test "$enableval" = "no" ; then
-    echo "Web Cache Coordination V2 Protocol disabled"
+    { $as_echo "$as_me:$LINENO: \"Web Cache Coordination V2 Protocol disabled" >&5
+$as_echo "$as_me: \"Web Cache Coordination V2 Protocol disabled" >&6;}
     USE_WCCPv2=0
   fi
 
@@ -22994,7 +23023,8 @@
 # Check whether --enable-kill-parent-hack was given.
 if test "${enable_kill_parent_hack+set}" = set; then
   enableval=$enable_kill_parent_hack;  if test "$enableval" = "yes" ; then
-    echo "Kill parent on shutdown"
+    { $as_echo "$as_me:$LINENO: Kill parent on shutdown" >&5
+$as_echo "$as_me: Kill parent on shutdown" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define KILL_PARENT_OPT 1
@@ -23009,7 +23039,8 @@
 # Check whether --enable-snmp was given.
 if test "${enable_snmp+set}" = set; then
   enableval=$enable_snmp;  if test "$enableval" = "no" ; then
-    echo "SNMP monitoring disabled"
+    { $as_echo "$as_me:$LINENO: SNMP monitoring disabled" >&5
+$as_echo "$as_me: SNMP monitoring disabled" >&6;}
     USE_SNMP=
   fi
 
@@ -23046,7 +23077,8 @@
 #define CACHEMGR_HOSTNAME getfullhostname()
 _ACEOF
 
-       echo "Cachemgr default hostname == host where cachemgr runs"
+       { $as_echo "$as_me:$LINENO: Cachemgr default hostname == host where cachemgr runs" >&5
+$as_echo "$as_me: Cachemgr default hostname == host where cachemgr runs" >&6;}
        ;;
    no)
        : # Nothing to do..
@@ -23056,7 +23088,8 @@
 #define CACHEMGR_HOSTNAME "${enableval}"
 _ACEOF
 
-       echo "Cachemgr default hostname set to ${enableval}"
+       { $as_echo "$as_me:$LINENO: Cachemgr default hostname set to ${enableval}" >&5
+$as_echo "$as_me: Cachemgr default hostname set to ${enableval}" >&6;}
        ;;
    esac
 
@@ -23076,7 +23109,8 @@
 # Check whether --enable-arp-acl was given.
 if test "${enable_arp_acl+set}" = set; then
   enableval=$enable_arp_acl;   if test "$enableval" = "yes" ; then
-     echo "ARP ACL lists enabled (ether address)"
+     { $as_echo "$as_me:$LINENO: ARP ACL lists enabled (ether address)" >&5
+$as_echo "$as_me: ARP ACL lists enabled (ether address)" >&6;}
      case "$host" in
 	*-linux-*)
 	    ;;
@@ -23095,7 +23129,8 @@
         LIBS="$LIBS -liphlpapi"
 	    ;;
 	*)
-	    echo "WARNING: ARP ACL support probably won't work on $host."
+	    { $as_echo "$as_me:$LINENO: WARNING: ARP ACL support probably won't work on $host." >&5
+$as_echo "$as_me: WARNING: ARP ACL support probably won't work on $host." >&2;}
 	    sleep 10
 	    ;;
      esac
@@ -23133,7 +23168,8 @@
 # Check whether --enable-htcp was given.
 if test "${enable_htcp+set}" = set; then
   enableval=$enable_htcp;  if test "$enableval" = "no" ; then
-    echo "HTCP support disabled"
+    { $as_echo "$as_me:$LINENO: HTCP support disabled" >&5
+$as_echo "$as_me: HTCP support disabled" >&6;}
   fi
 
 fi
@@ -23170,7 +23206,8 @@
 # Check whether --enable-ssl was given.
 if test "${enable_ssl+set}" = set; then
   enableval=$enable_ssl;  if test "$enableval" != "no"; then
-    echo "SSL gatewaying using OpenSSL enabled"
+    { $as_echo "$as_me:$LINENO: SSL gatewaying using OpenSSL enabled" >&5
+$as_echo "$as_me: SSL gatewaying using OpenSSL enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_SSL 1
@@ -23220,7 +23257,8 @@
 fi
 
 if test -n "$USE_OPENSSL"; then
-  echo "Using OpenSSL MD5 implementation"
+  { $as_echo "$as_me:$LINENO: Using OpenSSL MD5 implementation" >&5
+$as_echo "$as_me: Using OpenSSL MD5 implementation" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_OPENSSL 1
@@ -23230,7 +23268,8 @@
     SSLLIB="-lcrypto" # for MD5 routines
   fi
     if test -d /usr/kerberos/include && test -z "$SSLLIBDIR" && test -f /usr/include/openssl/kssl.h; then
-    echo "OpenSSL depends on Kerberos"
+    { $as_echo "$as_me:$LINENO: OpenSSL depends on Kerberos" >&5
+$as_echo "$as_me: OpenSSL depends on Kerberos" >&6;}
     SSLLIBDIR="/usr/kerberos/lib"
     CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include"
   fi
@@ -23244,7 +23283,8 @@
 # Check whether --enable-forw-via-db was given.
 if test "${enable_forw_via_db+set}" = set; then
   enableval=$enable_forw_via_db;  if test "$enableval" = "yes" ; then
-    echo "FORW-VIA enabled"
+    { $as_echo "$as_me:$LINENO: FORW-VIA enabled" >&5
+$as_echo "$as_me: FORW-VIA enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define FORW_VIA_DB 1
@@ -23258,7 +23298,8 @@
 # Check whether --enable-cache-digests was given.
 if test "${enable_cache_digests+set}" = set; then
   enableval=$enable_cache_digests;  if test "$enableval" = "yes" ; then
-    echo "USE_CACHE_DIGESTS enabled"
+    { $as_echo "$as_me:$LINENO: Cache Disgests enabled" >&5
+$as_echo "$as_me: Cache Disgests enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_CACHE_DIGESTS 1
@@ -23273,7 +23314,8 @@
 # Check whether --with-coss-membuf-size was given.
 if test "${with_coss_membuf_size+set}" = set; then
   withval=$with_coss_membuf_size;   if test -n "$withval" -a "x$withval" != "xno" ; then
-      echo "Setting COSS membuf size to $with_coss_membuf_size bytes"
+      { $as_echo "$as_me:$LINENO: Setting COSS membuf size to $with_coss_membuf_size bytes" >&5
+$as_echo "$as_me: Setting COSS membuf size to $with_coss_membuf_size bytes" >&6;}
 
 cat >>confdefs.h <<_ACEOF
 #define COSS_MEMBUF_SZ $with_coss_membuf_size
@@ -23291,11 +23333,13 @@
   enableval=$enable_poll;
   case "$enableval" in
   yes)
-    echo "Forcing poll() to be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing poll() to be enabled" >&5
+$as_echo "$as_me: WARNING: Forcing poll() to be enabled" >&2;}
     SELECT_TYPE="poll"
     ;;
   no)
-    echo "Forcing poll() to be disabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing poll() to be disabled" >&5
+$as_echo "$as_me: WARNING: Forcing poll() to be disabled" >&2;}
     disable_poll=true
     ;;
   esac
@@ -23309,11 +23353,13 @@
   enableval=$enable_select;
   case "$enableval" in
   yes)
-    echo "Forcing select() to be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing select() to be enabled" >&5
+$as_echo "$as_me: WARNING: Forcing select() to be enabled" >&2;}
     SELECT_TYPE="select"
     ;;
   no)
-    echo "Forcing select() to be disabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing select() to be disabled" >&5
+$as_echo "$as_me: WARNING: Forcing select() to be disabled" >&2;}
     disable_select=true
     ;;
   esac
@@ -23322,12 +23368,14 @@
 
 
 disable_kqueue=true
+
 # Check whether --enable-kqueue was given.
 if test "${enable_kqueue+set}" = set; then
   enableval=$enable_kqueue;
   case "$enableval" in
   yes)
-    echo "Forcing kqueue() to be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing kqueue() to be enabled" >&5
+$as_echo "$as_me: WARNING: Forcing kqueue() to be enabled" >&2;}
     SELECT_TYPE="kqueue"
 
 for ac_header in sys/event.h
@@ -23371,7 +23419,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -23411,7 +23459,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -23427,7 +23475,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -23485,7 +23533,8 @@
 
     ;;
   no)
-    echo "Forcing kqueue() to be disabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing kqueue() to be disabled" >&5
+$as_echo "$as_me: WARNING: Forcing kqueue() to be disabled" >&2;}
     disable_kqueue=true
   ;;
   *)
@@ -23531,7 +23580,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -23571,7 +23620,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -23587,7 +23636,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -23651,7 +23700,8 @@
   enableval=$enable_epoll;
   case "$enableval" in
   yes)
-    echo "Forcing epoll() to be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing epoll() to be enabled" >&5
+$as_echo "$as_me: WARNING: Forcing epoll() to be enabled" >&2;}
     SELECT_TYPE="epoll"
 
 for ac_header in sys/epoll.h
@@ -23695,7 +23745,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -23735,7 +23785,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -23751,7 +23801,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -23852,7 +23902,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -23888,7 +23938,8 @@
 
     ;;
   no)
-    echo "Forcing epoll() to be disabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Forcing epoll() to be disabled" >&5
+$as_echo "$as_me: WARNING: Forcing epoll() to be disabled" >&2;}
     disable_epoll=true
   ;;
 esac
@@ -23942,7 +23993,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -24041,7 +24092,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -24116,7 +24167,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -24156,7 +24207,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -24172,7 +24223,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -24305,7 +24356,8 @@
 # Check whether --enable-http-violations was given.
 if test "${enable_http_violations+set}" = set; then
   enableval=$enable_http_violations;  if test "$enableval" = "no" ; then
-    echo "Disabling HTTP Violations"
+    { $as_echo "$as_me:$LINENO: Disabling HTTP Violations" >&5
+$as_echo "$as_me: Disabling HTTP Violations" >&6;}
     http_violations=0
   fi
 
@@ -24327,7 +24379,8 @@
 # Check whether --enable-ipfw-transparent was given.
 if test "${enable_ipfw_transparent+set}" = set; then
   enableval=$enable_ipfw_transparent;  if test "$enableval" = "yes" ; then
-	echo "IPFW Transparent Proxy enabled"
+	{ $as_echo "$as_me:$LINENO: IPFW Transparent Proxy enabled" >&5
+$as_echo "$as_me: IPFW Transparent Proxy enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define IPFW_TRANSPARENT 1
@@ -24348,7 +24401,8 @@
 # Check whether --enable-ipf-transparent was given.
 if test "${enable_ipf_transparent+set}" = set; then
   enableval=$enable_ipf_transparent;  if test "$enableval" = "yes" ; then
-	echo "IP-Filter Transparent Proxy enabled"
+	{ $as_echo "$as_me:$LINENO: IP-Filter Transparent Proxy enabled" >&5
+$as_echo "$as_me: IP-Filter Transparent Proxy enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define IPF_TRANSPARENT 1
@@ -24369,7 +24423,8 @@
 # Check whether --enable-pf-transparent was given.
 if test "${enable_pf_transparent+set}" = set; then
   enableval=$enable_pf_transparent;  if test "$enableval" = "yes" ; then
-	echo "PF Transparent Proxy enabled"
+	{ $as_echo "$as_me:$LINENO: PF Transparent Proxy enabled" >&5
+$as_echo "$as_me: PF Transparent Proxy enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define PF_TRANSPARENT 1
@@ -24390,7 +24445,8 @@
 # Check whether --enable-linux-netfilter was given.
 if test "${enable_linux_netfilter+set}" = set; then
   enableval=$enable_linux_netfilter;  if test "$enableval" = "yes" ; then
-	echo "Linux (Netfilter) Transparent Proxy enabled"
+	{ $as_echo "$as_me:$LINENO: Linux (Netfilter) Transparent Proxy enabled" >&5
+$as_echo "$as_me: Linux (Netfilter) Transparent Proxy enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define LINUX_NETFILTER 1
@@ -24426,8 +24482,11 @@
 if test "${with_build_environment+set}" = set; then
   withval=$with_build_environment;  case "$withval" in
   yes|no)
-	echo "--with-build-environment expects a build environment string as used by getconf"
-	exit 1
+	{ { $as_echo "$as_me:$LINENO: error: \"--with-build-environment expects a build environment string as used by getconf
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: \"--with-build-environment expects a build environment string as used by getconf
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
 	;;
   *)
 	buildmodel="$withval"
@@ -24445,20 +24504,23 @@
 		fi
 	done
 	if test -z "$buildmodel"; then
-		echo "WARNING: No suitable build environment found for large files. Trying to use _FILE_OFFSET_BITS=64"
+		{ $as_echo "$as_me:$LINENO: WARNING: \"No suitable build environment found for large files. Trying to use _FILE_OFFSET_BITS=64" >&5
+$as_echo "$as_me: WARNING: \"No suitable build environment found for large files. Trying to use _FILE_OFFSET_BITS=64" >&2;}
 		sleep 1
 	fi
 fi
 case "$buildmodel" in
 default|"")
 	if test "$needlargefiles"; then
-		echo "Enabling -D_FILE_OFFSET_BITS=64"
+		{ $as_echo "$as_me:$LINENO: Enabling -D_FILE_OFFSET_BITS=64" >&5
+$as_echo "$as_me: Enabling -D_FILE_OFFSET_BITS=64" >&6;}
 		CFLAGS="-D_FILE_OFFSET_BITS=64 $CFLAGS"
 		CXXFLAGS="-D_FILE_OFFSET_BITS=64 $CXXFLAGS"
 	fi
 	;;
 *)
-	echo "Using $buildmodel build environment"
+	{ $as_echo "$as_me:$LINENO: Using $buildmodel build environment" >&5
+$as_echo "$as_me: Using $buildmodel build environment" >&6;}
 	if test "`getconf _$buildmodel 2>/dev/null || true`" = 1 || test "`getconf $buildmodel 2>/dev/null || true`" ; then
 	    : # All fine
 	else
@@ -24473,15 +24535,18 @@
 	case "$host" in
 	    *-solaris*)
     		if test "$GCC" = "yes"; then
-		    echo "Removing -Xa for gcc/g++ on $host"
+		    { $as_echo "$as_me:$LINENO: Removing -Xa for gcc/g++ on $host" >&5
+$as_echo "$as_me: Removing -Xa for gcc/g++ on $host" >&6;}
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-Xa//'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Xa//'`"
-		    echo "Replacing -xarch=generic64 with -m64 for gcc/g++ on $host"
+		    { $as_echo "$as_me:$LINENO: Replacing -xarch=generic64 with -m64 for gcc/g++ on $host" >&5
+$as_echo "$as_me: Replacing -xarch=generic64 with -m64 for gcc/g++ on $host" >&6;}
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    LDFLAGS="`echo $LDFLAGS | sed -e 's/-xarch=generic64//'`"
 		fi
-		echo "Removing -Usun on $host"
+		{ $as_echo "$as_me:$LINENO: Removing -Usun on $host" >&5
+$as_echo "$as_me: Removing -Usun on $host" >&6;}
 		CFLAGS="`echo $CFLAGS | sed -e 's/-Usun//'`"
 		CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Usun//'`"
 		;;
@@ -24504,7 +24569,8 @@
 # Check whether --enable-linux-tproxy was given.
 if test "${enable_linux_tproxy+set}" = set; then
   enableval=$enable_linux_tproxy;  if test "$enableval" = "yes" ; then
-	echo "Linux Netfilter/TPROXY v2 enabled"
+	{ $as_echo "$as_me:$LINENO: \"Linux Netfilter/TPROXY v2 enabled" >&5
+$as_echo "$as_me: \"Linux Netfilter/TPROXY v2 enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define LINUX_TPROXY2 1
@@ -24512,7 +24578,8 @@
 
 	LINUX_TPROXY2="yes"
         if test -z "$LINUX_NETFILTER"; then
-	    echo "Linux-Netfilter Transparent Proxy automatically enabled"
+	    { $as_echo "$as_me:$LINENO: Linux-Netfilter Transparent Proxy automatically enabled" >&5
+$as_echo "$as_me: Linux-Netfilter Transparent Proxy automatically enabled" >&6;}
 	    LINUX_NETFILTER="yes"
 	fi
   else
@@ -24539,7 +24606,8 @@
 # Check whether --enable-leakfinder was given.
 if test "${enable_leakfinder+set}" = set; then
   enableval=$enable_leakfinder;  if test "$enableval" = "yes" ; then
-	echo "Leak-Finding enabled"
+	{ $as_echo "$as_me:$LINENO: Leak-Finding enabled" >&5
+$as_echo "$as_me: Leak-Finding enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_LEAKFINDER 1
@@ -24565,7 +24633,8 @@
 # Check whether --enable-follow-x-forwarded-for was given.
 if test "${enable_follow_x_forwarded_for+set}" = set; then
   enableval=$enable_follow_x_forwarded_for;  if test "$enableval" = "yes" ; then
-    echo "follow X-Forwarded-For enabled"
+    { $as_echo "$as_me:$LINENO: follow X-Forwarded-For enabled" >&5
+$as_echo "$as_me: follow X-Forwarded-For enabled" >&6;}
     follow_xff=1
   fi
 
@@ -24588,7 +24657,8 @@
 # Check whether --enable-ident-lookups was given.
 if test "${enable_ident_lookups+set}" = set; then
   enableval=$enable_ident_lookups;  if test "$enableval" = "no" ; then
-    echo "Disabling Ident Lookups"
+    { $as_echo "$as_me:$LINENO: Disabling Ident Lookups" >&5
+$as_echo "$as_me: Disabling Ident Lookups" >&6;}
     use_ident=0
   fi
 
@@ -24641,7 +24711,8 @@
 # Check whether --enable-internal-dns was given.
 if test "${enable_internal_dns+set}" = set; then
   enableval=$enable_internal_dns;  if test "$enableval" = "no" ; then
-    echo "Disabling Internal DNS queries"
+    { $as_echo "$as_me:$LINENO: WARNING: Disabling Internal DNS queries" >&5
+$as_echo "$as_me: WARNING: Disabling Internal DNS queries" >&2;}
     use_dnsserver="yes"
   fi
 
@@ -24672,13 +24743,15 @@
     	if test -f $enableval; then
 	    OPT_DEFAULT_HOSTS=$enableval
     	else
-	    echo "Warning Unable to find $enableval"
+	    { $as_echo "$as_me:$LINENO: WARNING: Unable to find $enableval" >&5
+$as_echo "$as_me: WARNING: Unable to find $enableval" >&2;}
 	    sleep 5
 	fi
     else
 	OPT_DEFAULT_HOSTS="none"
     fi
-    echo "Default hosts file set to: $enableval"
+    { $as_echo "$as_me:$LINENO: Default hosts file set to: $enableval" >&5
+$as_echo "$as_me: Default hosts file set to: $enableval" >&6;}
 
 else
   OPT_DEFAULT_HOSTS="/etc/hosts"
@@ -24722,11 +24795,13 @@
 	fi
 	eval AUTH_MODULE_${module}=yes
     done
-    echo "Auth scheme modules built: $AUTH_MODULES"
+    { $as_echo "$as_me:$LINENO: Auth scheme modules built: $AUTH_MODULES" >&5
+$as_echo "$as_me: Auth scheme modules built: $AUTH_MODULES" >&6;}
     AUTH_OBJS="auth/lib`echo $AUTH_MODULES|sed -e 's% %.a auth/lib%g'`.a"
     AUTH_LIBS="`echo $AUTH_OBJS|sed -e 's%auth/%%g'`"
 else
-    echo "Auth scheme modules built: None"
+    { $as_echo "$as_me:$LINENO: WARNING: Auth scheme modules built: None" >&5
+$as_echo "$as_me: WARNING: Auth scheme modules built: None" >&2;}
 fi
 AUTH_LINKOBJS=
 for module in $AUTH_MODULES; do
@@ -24772,7 +24847,8 @@
 	;;
   *)
 	if test -z "$AUTH_MODULE_basic"; then
-		echo "WARNING: Basic auth helpers selected without the basic scheme enabled"
+		{ $as_echo "$as_me:$LINENO: WARNING: Basic auth helpers selected without the basic scheme enabled" >&5
+$as_echo "$as_me: WARNING: Basic auth helpers selected without the basic scheme enabled" >&2;}
 		sleep 15
 	fi
 	BASIC_AUTH_HELPERS="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
@@ -24804,7 +24880,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "Basic auth helpers built: $BASIC_AUTH_HELPERS"
+    { $as_echo "$as_me:$LINENO: Basic auth helpers built: $BASIC_AUTH_HELPERS" >&5
+$as_echo "$as_me: Basic auth helpers built: $BASIC_AUTH_HELPERS" >&6;}
 fi
 
 
@@ -24846,7 +24923,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "NTLM auth helpers built: $NTLM_AUTH_HELPERS"
+    { $as_echo "$as_me:$LINENO: NTLM auth helpers built: $NTLM_AUTH_HELPERS" >&5
+$as_echo "$as_me: NTLM auth helpers built: $NTLM_AUTH_HELPERS" >&6;}
 fi
 
 
@@ -24888,7 +24966,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS"
+    { $as_echo "$as_me:$LINENO: Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS" >&5
+$as_echo "$as_me: Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS" >&6;}
 fi
 
 
@@ -24934,7 +25013,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "Digest auth helpers built: $DIGEST_AUTH_HELPERS"
+    { $as_echo "$as_me:$LINENO: Digest auth helpers built: $DIGEST_AUTH_HELPERS" >&5
+$as_echo "$as_me: Digest auth helpers built: $DIGEST_AUTH_HELPERS" >&6;}
 fi
 
 
@@ -24987,7 +25067,8 @@
    { (exit 1); exit 1; }; }
 	fi
     done
-    echo "External acl helpers built: $EXTERNAL_ACL_HELPERS"
+    { $as_echo "$as_me:$LINENO: External acl helpers built: $EXTERNAL_ACL_HELPERS" >&5
+$as_echo "$as_me: External acl helpers built: $EXTERNAL_ACL_HELPERS" >&6;}
 fi
 
 
@@ -25049,7 +25130,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -25089,7 +25170,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -25105,7 +25186,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -25157,9 +25238,11 @@
 #define WITH_VALGRIND 1
 _ACEOF
 
-	echo "Valgrind debug support enabled"
+	{ $as_echo "$as_me:$LINENO: Valgrind debug support enabled" >&5
+$as_echo "$as_me: Valgrind debug support enabled" >&6;}
 else
-   echo "Valgrind header not found. Valgrind support disabled."
+   { $as_echo "$as_me:$LINENO: WARNING: Valgrind header not found. Valgrind support disabled." >&5
+$as_echo "$as_me: WARNING: Valgrind header not found. Valgrind support disabled." >&2;}
 
 fi
 
@@ -25173,7 +25256,8 @@
 # Check whether --enable-mempools was given.
 if test "${enable_mempools+set}" = set; then
   enableval=$enable_mempools;  if test "$enableval" = "no" ; then
-    echo "memPools disabled"
+    { $as_echo "$as_me:$LINENO: memPools disabled" >&5
+$as_echo "$as_me: memPools disabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define DISABLE_POOLS 1
@@ -25200,7 +25284,8 @@
 # Check whether --enable-win32-service was given.
 if test "${enable_win32_service+set}" = set; then
   enableval=$enable_win32_service;  if test "$enableval" = "yes" ; then
-    echo "Enabling WIN32 run service mode"
+    { $as_echo "$as_me:$LINENO: Enabling WIN32 run service mode" >&5
+$as_echo "$as_me: Enabling WIN32 run service mode" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_WIN32_SERVICE 1
@@ -25256,7 +25341,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -25296,7 +25381,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -25312,7 +25397,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -25365,11 +25450,13 @@
 done
 
 	if test "$ac_cv_header_sasl_sasl_h" = "yes"; then
-		echo "using SASL2"
+		{ $as_echo "$as_me:$LINENO: using SASL2" >&5
+$as_echo "$as_me: using SASL2" >&6;}
 		LIBSASL="-lsasl2"
 	else
 		if test "$ac_cv_header_sasl_h" = "yes"; then
-			echo "using SASL"
+			{ $as_echo "$as_me:$LINENO: using SASL" >&5
+$as_echo "$as_me: using SASL" >&6;}
 			LIBSASL="-lsasl"
 		else
 			{ { $as_echo "$as_me:$LINENO: error: Neither SASL nor SASL2 found" >&5
@@ -25397,7 +25484,8 @@
 fi
 
 if test "$use_unlinkd" = "yes"; then
-    echo "unlinkd enabled"
+    { $as_echo "$as_me:$LINENO: unlinkd enabled" >&5
+$as_echo "$as_me: unlinkd enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_UNLINKD 1
@@ -25414,7 +25502,8 @@
 fi
 
 else
-    echo "unlinkd disabled"
+    { $as_echo "$as_me:$LINENO: unlinkd disabled" >&5
+$as_echo "$as_me: unlinkd disabled" >&6;}
 
 
 if false; then
@@ -25430,7 +25519,8 @@
 # Check whether --enable-stacktraces was given.
 if test "${enable_stacktraces+set}" = set; then
   enableval=$enable_stacktraces;  if test "$enableval" = "yes" ; then
-    echo "Enabling automatic stack backtraces on fatal errors"
+    { $as_echo "$as_me:$LINENO: Enabling automatic stack backtraces on fatal errors" >&5
+$as_echo "$as_me: Enabling automatic stack backtraces on fatal errors" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define PRINT_STACK_TRACE 1
@@ -25454,7 +25544,8 @@
 # Check whether --enable-cpu-profiling was given.
 if test "${enable_cpu_profiling+set}" = set; then
   enableval=$enable_cpu_profiling;  if test "$enableval" = "yes" ; then
-    echo "Enabling cpu-profiling"
+    { $as_echo "$as_me:$LINENO: Enabling cpu-profiling" >&5
+$as_echo "$as_me: Enabling cpu-profiling" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_XPROF_STATS 1
@@ -25475,10 +25566,11 @@
 fi
 
 
-# Check whether --enable-x_accelerator_vary was given.
+# Check whether --enable-x-accelerator-vary was given.
 if test "${enable_x_accelerator_vary+set}" = set; then
   enableval=$enable_x_accelerator_vary;  if test "$enableval" = "yes" ; then
-    echo "Enabling support for X-Accelerator-Vary"
+    { $as_echo "$as_me:$LINENO: Enabling support for X-Accelerator-Vary" >&5
+$as_echo "$as_me: Enabling support for X-Accelerator-Vary" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define X_ACCELERATOR_VARY 1
@@ -25539,11 +25631,11 @@
  /* PF_INET6 available check */
 #       include <sys/types.h>
 #       include <sys/socket.h>
-        void main() {
+        int main() {
           if (socket(PF_INET6, SOCK_STREAM, 0) < 0)
-            exit(1);
+            return 1;
           else
-            exit(0);
+            return 0;
         }
 
 _ACEOF
@@ -25642,31 +25734,82 @@
 fi
 
 
-{ $as_echo "$as_me:$LINENO: checking for IPv6-Localhost requirement" >&5
-$as_echo_n "checking for IPv6-Localhost requirement... " >&6; }
+{ $as_echo "$as_me:$LINENO: checking for sin6_len field in struct sockaddr_in6" >&5
+$as_echo_n "checking for sin6_len field in struct sockaddr_in6... " >&6; }
+if test "${ac_cv_have_sin6_len_in_struct_sai+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+
+        cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <netinet/in.h>
+
+int
+main ()
+{
+ struct sockaddr_in6 s; s.sin6_len = 1;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+   ac_cv_have_sin6_len_in_struct_sai="yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	 ac_cv_have_sin6_len_in_struct_sai="no"
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_have_sin6_len_in_struct_sai" >&5
+$as_echo "$ac_cv_have_sin6_len_in_struct_sai" >&6; }
+if test "x$ac_cv_have_sin6_len_in_struct_sai" = "xyes" ; then
 
-# Check whether --with-localhost-ipv6 was given.
-if test "${with_localhost_ipv6+set}" = set; then
-  withval=$with_localhost_ipv6;
 cat >>confdefs.h <<\_ACEOF
-#define IPV6_SPECIAL_LOCALHOST 1
+#define HAVE_SIN6_LEN_IN_SAI 1
 _ACEOF
- { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
+
 else
 
 cat >>confdefs.h <<\_ACEOF
-#define IPV6_SPECIAL_LOCALHOST 0
+#define HAVE_SIN6_LEN_IN_SAI 0
 _ACEOF
- { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
 
 fi
 
 
 else
   # NP: semi-silent failure as IPv4-only mode is perfectly usable on this system.
-  echo "WARNING: IPv6 is not available on this system."
+  { $as_echo "$as_me:$LINENO: WARNING: IPv6 is not available on this system." >&5
+$as_echo "$as_me: WARNING: IPv6 is not available on this system." >&2;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_IPV6 0
@@ -25679,11 +25822,6 @@
 
 
 cat >>confdefs.h <<\_ACEOF
-#define IPV6_SPECIAL_LOCALHOST 0
-_ACEOF
-
-
-cat >>confdefs.h <<\_ACEOF
 #define IPV6_SPECIAL_V4MAPPED 0
 _ACEOF
 
@@ -25692,7 +25830,8 @@
 # Check whether --enable-zph-qos was given.
 if test "${enable_zph_qos+set}" = set; then
   enableval=$enable_zph_qos;  if test "$enableval" = "yes" ; then
-    echo "ZPH QOS enabled"
+    { $as_echo "$as_me:$LINENO: ZPH QOS enabled" >&5
+$as_echo "$as_me: ZPH QOS enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_ZPH_QOS 1
@@ -25743,7 +25882,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
    ac_cv_have_ss_len_in_struct_ss="yes"
@@ -25814,7 +25953,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
    ac_cv_have_sin_len_in_struct_sai="yes"
@@ -25845,77 +25984,6 @@
 
 fi
 
-{ $as_echo "$as_me:$LINENO: checking for sin6_len field in struct sockaddr_in6" >&5
-$as_echo_n "checking for sin6_len field in struct sockaddr_in6... " >&6; }
-if test "${ac_cv_have_sin6_len_in_struct_sai+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-
-        cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <sys/types.h>
-#include <sys/socket.h>
-#include <netinet/in.h>
-
-int
-main ()
-{
- struct sockaddr_in6 s; s.sin6_len = 1;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-   ac_cv_have_sin6_len_in_struct_sai="yes"
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	 ac_cv_have_sin6_len_in_struct_sai="no"
-
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_have_sin6_len_in_struct_sai" >&5
-$as_echo "$ac_cv_have_sin6_len_in_struct_sai" >&6; }
-if test "x$ac_cv_have_sin6_len_in_struct_sai" = "xyes" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_SIN6_LEN_IN_SAI 1
-_ACEOF
-
-else
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_SIN6_LEN_IN_SAI 0
-_ACEOF
-
-fi
-
 
 # Check whether --with-maxfd was given.
 if test "${with_maxfd+set}" = set; then
@@ -25993,12 +26061,14 @@
 
 
 if $CPPUNITCONFIG --help >/dev/null; then
-  echo "using system installed cppunit"
+  { $as_echo "$as_me:$LINENO: using system installed cppunit" >&5
+$as_echo "$as_me: using system installed cppunit" >&6;}
   SQUID_CPPUNIT_LIBS="`$CPPUNITCONFIG --libs`"
   SQUID_CPPUNIT_LA=''
   SQUID_CPPUNIT_INC="`$CPPUNITCONFIG --cflags`"
 else
-  echo "cppunit does not appear to be installed. squid does not require this, but code testing with 'make check' will fail."
+  { $as_echo "$as_me:$LINENO: WARNING: cppunit does not appear to be installed. squid does not require this, but code testing with 'make check' will fail." >&5
+$as_echo "$as_me: WARNING: cppunit does not appear to be installed. squid does not require this, but code testing with 'make check' will fail." >&2;}
   SQUID_CPPUNIT_LA=''
   SQUID_CPPUNIT_LIBS=''
   SQUID_CPPUNIT_INC=''
@@ -26008,7 +26078,8 @@
 # Check whether --with-cppunit-basedir was given.
 if test "${with_cppunit_basedir+set}" = set; then
   withval=$with_cppunit_basedir;  if test -f $withval/include/cppunit/TestCase.h; then
-	echo "Using cppunit includes from $withval"
+	{ $as_echo "$as_me:$LINENO: Using cppunit includes from $withval" >&5
+$as_echo "$as_me: Using cppunit includes from $withval" >&6;}
 	SQUID_CPPUNIT_INC="-I${withval}/include"
     else
 	{ { $as_echo "$as_me:$LINENO: error: Cannot find cppunit at $withval" >&5
@@ -26016,7 +26087,8 @@
    { (exit 1); exit 1; }; }
     fi
   if test -f $withval/lib/libcppunit.la; then
-	echo "Using cppunit lib from $withval"
+	{ $as_echo "$as_me:$LINENO: Using cppunit lib from $withval" >&5
+$as_echo "$as_me: Using cppunit lib from $withval" >&6;}
 	SQUID_CPPUNIT_LA="${withval}/lib/libcppunit.la"
 	SQUID_CPPUNIT_LIBS='$(SQUID_CPPUNIT_LA)'
     else
@@ -26037,14 +26109,16 @@
 case "$host" in
     alpha-dec-osf*)
 	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-std1' to cc args for $host"
+		{ $as_echo "$as_me:$LINENO: adding '-std1' to cc args for $host" >&5
+$as_echo "$as_me: adding '-std1' to cc args for $host" >&6;}
 		CC="cc -std1";
 		ac_cv_prog_CC="$CC"
 	fi
 	;;
     *-hp-hpux*)
 	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-Ae' to cc args for $host"
+		{ $as_echo "$as_me:$LINENO: adding '-Ae' to cc args for $host" >&5
+$as_echo "$as_me: adding '-Ae' to cc args for $host" >&6;}
 		CC="cc -Ae";
 		ac_cv_prog_CC="$CC"
 	fi
@@ -26279,11 +26353,11 @@
    { (exit 1); exit 1; }; }
 fi
 
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
@@ -26760,14 +26834,17 @@
 
 
 if test "$ac_cv_path_PERL" = "none"; then
-	echo "Perl is required to compile Squid"
-	echo "Please install Perl and then re-run configure"
-	exit 1
+  { { $as_echo "$as_me:$LINENO: error: Perl is required to compile Squid. Please install Perl and then re-run configure
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: Perl is required to compile Squid. Please install Perl and then re-run configure
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 case "$host" in
     *-hp-hpux*)
-	echo "Disabling 'ranlib' for HP-UX..."
+	{ $as_echo "$as_me:$LINENO: Disabling 'ranlib' for HP-UX..." >&5
+$as_echo "$as_me: Disabling 'ranlib' for HP-UX..." >&6;}
 	RANLIB=":"
 	;;
 esac
@@ -26826,7 +26903,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   eval "$as_ac_Header=yes"
@@ -26905,7 +26982,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -26993,7 +27070,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -27071,7 +27148,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_header_stdc=yes
@@ -27419,7 +27496,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -27459,7 +27536,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -27475,7 +27552,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -27598,7 +27675,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   eval "$as_ac_Header=yes"
@@ -27737,7 +27814,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   eval "$as_ac_Header=yes"
@@ -27807,7 +27884,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -27847,7 +27924,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -27863,7 +27940,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -27958,7 +28035,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -27998,7 +28075,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -28014,7 +28091,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -28160,7 +28237,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_c_const=yes
@@ -28218,7 +28295,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_c_bigendian=universal
@@ -28269,7 +28346,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   # It does; now see whether it defined to BIG_ENDIAN or not.
@@ -28308,7 +28385,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_c_bigendian=yes
@@ -28365,7 +28442,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   # It does; now see whether it defined to _BIG_ENDIAN or not.
@@ -28403,7 +28480,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_c_bigendian=yes
@@ -28473,7 +28550,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   if grep BIGenDianSyS conftest.$ac_objext >/dev/null; then
@@ -28618,7 +28695,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_struct_tm=time.h
@@ -28687,7 +28764,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_tm_tm_gmtoff=yes
@@ -28736,7 +28813,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_tm_tm_gmtoff=yes
@@ -28808,7 +28885,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -28849,7 +28926,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -28925,7 +29002,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_mallinfo_mxfast=yes
@@ -28972,7 +29049,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_mallinfo_mxfast=yes
@@ -29007,7 +29084,8 @@
 _ACEOF
 
     ac_cv_func_getrusage='yes'
-    echo "Using own rusage on Windows."
+    { $as_echo "$as_me:$LINENO: Using own rusage on Windows." >&5
+$as_echo "$as_me: Using own rusage on Windows." >&6;}
     ;;
   *)
     { $as_echo "$as_me:$LINENO: checking for struct rusage" >&5
@@ -29054,7 +29132,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -29095,7 +29173,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -29181,7 +29259,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_iphdr_ip_hl=yes
@@ -29236,7 +29314,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_member_struct_iphdr_ip_hl=yes
@@ -29307,7 +29385,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -29344,7 +29422,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -29398,7 +29476,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -29435,7 +29513,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -29499,7 +29577,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -29683,7 +29761,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -29743,7 +29821,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -29840,7 +29918,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -29906,7 +29984,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -29989,7 +30067,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -30055,7 +30133,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -30148,7 +30226,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -30369,7 +30447,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -30429,7 +30507,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -30526,7 +30604,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -30592,7 +30670,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -30675,7 +30753,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -30741,7 +30819,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -30834,7 +30912,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -31055,7 +31133,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -31115,7 +31193,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -31212,7 +31290,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -31278,7 +31356,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -31361,7 +31439,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -31427,7 +31505,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -31520,7 +31598,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -31741,7 +31819,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -31801,7 +31879,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -31898,7 +31976,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -31964,7 +32042,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -32047,7 +32125,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -32113,7 +32191,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -32206,7 +32284,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -32427,7 +32505,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -32487,7 +32565,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -32584,7 +32662,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -32650,7 +32728,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -32733,7 +32811,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -32799,7 +32877,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -32892,7 +32970,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -33113,7 +33191,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -33173,7 +33251,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -33270,7 +33348,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -33336,7 +33414,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -33419,7 +33497,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -33485,7 +33563,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -33578,7 +33656,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -33799,7 +33877,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -33859,7 +33937,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -33956,7 +34034,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -34022,7 +34100,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -34105,7 +34183,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -34171,7 +34249,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -34264,7 +34342,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -34485,7 +34563,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -34545,7 +34623,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -34642,7 +34720,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -34708,7 +34786,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -34791,7 +34869,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -34857,7 +34935,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -34950,7 +35028,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -35171,7 +35249,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -35231,7 +35309,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -35328,7 +35406,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -35394,7 +35472,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -35477,7 +35555,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -35543,7 +35621,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -35636,7 +35714,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -35857,7 +35935,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -35917,7 +35995,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -36014,7 +36092,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -36080,7 +36158,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -36163,7 +36241,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -36229,7 +36307,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -36322,7 +36400,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -36543,7 +36621,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -36603,7 +36681,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -36700,7 +36778,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -36766,7 +36844,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -36849,7 +36927,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -36915,7 +36993,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -37008,7 +37086,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -37229,7 +37307,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -37289,7 +37367,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -37386,7 +37464,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -37452,7 +37530,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -37535,7 +37613,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -37601,7 +37679,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -37694,7 +37772,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -37915,7 +37993,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -37975,7 +38053,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -38072,7 +38150,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -38138,7 +38216,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -38221,7 +38299,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -38287,7 +38365,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -38380,7 +38458,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -38601,7 +38679,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -38661,7 +38739,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -38758,7 +38836,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -38824,7 +38902,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -38907,7 +38985,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -38973,7 +39051,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -39066,7 +39144,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -39287,7 +39365,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -39347,7 +39425,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -39444,7 +39522,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -39510,7 +39588,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -39593,7 +39671,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -39659,7 +39737,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -39752,7 +39830,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -39973,7 +40051,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -40033,7 +40111,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -40130,7 +40208,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -40196,7 +40274,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -40279,7 +40357,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -40345,7 +40423,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -40438,7 +40516,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -40659,7 +40737,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -40719,7 +40797,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -40816,7 +40894,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -40882,7 +40960,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -40965,7 +41043,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -41031,7 +41109,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -41124,7 +41202,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -41345,7 +41423,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -41405,7 +41483,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -41502,7 +41580,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -41568,7 +41646,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -41651,7 +41729,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -41717,7 +41795,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -41810,7 +41888,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -42031,7 +42109,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -42091,7 +42169,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -42186,7 +42264,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -42246,7 +42324,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -42341,7 +42419,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -42401,7 +42479,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -42495,7 +42573,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -42555,7 +42633,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -42651,7 +42729,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -42717,7 +42795,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -42800,7 +42878,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -42866,7 +42944,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -42959,7 +43037,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -43178,7 +43256,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -43238,7 +43316,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -43332,7 +43410,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -43392,7 +43470,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -43488,7 +43566,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=0 ac_mid=0
@@ -43554,7 +43632,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid; break
@@ -43637,7 +43715,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=-1 ac_mid=-1
@@ -43703,7 +43781,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_lo=$ac_mid; break
@@ -43796,7 +43874,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_hi=$ac_mid
@@ -44015,7 +44093,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -44075,7 +44153,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -44169,7 +44247,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -44229,7 +44307,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -44299,7 +44377,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -44383,7 +44461,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -44520,7 +44598,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -44682,7 +44760,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -44723,7 +44801,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -44795,7 +44873,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   cat >conftest.$ac_ext <<_ACEOF
@@ -44832,7 +44910,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   :
@@ -44903,7 +44981,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -44972,7 +45050,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45049,7 +45127,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45121,7 +45199,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -45161,7 +45239,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -45177,7 +45255,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -45272,7 +45350,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
@@ -45312,7 +45390,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        }; then
   ac_header_preproc=yes
@@ -45328,7 +45406,7 @@
 $as_echo "$ac_header_preproc" >&6; }
 
 # So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
     { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 $as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
@@ -45428,7 +45506,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   squid_cv_unixsocket=yes
@@ -45490,7 +45568,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45521,17 +45599,20 @@
 fi
 
   if test "$ac_cv_lib_gnumalloc_main" = "yes"; then
-		echo "Disabling extended malloc functions when using gnumalloc"
+		{ $as_echo "$as_me:$LINENO: Disabling extended malloc functions when using gnumalloc" >&5
+$as_echo "$as_me: Disabling extended malloc functions when using gnumalloc" >&6;}
 		ac_cv_func_mallinfo=no
 		ac_cv_func_mallocblksize=no
 		ac_cv_func_mallopt=no
   else
 		case "$host" in
 			*-sun-solaris*)
-			  echo "skipping libmalloc check for $host"
+			  { $as_echo "$as_me:$LINENO: skipping libmalloc check for $host" >&5
+$as_echo "$as_me: skipping libmalloc check for $host" >&6;}
 				;;
 			i386-*-freebsd*)
-			  echo "skipping libmalloc check for $host"
+			  { $as_echo "$as_me:$LINENO: skipping libmalloc check for $host" >&5
+$as_echo "$as_me: skipping libmalloc check for $host" >&6;}
 				;;
 			*)
 
@@ -45574,7 +45655,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45647,7 +45728,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45715,7 +45796,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45785,7 +45866,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45818,7 +45899,8 @@
 if test $ac_cv_lib_bind_gethostbyname = "no" ; then
     case "$host" in
 	i386-*-freebsd*)
-		echo "skipping libresolv checks for $host"
+		{ $as_echo "$as_me:$LINENO: skipping libresolv checks for $host" >&5
+$as_echo "$as_me: skipping libresolv checks for $host" >&6;}
 		;;
 	*)
 
@@ -45860,7 +45942,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -45895,7 +45977,8 @@
 fi
 case "$host_os" in
 mingw|mingw32)
-	echo "Use MSVCRT for math functions."
+	{ $as_echo "$as_me:$LINENO: Use MSVCRT for math functions." >&5
+$as_echo "$as_me: Use MSVCRT for math functions." >&6;}
 	;;
 	*)
 
@@ -45937,7 +46020,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46014,7 +46097,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46039,7 +46122,6 @@
   CRYPTLIB="-lcrypt"
 fi
 
-
 { $as_echo "$as_me:$LINENO: checking for MD5Init in -lmd5" >&5
 $as_echo_n "checking for MD5Init in -lmd5... " >&6; }
 if test "${ac_cv_lib_md5_MD5Init+set}" = set; then
@@ -46084,7 +46166,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46111,7 +46193,6 @@
 
 
 
-
 if test "$with_dl" = "yes"; then
 
 { $as_echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
@@ -46158,7 +46239,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46237,7 +46318,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46315,7 +46396,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46374,7 +46455,7 @@
 int
 main ()
 {
-dbopen((void *)0L, 0, 0, DB_HASH, (void *)0L)
+dbopen("", 0, 0, DB_HASH, (void *)0L)
   ;
   return 0;
 }
@@ -46394,7 +46475,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46424,21 +46505,26 @@
 case "$host" in
 	i386-*-solaris2.*)
     		if test "$GCC" = "yes"; then
-			echo "Removing -O for gcc on $host"
+			{ $as_echo "$as_me:$LINENO: Removing -O for gcc on $host" >&5
+$as_echo "$as_me: Removing -O for gcc on $host" >&6;}
 			CFLAGS="`echo $CFLAGS | sed -e 's/-O[0-9]*//'`"
 		fi
 		;;
 	*-sgi-irix*)
-        	echo "Removing -lsocket for IRIX..."
+        	{ $as_echo "$as_me:$LINENO: Removing -lsocket for IRIX..." >&5
+$as_echo "$as_me: Removing -lsocket for IRIX..." >&6;}
         	LIBS=`echo $LIBS | sed -e s/-lsocket//`
-        	echo "Removing -lnsl for IRIX..."
+        	{ $as_echo "$as_me:$LINENO: Removing -lnsl for IRIX..." >&5
+$as_echo "$as_me: Removing -lnsl for IRIX..." >&6;}
         	LIBS=`echo $LIBS | sed -e s/-lnsl//`
 		ac_cv_lib_nsl_main=no
-		echo "Removing -lbsd for IRIX..."
+		{ $as_echo "$as_me:$LINENO: Removing -lbsd for IRIX..." >&5
+$as_echo "$as_me: Removing -lbsd for IRIX..." >&6;}
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
 	*-ibm-aix*)
-		echo "Removing -lbsd for AIX..."
+		{ $as_echo "$as_me:$LINENO: Removing -lbsd for AIX..." >&5
+$as_echo "$as_me: Removing -lbsd for AIX..." >&6;}
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
 	*m88k*)
@@ -46470,7 +46556,8 @@
 	GCCVER=`$CC -v 2>&1 | awk '$2 ==  "version" {print $3}'`
 	case "$GCCVER" in
 	2.95.[123])
-		echo "Removing -O for gcc on $host with GCC $GCCVER"
+		{ $as_echo "$as_me:$LINENO: Removing -O for gcc on $host with GCC $GCCVER" >&5
+$as_echo "$as_me: Removing -O for gcc on $host with GCC $GCCVER" >&6;}
 		CFLAGS="`echo $CFLAGS | sed -e 's/-O[0-9]*//'`"
 		;;
 	esac
@@ -46480,7 +46567,8 @@
 case "$host" in
 	*-univel-sysv4.2MP)
 		if test `uname -v` = "2.03"; then
-			echo "disabling mallinfo for $host"
+			{ $as_echo "$as_me:$LINENO: disabling mallinfo for $host" >&5
+$as_echo "$as_me: disabling mallinfo for $host" >&6;}
 			ac_cv_func_mallinfo=no
 		fi
 		;;
@@ -46492,12 +46580,14 @@
 	case "$host" in
 		alpha-dec-osf3.*)
 			# John Kay (jkay@nlanr.net) 19970818
-			echo "disabling poll for $host..."
+			{ $as_echo "$as_me:$LINENO: disabling poll for $host..." >&5
+$as_echo "$as_me: disabling poll for $host..." >&6;}
 			ac_cv_func_poll='no'
 			;;
 		*-hp-hpux*.*)
 			# Duane Wessels
-			echo "disabling poll for $host..."
+			{ $as_echo "$as_me:$LINENO: disabling poll for $host..." >&5
+$as_echo "$as_me: disabling poll for $host..." >&6;}
 			ac_cv_func_poll='no'
 			;;
 		*-linux-*)
@@ -46506,19 +46596,22 @@
 			# by default until Linux gets it right.
 			rev=`uname -r | awk -F. '{printf "%03d%03d",$1,$2}'`
 			if test $rev -lt 002002; then
-			    echo "disabling poll for $host < 2.2..."
+			    { $as_echo "$as_me:$LINENO: disabling poll for $host < 2.2..." >&5
+$as_echo "$as_me: disabling poll for $host < 2.2..." >&6;}
 			    ac_cv_func_poll='no'
 			fi
 			;;
 		powerpc-ibm-aix4.1.*)
 			# Mike Laster (mlaster@metavillage.com) 19981021
-			echo "disabling poll for $host..."
+			{ $as_echo "$as_me:$LINENO: disabling poll for $host..." >&5
+$as_echo "$as_me: disabling poll for $host..." >&6;}
 			ac_cv_func_poll='no'
 			;;
 		*-pc-sco3.2*)
 			# Robert Side <rside@aiinc.bc.ca>
 			# Mon, 18 Jan 1999 17:48:00 GMT
-			echo "disabling poll for $host..."
+			{ $as_echo "$as_me:$LINENO: disabling poll for $host..." >&5
+$as_echo "$as_me: disabling poll for $host..." >&6;}
 			ac_cv_func_poll='no'
 			;;
 	esac
@@ -46721,7 +46814,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46837,7 +46930,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -46949,7 +47042,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -47002,8 +47095,10 @@
 		;;
 	esac
 else
-        echo "Eep!  Can't find poll, kqueue, epoll, or select!"
-        echo "I'll try select and hope for the best."
+        { $as_echo "$as_me:$LINENO: WARNING: Eep!  Can't find poll, kqueue, epoll, or select!" >&5
+$as_echo "$as_me: WARNING: Eep!  Can't find poll, kqueue, epoll, or select!" >&2;}
+        { $as_echo "$as_me:$LINENO: WARNING: I'll try select and hope for the best." >&5
+$as_echo "$as_me: WARNING: I'll try select and hope for the best." >&2;}
         SELECT_TYPE="select"
         cat >>confdefs.h <<\_ACEOF
 #define USE_SELECT 1
@@ -47011,7 +47106,8 @@
 
 fi
 
-echo "Using ${SELECT_TYPE} for the IO loop."
+{ $as_echo "$as_me:$LINENO: Using ${SELECT_TYPE} for the IO loop." >&5
+$as_echo "$as_me: Using ${SELECT_TYPE} for the IO loop." >&6;}
 
 
 
@@ -47537,8 +47633,10 @@
 $as_echo "$IPF_TRANSPARENT" >&6; }
 fi
 if test "$IPF_TRANSPARENT" = "no" ; then
-    echo "WARNING: Cannot find necessary IP-Filter header files"
-    echo "         Transparent Proxy support WILL NOT be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Cannot find necessary IP-Filter header files" >&5
+$as_echo "$as_me: WARNING: Cannot find necessary IP-Filter header files" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: Transparent Proxy support WILL NOT be enabled" >&5
+$as_echo "$as_me: WARNING: Transparent Proxy support WILL NOT be enabled" >&2;}
     sleep 10
 elif test "$IPF_TRANSPARENT" = "yes" ; then
     case "$host" in
@@ -47573,8 +47671,10 @@
 $as_echo "$PF_TRANSPARENT" >&6; }
 fi
 if test "$PF_TRANSPARENT" = "no" ; then
-    echo "WARNING: Cannot find necessary PF header file"
-    echo "         Transparent Proxy support WILL NOT be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Cannot find necessary PF header file" >&5
+$as_echo "$as_me: WARNING: Cannot find necessary PF header file" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: Transparent Proxy support WILL NOT be enabled" >&5
+$as_echo "$as_me: WARNING: Transparent Proxy support WILL NOT be enabled" >&2;}
     sleep 10
 fi
 
@@ -47599,8 +47699,10 @@
 $as_echo "$LINUX_NETFILTER" >&6; }
 fi
 if test "$LINUX_NETFILTER" = "no" ; then
-    echo "WARNING: Cannot find necessary Linux kernel (Netfilter) header files"
-    echo "         Linux Transparent and Intercepting Proxy support WILL NOT be enabled"
+    { $as_echo "$as_me:$LINENO: WARNING: Cannot find necessary Linux kernel (Netfilter) header files" >&5
+$as_echo "$as_me: WARNING: Cannot find necessary Linux kernel (Netfilter) header files" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: Linux Transparent and Intercepting Proxy support WILL NOT be enabled" >&5
+$as_echo "$as_me: WARNING: Linux Transparent and Intercepting Proxy support WILL NOT be enabled" >&2;}
     sleep 10
 fi
 
@@ -47626,10 +47728,14 @@
     { $as_echo "$as_me:$LINENO: result: $LINUX_TPROXY2" >&5
 $as_echo "$LINUX_TPROXY2" >&6; }
     if test "$LINUX_TPROXY2" = "no" && test "$LINUX_NETFILTER" = "yes"; then
-        echo "WARNING: Cannot find TPROXY v2 headers, you need to patch the kernel with "
-        echo "tproxy package from:"
-        echo " - lynx http://www.balabit.com/downloads/files/tproxy/"
-        echo "Or select the '--enable-linux-netfilter' option instead for Netfilter support."
+        { $as_echo "$as_me:$LINENO: WARNING: Cannot find TPROXY v2 headers, you need to patch the kernel with " >&5
+$as_echo "$as_me: WARNING: Cannot find TPROXY v2 headers, you need to patch the kernel with " >&2;}
+        { $as_echo "$as_me:$LINENO: WARNING: tproxy package from:" >&5
+$as_echo "$as_me: WARNING: tproxy package from:" >&2;}
+        { $as_echo "$as_me:$LINENO: WARNING:  - lynx http://www.balabit.com/downloads/files/tproxy/" >&5
+$as_echo "$as_me: WARNING:  - lynx http://www.balabit.com/downloads/files/tproxy/" >&2;}
+        { $as_echo "$as_me:$LINENO: WARNING: Or select the '--enable-linux-netfilter' option instead for Netfilter support." >&5
+$as_echo "$as_me: WARNING: Or select the '--enable-linux-netfilter' option instead for Netfilter support." >&2;}
         sleep 10
     fi
 fi
@@ -47681,7 +47787,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   USE_GNUREGEX="no"
@@ -47930,17 +48036,21 @@
 _ACEOF
 
 if test "$SQUID_MAXFD" -lt 512 ; then
-    echo "WARNING: $SQUID_MAXFD may not be enough filedescriptors if your"
-    echo "         cache will be very busy.  Please see the FAQ page"
-    echo "         http://wiki.squid-cache.org/SquidFaq/TroubleShooting"
-    echo "         on how to increase your filedescriptor limit"
+    { $as_echo "$as_me:$LINENO: WARNING: $SQUID_MAXFD may not be enough filedescriptors if your" >&5
+$as_echo "$as_me: WARNING: $SQUID_MAXFD may not be enough filedescriptors if your" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: cache will be very busy.  Please see the FAQ page" >&5
+$as_echo "$as_me: WARNING: cache will be very busy.  Please see the FAQ page" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: http://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&5
+$as_echo "$as_me: WARNING: http://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: on how to increase your filedescriptor limit" >&5
+$as_echo "$as_me: WARNING: on how to increase your filedescriptor limit" >&2;}
     sleep 10
 fi
 LDFLAGS="$TLDFLAGS"
 
 if test `expr $SQUID_MAXFD % 64` != 0; then
-    echo "WARNING: $SQUID_MAXFD is not an multiple of 64. This may cause issues"
-    echo "         on certain platforms."
+    { $as_echo "$as_me:$LINENO: WARNING: $SQUID_MAXFD is not an multiple of 64. This may cause issues on certain platforms." >&5
+$as_echo "$as_me: WARNING: $SQUID_MAXFD is not an multiple of 64. This may cause issues on certain platforms." >&2;}
     sleep 10
 fi
 
@@ -48212,7 +48322,8 @@
 { $as_echo "$as_me:$LINENO: result: $SQUID_TCP_SO_SNDBUF" >&5
 $as_echo "$SQUID_TCP_SO_SNDBUF" >&6; }
 if test $SQUID_TCP_SO_SNDBUF -gt 32768; then
-    echo "Limiting send buffer size to 32K"
+    { $as_echo "$as_me:$LINENO: Limiting send buffer size to 32K" >&5
+$as_echo "$as_me: Limiting send buffer size to 32K" >&6;}
     SQUID_TCP_SO_SNDBUF=32768
 fi
 
@@ -48307,7 +48418,8 @@
 { $as_echo "$as_me:$LINENO: result: $SQUID_TCP_SO_RCVBUF" >&5
 $as_echo "$SQUID_TCP_SO_RCVBUF" >&6; }
 if test $SQUID_TCP_SO_RCVBUF -gt 65535; then
-    echo "Limiting receive buffer size to 64K"
+    { $as_echo "$as_me:$LINENO: Limiting receive buffer size to 64K" >&5
+$as_echo "$as_me: Limiting receive buffer size to 64K" >&6;}
     SQUID_TCP_SO_RCVBUF=65535
 fi
 
@@ -48350,7 +48462,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_needs_sys_errlist="no"
@@ -48406,7 +48518,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
@@ -48503,19 +48615,21 @@
 $as_echo "\"no\"" >&6; }
 	case "$host_os" in
 	mingw|mingw32)
-	  echo "Using Win32 resolver instead."
+	  { $as_echo "$as_me:$LINENO: Using Win32 resolver instead." >&5
+$as_echo "$as_me: Using Win32 resolver instead." >&6;}
 	  ;;
 	*)
-	  echo "Will use our own inet_ntoa()."
+	  { $as_echo "$as_me:$LINENO: Will use our own inet_ntoa()." >&5
+$as_echo "$as_me: Will use our own inet_ntoa()." >&6;}
 	  case " $LIBOBJS " in
   *" inet_ntoa.$ac_objext "* ) ;;
   *) LIBOBJS="$LIBOBJS inet_ntoa.$ac_objext"
  ;;
 esac
 
-#	  echo "WARNING: This looks bad, and probably prevents Squid from working."
-#	  echo "         If you're on IRIX and using GCC 2.8, you probably need"
-#	  echo "         to use the IRIX C compiler instead."
+#	  AC_MSG_WARN([This looks bad, and probably prevents Squid from working.])
+#	  AC_MSG_WARN([If you're on IRIX and using GCC 2.8, you probably need])
+#	  AC_MSG_WARN([to use the IRIX C compiler instead.])
 #	  sleep 10
 	  ;;
 	esac
@@ -48564,7 +48678,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_func_statvfs=yes
@@ -48638,7 +48752,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_have_res_ext_nsaddr_list="yes"
@@ -48718,7 +48832,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_have_res_ext_nsaddrs="yes"
@@ -48798,7 +48912,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_have_res_nsaddr_list="yes"
@@ -48878,7 +48992,7 @@
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   ac_cv_have_res_ns_list="yes"
@@ -49003,7 +49117,6 @@
 
 
 
-
 use_errlocale=yes
 # Check whether --enable-auto-locale was given.
 if test "${enable_auto_locale+set}" = set; then
@@ -49014,21 +49127,25 @@
 fi
 
 if test "$use_errlocale" = "yes" ; then
-    echo "Enabling Multi-Language Support"
+    { $as_echo "$as_me:$LINENO: Enabling Multi-Language Support" >&5
+$as_echo "$as_me: Enabling Multi-Language Support" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_ERR_LOCALES 1
 _ACEOF
 
 else
-    echo "Disabling Multi-Language Support"
+    { $as_echo "$as_me:$LINENO: WARNING: Disabling Multi-Language Support" >&5
+$as_echo "$as_me: WARNING: Disabling Multi-Language Support" >&2;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_ERR_LOCALES 0
 _ACEOF
 
+        PO2HTML="off"
 fi
 
+
 XTRA_OBJS=''
 if test "$ac_cv_lib_malloc_main" = "yes" ; then
 	if test -r /usr/lib/debug/malloc.o ; then
@@ -49821,7 +49938,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.1.0.4, which was
+This file was extended by Squid Web Proxy $as_me 3.1.0.5, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -49874,7 +49991,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_version="\\
-Squid Web Proxy config.status 3.1.0.4
+Squid Web Proxy config.status 3.1.0.5
 configured by $0, generated by GNU Autoconf 2.62,
   with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
diff -u -r -N squid-3.1.0.4/configure.in squid-3.1.0.5/configure.in
--- squid-3.1.0.4/configure.in	2009-01-23 18:38:15.000000000 +1300
+++ squid-3.1.0.5/configure.in	2009-02-03 14:16:21.000000000 +1300
@@ -1,7 +1,8 @@
 dnl  Configuration input file for Squid
 dnl
+dnl  $Id$
 dnl
-AC_INIT(Squid Web Proxy, 3.1.0.4, http://www.squid-cache.org/bugs/, squid)
+AC_INIT(Squid Web Proxy, 3.1.0.5, http://www.squid-cache.org/bugs/, squid)
 AC_PREREQ(2.52)
 AM_CONFIG_HEADER(include/autoconf.h)
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -22,8 +23,8 @@
 dnl Check for GNU cc
 AC_PROG_CC
 AM_PROG_CC_C_O
-AC_LANG_C
 AC_PROG_CXX
+AC_LANG_CPLUSPLUS
 AC_CANONICAL_HOST
 
 dnl Make location configure settings available to the code
@@ -122,8 +123,8 @@
 	CFLAGS="$CFLAGS -mthreads"
 	CXXFLAGS="$CXXFLAGS -mthreads"
 	if test "$ac_cv_path_WIN32_PSAPI" = "none"; then
-		echo "PSAPI.DLL is recommended to run Squid on Windows NT Platform"
-		echo "Please see PSAPI.DLL section on doc/win32-relnotes.html."
+		AC_MSG_NOTICE([PSAPI.DLL is recommended to run Squid on Windows NT Platform])
+		AC_MSG_NOTICE([Please see PSAPI.DLL section on doc/win32-relnotes.html.])
 	else
 		AC_DEFINE(HAVE_WIN32_PSAPI,1,[Define if you have PSAPI.DLL on Windows systems])
 		LIBS="$LIBS -lpsapi"
@@ -193,8 +194,7 @@
     case "$host" in
     i386-*-freebsd*)
 	if test $GCCVER2 -lt 300 ; then
-	    echo "ERROR: GCC $GCCVER causes a coredump on $host"
-	    echo "ERROR: Try a more recent GCC version"
+	    AC_MSG_FAILURE([GCC $GCCVER causes a coredump on $host. Try a more recent GCC version])
 	    sleep 5
 	fi
 	;;
@@ -309,7 +309,7 @@
                   and allow easier debugging. This option implicitly
                   also enabled --disable-inline]),
 [ if test "$enableval" = "no" ; then
-	echo "Disabling compiler optimizations (-O flag)"
+	AC_MSG_NOTICE([Disabling compiler optimizations (-O flag)])
 	CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
 	CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-O[[0-9]]*//'`"
         SquidInline="no"
@@ -336,7 +336,7 @@
     AC_DEFINE(_SQUID_INLINE_, inline, [Keyword used by squid for inlining methods])
     AC_DEFINE(_USE_INLINE_,, [Include inline methods into header file])
 else
-    echo "Inlining optimization disabled"
+    AC_MSG_NOTICE([Inlining optimization disabled])
     AC_DEFINE(_SQUID_INLINE_,, [Keyword used by squid for inlining methods])
 fi
 
@@ -344,7 +344,7 @@
   AC_HELP_STRING([--enable-debug-cbdata],
                  [Provide some debug information in cbdata]),
 [ if test "$enableval" = "yes" ; then
-    echo "cbdata debugging enabled"
+    AC_MSG_NOTICE([cbdata debugging enabled])
     AC_DEFINE(CBDATA_DEBUG,1,[Enable for cbdata debug information])
   fi
 ])
@@ -354,7 +354,7 @@
 dnl AC_ARG_ENABLE(xmalloc-debug,
 dnl [  --enable-xmalloc-debug  Do some simple malloc debugging],
 dnl [ if test "$enableval" = "yes" ; then
-dnl     echo "Malloc debugging enabled"
+dnl     AC_MSG_NOTICE([malloc debugging enabled])
 dnl     AC_DEFINE(XMALLOC_DEBUG,1,[Define to do simple malloc debugging])
 dnl   fi
 dnl ])
@@ -365,7 +365,7 @@
 dnl [  --enable-xmalloc-debug-trace
 dnl                           Detailed trace of memory allocations],
 dnl [ if test "$enableval" = "yes" ; then
-dnl     echo "Malloc debug trace enabled"
+dnl     AC_MSG_NOTICE([malloc debug trace enabled])
 dnl     AC_DEFINE(XMALLOC_TRACE,1,[Define to have a detailed trace of memory allocations])
 dnl     AC_DEFINE(XMALLOC_DEBUG,1)
 dnl   fi
@@ -375,7 +375,7 @@
   AC_HELP_STRING([--enable-xmalloc-statistics],
                  [Show malloc statistics in status page]),
 [ if test "$enableval" = "yes" ; then
-    echo "Malloc statistics enabled"
+    AC_MSG_NOTICE([malloc statistics enabled])
     AC_DEFINE(XMALLOC_STATISTICS,1,[Define to have malloc statistics])
   fi
 ])
@@ -412,7 +412,7 @@
   esac
 ])
 if test "$aufs_io_threads"; then
-    echo "With $aufs_io_threads aufs threads"
+    AC_MSG_NOTICE([With $aufs_io_threads aufs threads])
     AC_DEFINE_UNQUOTED(AUFS_IO_THREADS,$aufs_io_threads,
     [Defines how many threads aufs uses for I/O])
 fi
@@ -420,20 +420,20 @@
 AC_ARG_WITH(pthreads,
   AC_HELP_STRING([--with-pthreads],[Use POSIX Threads]))
 if test "$with_pthreads" = "yes"; then
-    echo "With pthreads"
+  AC_MSG_NOTICE([With pthreads])
 fi
 
 AC_ARG_WITH(aio,
   AC_HELP_STRING([--with-aio],[Use POSIX AIO]))
 if test "$with_aio" = "yes"; then
-    echo "With aio"
+  AC_MSG_NOTICE([With aio])
 fi
 
 
 AC_ARG_WITH(dl,
   AC_HELP_STRING([--with-dl],[Use dynamic linking]))
 if test "$with_dl" = "yes"; then
-    echo "With dl"
+  AC_MSG_NOTICE([With dl])
 fi
 
 AC_ARG_ENABLE(storeio,
@@ -471,7 +471,7 @@
     for module in $STORE_MODULES_FULL; do
         have_mod=`echo "$STORE_MODULES" | grep "$module"`
         if test "$have_mod" != ""; then
-	    echo "Removing duplicate $module from storeio"
+	    AC_MSG_NOTICE([Removing duplicate $module from storeio])
 	elif test -d $srcdir/src/fs/$module; then
 	    STORE_MODULES="$STORE_MODULES $module"
 	    STORE_LINKOBJS="$STORE_LINKOBJS fs/${module}/StoreFS${module}.o"
@@ -479,7 +479,7 @@
 	    AC_MSG_ERROR(storeio $module does not exist)
 	fi
     done
-    echo "Store modules built: $STORE_MODULES"
+    AC_MSG_NOTICE([Store modules built: $STORE_MODULES])
 fi
 dnl remove all but diskd - its the only module that needs to recurse
 dnl into the sub directory
@@ -530,7 +530,7 @@
 done
 
 if test -z "$UFS_FOUND" && test -n "$NEED_UFS"; then
-    echo "adding UFS, as it contains core logic for diskd and aufs"
+    AC_MSG_NOTICE([Adding UFS, as it contains core logic for diskd and aufs])
     STORE_OBJS="$STORE_OBJS fs/libufs.a"
     STORE_LIBS="$STORE_LIBS libufs.a"
     STORE_MODULES="$STORE_MODULES ufs"
@@ -560,7 +560,7 @@
 	for dir in $srcdir/src/DiskIO/*; do
 	    module="`basename $dir`"
 	    if test -d "$dir" && test "$module" != CVS; then
-		echo "Autodetected $module DiskIO module"
+		AC_MSG_NOTICE([Autodetected $module DiskIO module])
 		DISK_MODULES="$DISK_MODULES $module"
 	    fi
 	done
@@ -577,7 +577,7 @@
 ],
 [ if test -z "$DISK_MODULES"; then
     DISK_MODULES="Blocking"
-    echo "Enabling Blocking DiskIO module (required default)"
+    AC_MSG_NOTICE([Enabling Blocking DiskIO module (required default)])
     AC_DEFINE(USE_DISKIO,1,[DiskIO modules are expected to be available.])
   fi
 ])
@@ -592,7 +592,7 @@
     DISK_LIBS="lib`echo $DISK_MODULES|sed -e 's% %.a lib%g'`.a"
     DISK_LINKOBJS=
     for module in $DISK_MODULES; do
-        echo "Enabling $module DiskIO module"
+        AC_MSG_NOTICE([Enabling $module DiskIO module])
         DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/${module}/${module}DiskIOModule.o"
     done
 fi
@@ -614,14 +614,14 @@
 done
 
 if test -z "$FOUND_BLOCKING" && test -n "$NEED_BLOCKING"; then
-    echo "adding Blocking, as it is used by an active, legacy Store Module"
+    AC_MSG_NOTICE([adding Blocking, as it is used by an active, legacy Store Module])
     DISK_LIBS="$DISK_LIBS libBlocking.a"
     DISK_MODULES="$DISK_MODULES Blocking"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/Blocking/BlockingDiskIOModule.o"
 fi
 
 if test -z "$FOUND_DISKDAEMON" && test -n "$NEED_DISKDAEMON"; then
-    echo "adding DiskDaemon, as it is used by an active, legacy Store Module"
+    AC_MSG_NOTICE(["adding DiskDaemon, as it is used by an active, legacy Store Module])
     DISK_LIBS="$DISK_LIBS libDiskDaemon.a"
     DISK_MODULES="$DISK_MODULES DiskDaemon"
     DISK_PROGRAMS="$DISK_PROGRAMS DiskIO/DiskDaemon/diskd"
@@ -629,19 +629,19 @@
 fi
 
 if test -z "$FOUND_DISKTHREADS" && test -n "$NEED_DISKTHREADS"; then
-    echo "adding DiskThreads, as it is used by an active, legacy Store Module"
+    AC_MSG_NOTICE([adding DiskThreads, as it is used by an active, legacy Store Module])
     DISK_LIBS="$DISK_LIBS libDiskThreads.a"
     DISK_MODULES="$DISK_MODULES DiskThreads"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/DiskThreads/DiskThreadsDiskIOModule.o"
 fi
 
 if test -z "$FOUND_AIO" && test -n "$NEED_AIO"; then
-    echo "adding AIO, as it is used by an active, legacy Store Module"
+    AC_MSG_NOTICE([adding AIO, as it is used by an active, legacy Store Module])
     DISK_LIBS="$DISK_LIBS libAIO.a"
     DISK_MODULES="$DISK_MODULES AIO"
     DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/AIO/AIODiskIOModule.o"
 fi
-echo "IO Modules built: $DISK_MODULES"
+AC_MSG_NOTICE([IO Modules built: $DISK_MODULES])
 USE_AIOPS_WIN32=0
 USE_AIO_WIN32=0
 dnl we know what is being built. now add dependencies.
@@ -652,10 +652,10 @@
             case "$host_os" in
             mingw|mingw32)
         	USE_AIOPS_WIN32=1
-	        echo "DiskThreads IO Module used, Windows threads support automatically enabled"
+	        AC_MSG_NOTICE([DiskThreads IO Module used, Windows threads support automatically enabled])
                 ;;
             *)
-	        echo "DiskThreads IO Module used, pthreads support automatically enabled"
+	        AC_MSG_NOTICE([DiskThreads IO Module used, pthreads support automatically enabled])
 	        with_pthreads=yes
                 ;;
             esac
@@ -666,10 +666,10 @@
             case "$host_os" in
             mingw|mingw32)
         	USE_AIO_WIN32=1
-	        echo "Aio IO Module used, Windows overlapped I/O support automatically enabled"
+	        AC_MSG_NOTICE([Aio IO Module used, Windows overlapped I/O support automatically enabled])
                 ;;
             *)
-	        echo "Aio IO Module used, aio support automatically enabled"
+	        AC_MSG_NOTICE([Aio IO Module used, aio support automatically enabled])
 	        with_aio=yes
                 ;;
             esac
@@ -758,7 +758,7 @@
 	    AC_MSG_ERROR(Removal policy $module does not exist)
 	fi
     done
-    echo "Removal policies built: $REPL_POLICIES"
+    AC_MSG_NOTICE([Removal policies built: $REPL_POLICIES])
     REPL_OBJS="repl/lib`echo $REPL_POLICIES|sed -e 's% %.a repl/lib%g'`.a"
     REPL_LIBS="`echo $REPL_OBJS|sed -e 's%repl/%%g'`"
 fi
@@ -770,7 +770,7 @@
 AC_ARG_ENABLE(icmp,
   AC_HELP_STRING([--enable-icmp],[Enable ICMP pinging and Network Measurement]),
 [ if test "$enableval" = "yes" ; then
-    echo "ICMP enabled"
+    AC_MSG_NOTICE([ICMP enabled])
     AC_DEFINE(USE_ICMP,1,[Define to use Squid's ICMP and Network Measurement features (highly recommended!)])
     AM_CONDITIONAL(ENABLE_PINGER, true)
   fi
@@ -781,7 +781,7 @@
   AC_HELP_STRING([--enable-delay-pools],
                  [Enable delay pools to limit bandwidth usage]),
 [ if test "$enableval" = "yes" ; then
-    echo "Delay pools enabled"
+    AC_MSG_NOTICE([Delay pools enabled])
     AC_DEFINE([DELAY_POOLS],1,[Traffic management via "delay pools".])
     AM_CONDITIONAL(USE_DELAY_POOLS, true,)
   fi
@@ -901,7 +901,7 @@
 dnl AC_ARG_ENABLE(mem-gen-trace,
 dnl [  --enable-mem-gen-trace  Do trace of memory stuff],
 dnl [ if test "$enableval" = "yes" ; then
-dnl     echo "Memory trace (to file) enabled"
+dnl     AC_MSG_NOTICE([Memory trace (to file) enabled])
 dnl     AC_DEFINE(MEM_GEN_TRACE,1,[Define for log file trace of mem alloc/free])
 dnl   fi    
 dnl ])     
@@ -910,7 +910,7 @@
   AC_HELP_STRING([--enable-useragent-log],
                  [Enable logging of User-Agent header]),
 [ if test "$enableval" = "yes" ; then
-    echo "User-Agent logging enabled"
+    AC_MSG_NOTICE([User-Agent logging enabled])
     AC_DEFINE(USE_USERAGENT_LOG,1,[If you want to log User-Agent request header values, define this.
     By default, they are written to useragent.log in the Squid log
     directory.])
@@ -920,7 +920,7 @@
 AC_ARG_ENABLE(referer-log,
   AC_HELP_STRING([--enable-referer-log],[Enable logging of Referer header]),
 [ if test "$enableval" = "yes" ; then
-    echo "Referer logging enabled"
+    AC_MSG_NOTICE([Referer logging enabled])
     AC_DEFINE(USE_REFERER_LOG,1,[If you want to log Referer request header values, define this.
     By default, they are written to referer.log in the Squid log
     directory.])
@@ -931,7 +931,7 @@
 AC_ARG_ENABLE(wccp,  
   AC_HELP_STRING([--disable-wccp],[Disable Web Cache Coordination Protocol]),
 [ if test "$enableval" = "no" ; then
-    echo "Web Cache Coordination Protocol disabled"
+    AC_MSG_NOTICE([Web Cache Coordination Protocol disabled])
     USE_WCCP=0
   fi
 ])      
@@ -944,7 +944,7 @@
   AC_HELP_STRING([--disable-wccpv2],
                  [Disable Web Cache Coordination V2 Protocol]),
 [ if test "$enableval" = "no" ; then
-    echo "Web Cache Coordination V2 Protocol disabled"
+    AC_MSG_NOTICE(["Web Cache Coordination V2 Protocol disabled])
     USE_WCCPv2=0
   fi
 ])
@@ -955,7 +955,7 @@
 AC_ARG_ENABLE(kill-parent-hack,
   AC_HELP_STRING([--enable-kill-parent-hack],[Kill parent on shutdown]),
 [ if test "$enableval" = "yes" ; then
-    echo "Kill parent on shutdown"
+    AC_MSG_NOTICE([Kill parent on shutdown])
     AC_DEFINE(KILL_PARENT_OPT,1,[A dangerous feature which causes Squid to kill its parent process
     (presumably the RunCache script) upon receipt of SIGTERM or SIGINT.
     Use with caution.])
@@ -966,7 +966,7 @@
 AC_ARG_ENABLE(snmp,
   AC_HELP_STRING([--disable-snmp],[Disable SNMP monitoring support]),
 [ if test "$enableval" = "no" ; then
-    echo "SNMP monitoring disabled"
+    AC_MSG_NOTICE([SNMP monitoring disabled])
     USE_SNMP=
   fi
 ])
@@ -987,14 +987,14 @@
    yes)
        AC_DEFINE(CACHEMGR_HOSTNAME,[getfullhostname()],
        [If you are upset that the cachemgr.cgi form comes up with the hostname field blank, then define this to getfullhostname()])
-       echo "Cachemgr default hostname == host where cachemgr runs"
+       AC_MSG_NOTICE([Cachemgr default hostname == host where cachemgr runs])
        ;;
    no)
        : # Nothing to do..
        ;;
    *)
        AC_DEFINE_UNQUOTED(CACHEMGR_HOSTNAME,"${enableval}")
-       echo "Cachemgr default hostname set to ${enableval}"
+       AC_MSG_NOTICE([Cachemgr default hostname set to ${enableval}])
        ;;
    esac
 ])
@@ -1004,7 +1004,7 @@
   AC_HELP_STRING([--enable-arp-acl],
                  [Enable use of ARP ACL lists (ether address)]),
 [  if test "$enableval" = "yes" ; then
-     echo "ARP ACL lists enabled (ether address)"
+     AC_MSG_NOTICE([ARP ACL lists enabled (ether address)])
      case "$host" in
 	*-linux-*)
 	    ;;
@@ -1023,7 +1023,7 @@
         LIBS="$LIBS -liphlpapi"
 	    ;;
 	*)
-	    echo "WARNING: ARP ACL support probably won't work on $host."
+	    AC_MSG_WARN([ARP ACL support probably won't work on $host.])
 	    sleep 10
 	    ;;
      esac
@@ -1037,7 +1037,7 @@
 AC_ARG_ENABLE(htcp,
   AC_HELP_STRING([--disable-htcp],[Disable HTCP protocol support]),
 [ if test "$enableval" = "no" ; then
-    echo "HTCP support disabled"
+    AC_MSG_NOTICE([HTCP support disabled])
   fi
 ])
 if test x$USE_HTCP = xtrue; then
@@ -1052,7 +1052,7 @@
 AC_ARG_ENABLE(ssl,
   AC_HELP_STRING([--enable-ssl],[Enable ssl gatewaying support using OpenSSL]),
 [ if test "$enableval" != "no"; then
-    echo "SSL gatewaying using OpenSSL enabled"
+    AC_MSG_NOTICE([SSL gatewaying using OpenSSL enabled])
     AC_DEFINE(USE_SSL,1,[Define this to include code for SSL encryption.])
     AM_CONDITIONAL(ENABLE_SSL, true)
     case "$host_os" in
@@ -1090,14 +1090,14 @@
   esac
 ])
 if test -n "$USE_OPENSSL"; then
-  echo "Using OpenSSL MD5 implementation"
+  AC_MSG_NOTICE([Using OpenSSL MD5 implementation])
   AC_DEFINE(USE_OPENSSL,1,[Define this to make use of the OpenSSL libraries for MD5 calculation rather than Squid's own MD5 implementation or if building with SSL encryption (USE_SSL)])
   if test -z "$SSLLIB"; then
     SSLLIB="-lcrypto" # for MD5 routines
   fi
   dnl This is a workaround for RedHat 9 brain damage..
   if test -d /usr/kerberos/include && test -z "$SSLLIBDIR" && test -f /usr/include/openssl/kssl.h; then
-    echo "OpenSSL depends on Kerberos"
+    AC_MSG_NOTICE([OpenSSL depends on Kerberos])
     SSLLIBDIR="/usr/kerberos/lib"
     CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include"
   fi
@@ -1111,7 +1111,7 @@
 AC_ARG_ENABLE(forw-via-db,
   AC_HELP_STRING([--enable-forw-via-db],[Enable Forw/Via database]),
 [ if test "$enableval" = "yes" ; then
-    echo "FORW-VIA enabled"
+    AC_MSG_NOTICE([FORW-VIA enabled])
     AC_DEFINE(FORW_VIA_DB,1,[Enable Forw/Via database])
   fi
 ])
@@ -1121,7 +1121,7 @@
                  [Use Cache Digests.
                   See http://wiki.squid-cache.org/SquidFaq/CacheDigests]),
 [ if test "$enableval" = "yes" ; then
-    echo "USE_CACHE_DIGESTS enabled"
+    AC_MSG_NOTICE([Cache Disgests enabled])
     AC_DEFINE(USE_CACHE_DIGESTS,1,[Use Cache Digests for locating objects in neighbor caches.  This code is still semi-experimental.])
   fi
 ])
@@ -1131,7 +1131,7 @@
   AC_HELP_STRING([--with-coss-membuf-size=size],
                  [COSS membuf size (default 1048576 bytes)]),
 [  if test -n "$withval" -a "x$withval" != "xno" ; then
-      echo "Setting COSS membuf size to $with_coss_membuf_size bytes"
+      AC_MSG_NOTICE([Setting COSS membuf size to $with_coss_membuf_size bytes])
       AC_DEFINE_UNQUOTED(COSS_MEMBUF_SZ, $with_coss_membuf_size,[Define if you want to set the COSS membuf size])
    fi
 ])
@@ -1145,11 +1145,11 @@
 [
   case "$enableval" in
   yes)
-    echo "Forcing poll() to be enabled"
+    AC_MSG_WARN([Forcing poll() to be enabled])
     SELECT_TYPE="poll"
     ;;
   no)
-    echo "Forcing poll() to be disabled"
+    AC_MSG_WARN([Forcing poll() to be disabled])
     disable_poll=true
     ;;
   esac
@@ -1162,11 +1162,11 @@
 [
   case "$enableval" in
   yes)
-    echo "Forcing select() to be enabled"
+    AC_MSG_WARN([Forcing select() to be enabled])
     SELECT_TYPE="select"
     ;;
   no)
-    echo "Forcing select() to be disabled"
+    AC_MSG_WARN([Forcing select() to be disabled])
     disable_select=true
     ;;
   esac
@@ -1180,13 +1180,13 @@
 [
   case "$enableval" in
   yes)
-    echo "Forcing kqueue() to be enabled"
+    AC_MSG_WARN([Forcing kqueue() to be enabled])
     SELECT_TYPE="kqueue"
     AC_CHECK_HEADERS([sys/event.h],[],
       [ AC_MSG_ERROR([kqueue support requires sys/event.h header file.]) ])
     ;;
   no)
-    echo "Forcing kqueue() to be disabled"
+    AC_MSG_WARN([Forcing kqueue() to be disabled])
     disable_kqueue=true
   ;;
   *)
@@ -1202,7 +1202,7 @@
 [
   case "$enableval" in
   yes)
-    echo "Forcing epoll() to be enabled"
+    AC_MSG_WARN([Forcing epoll() to be enabled])
     SELECT_TYPE="epoll"
     dnl epoll requires header file and library to be installed
     AC_CHECK_HEADERS([sys/epoll.h],[],
@@ -1211,7 +1211,7 @@
       [ AC_MSG_ERROR([required libepoll library is missing.]) ])
     ;;
   no)
-    echo "Forcing epoll() to be disabled"
+    AC_MSG_WARN([Forcing epoll() to be disabled])
     disable_epoll=true
   ;;
 esac
@@ -1258,7 +1258,7 @@
                  [This allows you to remove code which is known to
                   violate the HTTP protocol specification.]),
 [ if test "$enableval" = "no" ; then
-    echo "Disabling HTTP Violations"
+    AC_MSG_NOTICE([Disabling HTTP Violations])
     http_violations=0
   fi
 ])
@@ -1274,7 +1274,7 @@
                  [Enable Transparent Proxy support for systems
                   using FreeBSD IPFW style redirection.]),
 [ if test "$enableval" = "yes" ; then
-	echo "IPFW Transparent Proxy enabled"
+	AC_MSG_NOTICE([IPFW Transparent Proxy enabled])
 	AC_DEFINE(IPFW_TRANSPARENT,1,[Enable support for Transparent Proxy on systems using FreeBSD IPFW address redirection.])
 	IPFW_TRANSPARENT="yes"
   else
@@ -1288,7 +1288,7 @@
                  [Enable Transparent Proxy support for systems
                   using IP-Filter network address redirection.]),
 [ if test "$enableval" = "yes" ; then
-	echo "IP-Filter Transparent Proxy enabled"
+	AC_MSG_NOTICE([IP-Filter Transparent Proxy enabled])
 	AC_DEFINE(IPF_TRANSPARENT,1,[Enable support for Transparent Proxy on systems using IP-Filter address redirection. This provides "masquerading" support for non Linux system.])
 	IPF_TRANSPARENT="yes"
   else
@@ -1302,7 +1302,7 @@
                  [Enable Transparent Proxy support for systems
                   using PF network address redirection.]),
 [ if test "$enableval" = "yes" ; then
-	echo "PF Transparent Proxy enabled"
+	AC_MSG_NOTICE([PF Transparent Proxy enabled])
 	AC_DEFINE(PF_TRANSPARENT,1,[Enable support for Transparent Proxy on systems using PF address redirection. This provides "masquerading" support for OpenBSD.])
 	PF_TRANSPARENT="yes"
   else
@@ -1315,7 +1315,7 @@
   AC_HELP_STRING([--enable-linux-netfilter],
                  [Enable Transparent Proxy support for Linux (Netfilter)]),
 [ if test "$enableval" = "yes" ; then
-	echo "Linux (Netfilter) Transparent Proxy enabled"
+	AC_MSG_NOTICE([Linux (Netfilter) Transparent Proxy enabled])
 	AC_DEFINE(LINUX_NETFILTER,1,[Enable support for Transparent Proxy on Linux (Netfilter) systems])
 	LINUX_NETFILTER="yes"
   else
@@ -1350,8 +1350,7 @@
                           default                The default for your OS],
 [ case "$withval" in
   yes|no)
-	echo "--with-build-environment expects a build environment string as used by getconf"
-	exit 1
+	AC_MSG_FAILURE(["--with-build-environment expects a build environment string as used by getconf])
 	;;
   *)
 	buildmodel="$withval"
@@ -1367,20 +1366,20 @@
 		fi
 	done
 	if test -z "$buildmodel"; then
-		echo "WARNING: No suitable build environment found for large files. Trying to use _FILE_OFFSET_BITS=64"
+		AC_MSG_WARN(["No suitable build environment found for large files. Trying to use _FILE_OFFSET_BITS=64])
 		sleep 1
 	fi
 fi
 case "$buildmodel" in
 default|"")
 	if test "$needlargefiles"; then
-		echo "Enabling -D_FILE_OFFSET_BITS=64"
+		AC_MSG_NOTICE([Enabling -D_FILE_OFFSET_BITS=64])
 		CFLAGS="-D_FILE_OFFSET_BITS=64 $CFLAGS"
 		CXXFLAGS="-D_FILE_OFFSET_BITS=64 $CXXFLAGS"
 	fi
 	;;
 *)
-	echo "Using $buildmodel build environment"
+	AC_MSG_NOTICE([Using $buildmodel build environment])
 	if test "`getconf _$buildmodel 2>/dev/null || true`" = 1 || test "`getconf $buildmodel 2>/dev/null || true`" ; then
 	    : # All fine
 	else
@@ -1399,19 +1398,19 @@
 dnl   The 'sun' define is needed by ipfilter includes, so we must remove "-Usun"
 	    *-solaris*)
     		if test "$GCC" = "yes"; then
-		    echo "Removing -Xa for gcc/g++ on $host"
+		    AC_MSG_NOTICE([Removing -Xa for gcc/g++ on $host])
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-Xa//'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Xa//'`"
-		    echo "Replacing -xarch=generic64 with -m64 for gcc/g++ on $host"
+		    AC_MSG_NOTICE([Replacing -xarch=generic64 with -m64 for gcc/g++ on $host])
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    LDFLAGS="`echo $LDFLAGS | sed -e 's/-xarch=generic64//'`"
 		fi
-		echo "Removing -Usun on $host"
+		AC_MSG_NOTICE([Removing -Usun on $host])
 		CFLAGS="`echo $CFLAGS | sed -e 's/-Usun//'`"
 		CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Usun//'`"
 		;;
-dnl		
+dnl
 dnl On Irix 6.x getconf returns options valid only for the SGI MipsPRO compiler,
 dnl so we must adjust something to avoid gcc errors.
 dnl On Irix 6.x 32/64 bit we must replace "-n32" with "-mabi=n32" in CFLAGS and
@@ -1440,11 +1439,11 @@
 			     [Enable real Transparent Proxy support for Netfilter TPROXY 
                   (version 2).]),
 [ if test "$enableval" = "yes" ; then
-	echo "Linux Netfilter/TPROXY v2 enabled"
+	AC_MSG_NOTICE(["Linux Netfilter/TPROXY v2 enabled])
 	AC_DEFINE(LINUX_TPROXY2, 1, [Enable real Transparent Proxy support for Netfilter TPROXY v2.])
 	LINUX_TPROXY2="yes"
         if test -z "$LINUX_NETFILTER"; then
-	    echo "Linux-Netfilter Transparent Proxy automatically enabled"
+	    AC_MSG_NOTICE([Linux-Netfilter Transparent Proxy automatically enabled])
 	    LINUX_NETFILTER="yes"
 	fi
   else
@@ -1461,7 +1460,7 @@
 			      code to use the leak finding functions.  Probably
 			      Useful for hackers only.]),
 [ if test "$enableval" = "yes" ; then
-	echo "Leak-Finding enabled"
+	AC_MSG_NOTICE([Leak-Finding enabled])
 	AC_DEFINE(USE_LEAKFINDER,1,[Enable code for assisting in finding memory leaks.  Hacker stuff only.])
 	USE_LEAKFINDER="yes"
 	AM_CONDITIONAL(MAKE_LEAKFINDER, true)
@@ -1476,7 +1475,7 @@
                  original or indirect client when a request has
                  been forwarded through other proxies.]),
 [ if test "$enableval" = "yes" ; then
-    echo "follow X-Forwarded-For enabled"
+    AC_MSG_NOTICE([follow X-Forwarded-For enabled])
     follow_xff=1
   fi
 ])
@@ -1491,7 +1490,7 @@
   AC_HELP_STRING([--disable-ident-lookups],
                  [This allows you to remove code that performs Ident (RFC 931) lookups.]),
 [ if test "$enableval" = "no" ; then
-    echo "Disabling Ident Lookups"
+    AC_MSG_NOTICE([Disabling Ident Lookups])
     use_ident=0
   fi
 ])
@@ -1510,7 +1509,7 @@
                  [Prevents Squid from directly sending and receiving DNS messages, 
                   and instead enables the old external 'dnsserver' processes.]),
 [ if test "$enableval" = "no" ; then
-    echo "Disabling Internal DNS queries"
+    AC_MSG_WARN([Disabling Internal DNS queries])
     use_dnsserver="yes"
   fi
 ])
@@ -1529,13 +1528,13 @@
     	if test -f $enableval; then
 	    OPT_DEFAULT_HOSTS=$enableval
     	else
-	    echo "Warning Unable to find $enableval"
+	    AC_MSG_WARN([Unable to find $enableval])
 	    sleep 5
 	fi
     else
-	OPT_DEFAULT_HOSTS="none"    
+	OPT_DEFAULT_HOSTS="none"
     fi
-    echo "Default hosts file set to: $enableval"
+    AC_MSG_NOTICE([Default hosts file set to: $enableval])
 ],[OPT_DEFAULT_HOSTS="/etc/hosts"])
 AC_SUBST(OPT_DEFAULT_HOSTS)
 
@@ -1577,11 +1576,11 @@
 	fi
 	eval AUTH_MODULE_${module}=yes
     done
-    echo "Auth scheme modules built: $AUTH_MODULES"
+    AC_MSG_NOTICE([Auth scheme modules built: $AUTH_MODULES])
     AUTH_OBJS="auth/lib`echo $AUTH_MODULES|sed -e 's% %.a auth/lib%g'`.a"
     AUTH_LIBS="`echo $AUTH_OBJS|sed -e 's%auth/%%g'`"
 else
-    echo "Auth scheme modules built: None"
+    AC_MSG_WARN([Auth scheme modules built: None])
 fi
 AUTH_LINKOBJS=
 for module in $AUTH_MODULES; do
@@ -1617,7 +1616,7 @@
 	;;
   *)
 	if test -z "$AUTH_MODULE_basic"; then
-		echo "WARNING: Basic auth helpers selected without the basic scheme enabled"
+		AC_MSG_WARN([Basic auth helpers selected without the basic scheme enabled])
 		sleep 15
 	fi
 	BASIC_AUTH_HELPERS="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
@@ -1645,7 +1644,7 @@
 	    AC_MSG_ERROR(Basic auth helper $helper does not exist)
 	fi
     done
-    echo "Basic auth helpers built: $BASIC_AUTH_HELPERS"
+    AC_MSG_NOTICE([Basic auth helpers built: $BASIC_AUTH_HELPERS])
 fi
 AC_SUBST(BASIC_AUTH_HELPERS)
 
@@ -1688,7 +1687,7 @@
 	    AC_MSG_ERROR(NTLM Auth helper $helper does not exist)
 	fi
     done
-    echo "NTLM auth helpers built: $NTLM_AUTH_HELPERS"
+    AC_MSG_NOTICE([NTLM auth helpers built: $NTLM_AUTH_HELPERS])
 fi
 AC_SUBST(NTLM_AUTH_HELPERS)
 
@@ -1731,7 +1730,7 @@
 	    AC_MSG_ERROR(Negotiate Auth helper $helper does not exist)
 	fi
     done
-    echo "Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS"
+    AC_MSG_NOTICE([Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS])
 fi
 AC_SUBST(NEGOTIATE_AUTH_HELPERS)
 AC_CONFIG_SUBDIRS(helpers/negotiate_auth/squid_kerb_auth)
@@ -1775,7 +1774,7 @@
 		AC_MSG_ERROR(digest auth helper $helper does not exist)
 	fi
     done
-    echo "Digest auth helpers built: $DIGEST_AUTH_HELPERS"
+    AC_MSG_NOTICE([Digest auth helpers built: $DIGEST_AUTH_HELPERS])
 fi
 AC_SUBST(DIGEST_AUTH_HELPERS)
 
@@ -1827,7 +1826,7 @@
 		AC_MSG_ERROR(external acl helper $helper does not exist)
 	fi
     done
-    echo "External acl helpers built: $EXTERNAL_ACL_HELPERS"
+    AC_MSG_NOTICE([External acl helpers built: $EXTERNAL_ACL_HELPERS])
 fi
 AC_SUBST(EXTERNAL_ACL_HELPERS)
 
@@ -1849,8 +1848,8 @@
   if test $valgrind; then
     AC_CHECK_HEADERS(valgrind/memcheck.h,
       [ AC_DEFINE(WITH_VALGRIND, 1, [Valgrind memory debugger support])
-	echo "Valgrind debug support enabled" ],
-      [ echo "Valgrind header not found. Valgrind support disabled." ]
+	AC_MSG_NOTICE([Valgrind debug support enabled]) ],
+      [ AC_MSG_WARN([Valgrind header not found. Valgrind support disabled.]) ]
     )
   fi
 ])
@@ -1863,7 +1862,7 @@
 			      only lib/MemPool.c needs to be altered to change the squid-wide 
 			      default for all classes.]),
 [ if test "$enableval" = "no" ; then
-    echo "memPools disabled"
+    AC_MSG_NOTICE([memPools disabled])
     AC_DEFINE(DISABLE_POOLS, 1, [Define if you have problems with memPools and want to disable Pools])
   else
     AC_DEFINE(DISABLE_POOLS, 0, [Define if you have problems with memPools and want to disable Pools.])
@@ -1878,7 +1877,7 @@
                  [Compile Squid as a WIN32 Service.
                   Works only on MS-Windows platforms (NT and up).]),
 [ if test "$enableval" = "yes" ; then
-    echo "Enabling WIN32 run service mode"
+    AC_MSG_NOTICE([Enabling WIN32 run service mode])
     AC_DEFINE(USE_WIN32_SERVICE,1,[Define Windows NT & Windows 2000 run service mode])
   fi
 ])
@@ -1888,11 +1887,11 @@
 if test "$require_sasl" = "yes"; then
 	AC_CHECK_HEADERS(sasl/sasl.h sasl.h)
 	if test "$ac_cv_header_sasl_sasl_h" = "yes"; then
-		echo "using SASL2"
+		AC_MSG_NOTICE([using SASL2])
 		LIBSASL="-lsasl2"
 	else
 		if test "$ac_cv_header_sasl_h" = "yes"; then
-			echo "using SASL"
+			AC_MSG_NOTICE([using SASL])
 			LIBSASL="-lsasl"
 		else
 			AC_MSG_ERROR(Neither SASL nor SASL2 found)
@@ -1915,11 +1914,11 @@
     use_unlinkd=yes
 ])
 if test "$use_unlinkd" = "yes"; then
-    echo "unlinkd enabled"
+    AC_MSG_NOTICE([unlinkd enabled])
     AC_DEFINE(USE_UNLINKD,1,[Define this if unlinkd is required (strongly recommended for ufs storage type)])
     AM_CONDITIONAL(ENABLE_UNLINKD, true)
 else
-    echo "unlinkd disabled"
+    AC_MSG_NOTICE([unlinkd disabled])
     AM_CONDITIONAL(ENABLE_UNLINKD, false)
 fi
 
@@ -1928,7 +1927,7 @@
   AC_HELP_STRING([--enable-stacktraces],
                  [Enable automatic call backtrace on fatal errors]),
 [ if test "$enableval" = "yes" ; then
-    echo "Enabling automatic stack backtraces on fatal errors"
+    AC_MSG_NOTICE([Enabling automatic stack backtraces on fatal errors])
     AC_DEFINE(PRINT_STACK_TRACE, 1,[Print stacktraces on fatal errors])
   fi
 ])
@@ -1945,14 +1944,14 @@
                   If you are not developer you shouldn't enable this, 
                   as it slows squid down somewhat. See lib/Profiler.c for more details.]),
 [ if test "$enableval" = "yes" ; then
-    echo "Enabling cpu-profiling"
+    AC_MSG_NOTICE([Enabling cpu-profiling])
     AC_DEFINE(USE_XPROF_STATS, 1,[Define to enable CPU profiling within Squid])
     AM_CONDITIONAL(ENABLE_XPROF_STATS, true)
   fi
 ])
 
 dnl Enable X-Accelerator-Vary for Vary support within an accelerator setup
-AC_ARG_ENABLE(x_accelerator_vary,
+AC_ARG_ENABLE(x-accelerator-vary,
   AC_HELP_STRING([--enable-x-accelerator-vary],
                  [Enable support for the X-Accelerator-Vary
                   HTTP header. Can be used to indicate
@@ -1960,7 +1959,7 @@
                   Typically used together with other code
                   that adds custom HTTP headers to the requests.]),
 [ if test "$enableval" = "yes" ; then
-    echo "Enabling support for X-Accelerator-Vary"
+    AC_MSG_NOTICE([Enabling support for X-Accelerator-Vary])
     AC_DEFINE(X_ACCELERATOR_VARY, 1, [Enable support for the X-Accelerator-Vary HTTP header])
   fi
 ])
@@ -1989,15 +1988,14 @@
       ;;
   esac
   AC_CACHE_CHECK([if PF_INET6 is available], $use_ipng,
-    AC_TRY_RUN(
-      [ /* PF_INET6 available check */
+    AC_TRY_RUN([ /* PF_INET6 available check */
 #       include <sys/types.h>
 #       include <sys/socket.h>
-        void main() {
+        int main() {
           if (socket(PF_INET6, SOCK_STREAM, 0) < 0)
-            exit(1);
+            return 1;
           else
-            exit(0);
+            return 0;
         }
       ],
       [ AC_MSG_RESULT(yes)
@@ -2031,31 +2029,38 @@
   [AC_DEFINE(IPV6_SPECIAL_SPLITSTACK, 0, [Enable support for IPv6 on split-stack implementations]) AC_MSG_RESULT(no)]
 )
 
-dnl Check for IPv6-localhost option
-AC_MSG_CHECKING([for IPv6-Localhost requirement])
-AC_ARG_WITH(localhost-ipv6,
-  AC_HELP_STRING([--with-localhost-ipv6], 
-        [WARNING: This is an RFC violation! 
-		Treat 127.0.0.1 and ::1 as identical and convert all inputs of localhost to ::1. 
-		This depends on IPv6 support and all applications squid contacts 
-		via localhost being IPv6 enabled.]),
-  [AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 1, [Convert IPv4-localhost requests to IPv6. Default: keep seperate.]) AC_MSG_RESULT(yes)],
-  [AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 0, [Convert IPv4-localhost requests to IPv6. Default: Keep seperate.]) AC_MSG_RESULT(no)]
-)
+dnl Check whether this OS defines sin6_len as a member of sockaddr_in6 as a backup to ss_len
+AC_CACHE_CHECK([for sin6_len field in struct sockaddr_in6],
+                ac_cv_have_sin6_len_in_struct_sai, [
+        AC_TRY_COMPILE([
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <netinet/in.h>
+                ],
+                [ struct sockaddr_in6 s; s.sin6_len = 1; ],
+                [ ac_cv_have_sin6_len_in_struct_sai="yes" ],
+                [ ac_cv_have_sin6_len_in_struct_sai="no" ]
+        )
+])
+if test "x$ac_cv_have_sin6_len_in_struct_sai" = "xyes" ; then
+        AC_DEFINE(HAVE_SIN6_LEN_IN_SAI, 1, [Does struct sockaddr_in6 have sin6_len? 1: Yes, 0: No])
+else
+        AC_DEFINE(HAVE_SIN6_LEN_IN_SAI, 0, [Does struct sockaddr_in6 have sin6_len? 1: Yes, 0: No])
+fi
+
 
 else
   # NP: semi-silent failure as IPv4-only mode is perfectly usable on this system.
-  echo "WARNING: IPv6 is not available on this system."
+  AC_MSG_WARN([IPv6 is not available on this system.])
   AC_DEFINE(USE_IPV6,0,[Enable support for IPv6])
   AC_DEFINE(IPV6_SPECIAL_SPLITSTACK,0,[Enable support for IPv6 on split-stack implementations])
-  AC_DEFINE(IPV6_SPECIAL_LOCALHOST,0,[Convert IPv4-localhost requests to IPv6. Default: Keep seperate.])
   AC_DEFINE(IPV6_SPECIAL_V4MAPPED,0,[Enable v4-mapping through v6 sockets])
 fi
 
 AC_ARG_ENABLE(zph-qos,
   AC_HELP_STRING([--enable-zph-qos],[Enable ZPH QOS support]),
 [ if test "$enableval" = "yes" ; then
-    echo "ZPH QOS enabled"
+    AC_MSG_NOTICE([ZPH QOS enabled])
     AC_DEFINE(USE_ZPH_QOS,1,
     [ Define this to use Squid's ZPH (Zero Penalty Hit) QOS features.
       When enabled, Squid will alter TOS field of HIT responses for better QOS on intermediate routing/shaping devices.])
@@ -2100,25 +2105,6 @@
         AC_DEFINE(HAVE_SIN_LEN_IN_SAI, 0, [Does struct sockaddr_in have sin_len? 1: Yes, 0: No])
 fi
 
-dnl Check whether this OS defines sin6_len as a member of sockaddr_in6 as a backup to ss_len
-AC_CACHE_CHECK([for sin6_len field in struct sockaddr_in6],
-                ac_cv_have_sin6_len_in_struct_sai, [
-        AC_TRY_COMPILE([
-#include <sys/types.h>
-#include <sys/socket.h>
-#include <netinet/in.h>
-                ],
-                [ struct sockaddr_in6 s; s.sin6_len = 1; ],
-                [ ac_cv_have_sin6_len_in_struct_sai="yes" ],
-                [ ac_cv_have_sin6_len_in_struct_sai="no" ]
-        )
-])
-if test "x$ac_cv_have_sin6_len_in_struct_sai" = "xyes" ; then
-        AC_DEFINE(HAVE_SIN6_LEN_IN_SAI, 1, [Does struct sockaddr_in6 have sin6_len? 1: Yes, 0: No])
-else
-        AC_DEFINE(HAVE_SIN6_LEN_IN_SAI, 0, [Does struct sockaddr_in6 have sin6_len? 1: Yes, 0: No])
-fi
-
 dnl --with-maxfd present for compatibility with Squid-2.
 dnl undocumented in ./configure --help  to encourage using the Squid-3 directive.
 AC_ARG_WITH(maxfd,,
@@ -2148,12 +2134,12 @@
 
 AC_PATH_PROG(CPPUNITCONFIG, cppunit-config, false)
 if $CPPUNITCONFIG --help >/dev/null; then
-  echo "using system installed cppunit"
+  AC_MSG_NOTICE([using system installed cppunit])
   SQUID_CPPUNIT_LIBS="`$CPPUNITCONFIG --libs`"
   SQUID_CPPUNIT_LA=''
   SQUID_CPPUNIT_INC="`$CPPUNITCONFIG --cflags`"
 else
-  echo "cppunit does not appear to be installed. squid does not require this, but code testing with 'make check' will fail."
+  AC_MSG_WARN([cppunit does not appear to be installed. squid does not require this, but code testing with 'make check' will fail.])
   SQUID_CPPUNIT_LA='' 
   SQUID_CPPUNIT_LIBS=''
   SQUID_CPPUNIT_INC=''
@@ -2164,13 +2150,13 @@
                  [Path where the cppunit headers are libraries are found 
                   for unit testing.]),
 [ if test -f $withval/include/cppunit/TestCase.h; then
-	echo "Using cppunit includes from $withval"
+	AC_MSG_NOTICE([Using cppunit includes from $withval])
 	SQUID_CPPUNIT_INC="-I${withval}/include"
     else
 	AC_MSG_ERROR(Cannot find cppunit at $withval)
     fi
   if test -f $withval/lib/libcppunit.la; then
-	echo "Using cppunit lib from $withval"
+	AC_MSG_NOTICE([Using cppunit lib from $withval])
 	SQUID_CPPUNIT_LA="${withval}/lib/libcppunit.la"
 	SQUID_CPPUNIT_LIBS='$(SQUID_CPPUNIT_LA)'
     else
@@ -2187,14 +2173,14 @@
 case "$host" in
     alpha-dec-osf*)
 	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-std1' to cc args for $host"
+		AC_MSG_NOTICE([adding '-std1' to cc args for $host])
 		CC="cc -std1";
 		ac_cv_prog_CC="$CC"
 	fi
 	;;
     *-hp-hpux*)
 	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-Ae' to cc args for $host"
+		AC_MSG_NOTICE([adding '-Ae' to cc args for $host])
 		CC="cc -Ae";
 		ac_cv_prog_CC="$CC"
 	fi
@@ -2217,14 +2203,12 @@
 AC_PATH_PROG(AR, ar, $FALSE)
 
 if test "$ac_cv_path_PERL" = "none"; then
-	echo "Perl is required to compile Squid"
-	echo "Please install Perl and then re-run configure"
-	exit 1
+  AC_MSG_FAILURE([Perl is required to compile Squid. Please install Perl and then re-run configure ])
 fi
 
 case "$host" in
     *-hp-hpux*)
-	echo "Disabling 'ranlib' for HP-UX..."
+	AC_MSG_NOTICE([Disabling 'ranlib' for HP-UX...])
 	RANLIB=":"
 	;;
 esac
@@ -2405,7 +2389,7 @@
   mingw|mingw32)
     AC_DEFINE(HAVE_STRUCT_RUSAGE)
     ac_cv_func_getrusage='yes'
-    echo "Using own rusage on Windows."
+    AC_MSG_NOTICE([Using own rusage on Windows.])
     ;;
   *)      
     AC_CHECK_TYPE(struct rusage,AC_DEFINE(HAVE_STRUCT_RUSAGE,1,[The system provides struct rusage]),,[
@@ -2655,17 +2639,17 @@
 
   AC_CHECK_LIB(gnumalloc, main)
   if test "$ac_cv_lib_gnumalloc_main" = "yes"; then
-		echo "Disabling extended malloc functions when using gnumalloc"
+		AC_MSG_NOTICE([Disabling extended malloc functions when using gnumalloc])
 		ac_cv_func_mallinfo=no
 		ac_cv_func_mallocblksize=no
 		ac_cv_func_mallopt=no
   else
 		case "$host" in
 			*-sun-solaris*)
-			  echo "skipping libmalloc check for $host"
+			  AC_MSG_NOTICE([skipping libmalloc check for $host])
 				;;
 			i386-*-freebsd*)
-			  echo "skipping libmalloc check for $host"
+			  AC_MSG_NOTICE([skipping libmalloc check for $host])
 				;;
 			*)
   
@@ -2680,7 +2664,7 @@
 if test $ac_cv_lib_bind_gethostbyname = "no" ; then
     case "$host" in
 	i386-*-freebsd*)
-		echo "skipping libresolv checks for $host"
+		AC_MSG_NOTICE([skipping libresolv checks for $host])
 		;;
 	*)
 		AC_CHECK_LIB(resolv, main)
@@ -2689,7 +2673,7 @@
 fi
 case "$host_os" in
 mingw|mingw32)
-	echo "Use MSVCRT for math functions."
+	AC_MSG_NOTICE([Use MSVCRT for math functions.])
 	;;
 	*)
 	AC_CHECK_LIB(m, main)
@@ -2700,10 +2684,8 @@
 dnl Some of our helpers use crypt(3) which may be in libc, or in
 dnl libcrypt (eg FreeBSD)
 AC_CHECK_LIB(crypt, crypt, [CRYPTLIB="-lcrypt"])
-
 dnl Solaris10 provides MD5 natively through libmd5
 AC_CHECK_LIB(md5, MD5Init, [CRYPTLIB="$CRYPTLIB -lmd5"])
-
 AC_SUBST(CRYPTLIB)
 
 dnl Check for libdl, used by auth_modules/PAM
@@ -2753,7 +2735,7 @@
 #elif HAVE_DB_H
 #include <db.h>
 #endif],
-    [dbopen((void *)0L, 0, 0, DB_HASH, (void *)0L)],
+    [dbopen("", 0, 0, DB_HASH, (void *)0L)],
     ac_cv_dbopen_libdb="yes",
     ac_cv_dbopen_libdb="no")
 LIBS="$SAVED_LIBS"
@@ -2768,24 +2750,24 @@
 case "$host" in
 	i386-*-solaris2.*)
     		if test "$GCC" = "yes"; then
-			echo "Removing -O for gcc on $host"
+			AC_MSG_NOTICE([Removing -O for gcc on $host])
 			CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
 		fi
 		;;
 	*-sgi-irix*)
-        	echo "Removing -lsocket for IRIX..."
+        	AC_MSG_NOTICE([Removing -lsocket for IRIX...])
         	LIBS=`echo $LIBS | sed -e s/-lsocket//`
-        	echo "Removing -lnsl for IRIX..."
+        	AC_MSG_NOTICE([Removing -lnsl for IRIX...])
         	LIBS=`echo $LIBS | sed -e s/-lnsl//`
 		ac_cv_lib_nsl_main=no
-		echo "Removing -lbsd for IRIX..."
+		AC_MSG_NOTICE([Removing -lbsd for IRIX...])
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
 dnl From: c0032033@ws.rz.tu-bs.de (Joerg Schumacher)
 dnl Date: Thu, 17 Oct 1996 04:09:30 +0200
 dnl Please change your configure script.  AIX doesn't need -lbsd.
 	*-ibm-aix*)
-		echo "Removing -lbsd for AIX..."
+		AC_MSG_NOTICE([Removing -lbsd for AIX...])
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
 	*m88k*)
@@ -2807,7 +2789,7 @@
 	GCCVER=`$CC -v 2>&1 | awk '$2 ==  "version" {print $3}'`
 	case "$GCCVER" in
 	[2.95.[123]])
-		echo "Removing -O for gcc on $host with GCC $GCCVER"
+		AC_MSG_NOTICE([Removing -O for gcc on $host with GCC $GCCVER])
 		CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
 		;;
 	esac
@@ -2817,7 +2799,7 @@
 case "$host" in
 	*-univel-sysv4.2MP)
 		if test `uname -v` = "2.03"; then
-			echo "disabling mallinfo for $host"
+			AC_MSG_NOTICE([disabling mallinfo for $host])
 			ac_cv_func_mallinfo=no
 		fi
 		;;
@@ -2830,12 +2812,12 @@
 	case "$host" in
 		[alpha-dec-osf3.*])
 			# John Kay (jkay@nlanr.net) 19970818
-			echo "disabling poll for $host..."
+			AC_MSG_NOTICE([disabling poll for $host...])
 			ac_cv_func_poll='no'
 			;;
 		[*-hp-hpux*.*])
 			# Duane Wessels
-			echo "disabling poll for $host..."
+			AC_MSG_NOTICE([disabling poll for $host...])
 			ac_cv_func_poll='no'
 			;;
 		[*-linux-*])
@@ -2844,19 +2826,19 @@
 			# by default until Linux gets it right.
 			rev=`uname -r | awk -F. '{printf "%03d%03d",$1,$2}'`
 			if test $rev -lt 002002; then
-			    echo "disabling poll for $host < 2.2..."
+			    AC_MSG_NOTICE([disabling poll for $host < 2.2...])
 			    ac_cv_func_poll='no'
 			fi
 			;;
 		[powerpc-ibm-aix4.1.*])
 			# Mike Laster (mlaster@metavillage.com) 19981021
-			echo "disabling poll for $host..."
+			AC_MSG_NOTICE([disabling poll for $host...])
 			ac_cv_func_poll='no'
 			;;
 		[*-pc-sco3.2*])
 			# Robert Side <rside@aiinc.bc.ca>
 			# Mon, 18 Jan 1999 17:48:00 GMT
-			echo "disabling poll for $host..."
+			AC_MSG_NOTICE([disabling poll for $host...])
 			ac_cv_func_poll='no'
 			;;
 	esac
@@ -2975,13 +2957,13 @@
 		;;
 	esac
 else
-        echo "Eep!  Can't find poll, kqueue, epoll, or select!"
-        echo "I'll try select and hope for the best."
+        AC_MSG_WARN([Eep!  Can't find poll, kqueue, epoll, or select!])
+        AC_MSG_WARN([I'll try select and hope for the best.])
         SELECT_TYPE="select"
         AC_DEFINE(USE_SELECT,1)
 fi
 
-echo "Using ${SELECT_TYPE} for the IO loop."
+AC_MSG_NOTICE([Using ${SELECT_TYPE} for the IO loop.])
 
 AM_CONDITIONAL([USE_POLL], [test $SELECT_TYPE = poll])
 AM_CONDITIONAL([USE_EPOLL], [test $SELECT_TYPE = epoll])
@@ -3145,8 +3127,8 @@
     AC_MSG_RESULT($IPF_TRANSPARENT)
 fi 
 if test "$IPF_TRANSPARENT" = "no" ; then
-    echo "WARNING: Cannot find necessary IP-Filter header files"
-    echo "         Transparent Proxy support WILL NOT be enabled"
+    AC_MSG_WARN([Cannot find necessary IP-Filter header files])
+    AC_MSG_WARN([Transparent Proxy support WILL NOT be enabled])
     sleep 10
 elif test "$IPF_TRANSPARENT" = "yes" ; then
 dnl On Solaris Ipfilter includes expect that SOLARIS2 is defined with the
@@ -3176,8 +3158,8 @@
     AC_MSG_RESULT($PF_TRANSPARENT)
 fi
 if test "$PF_TRANSPARENT" = "no" ; then
-    echo "WARNING: Cannot find necessary PF header file"
-    echo "         Transparent Proxy support WILL NOT be enabled"
+    AC_MSG_WARN([Cannot find necessary PF header file])
+    AC_MSG_WARN([Transparent Proxy support WILL NOT be enabled])
     sleep 10
 fi
 
@@ -3196,8 +3178,8 @@
     AC_MSG_RESULT($LINUX_NETFILTER)
 fi 
 if test "$LINUX_NETFILTER" = "no" ; then
-    echo "WARNING: Cannot find necessary Linux kernel (Netfilter) header files"
-    echo "         Linux Transparent and Intercepting Proxy support WILL NOT be enabled"
+    AC_MSG_WARN([Cannot find necessary Linux kernel (Netfilter) header files])
+    AC_MSG_WARN([Linux Transparent and Intercepting Proxy support WILL NOT be enabled])
     sleep 10
 fi
 
@@ -3215,10 +3197,10 @@
     fi
     AC_MSG_RESULT($LINUX_TPROXY2)
     if test "$LINUX_TPROXY2" = "no" && test "$LINUX_NETFILTER" = "yes"; then
-        echo "WARNING: Cannot find TPROXY v2 headers, you need to patch the kernel with "
-        echo "tproxy package from:"
-        echo " - lynx http://www.balabit.com/downloads/files/tproxy/"
-        echo "Or select the '--enable-linux-netfilter' option instead for Netfilter support."
+        AC_MSG_WARN([Cannot find TPROXY v2 headers, you need to patch the kernel with ])
+        AC_MSG_WARN([tproxy package from:])
+        AC_MSG_WARN([ - lynx http://www.balabit.com/downloads/files/tproxy/])
+        AC_MSG_WARN([Or select the '--enable-linux-netfilter' option instead for Netfilter support.])
         sleep 10
     fi
 fi
@@ -3379,17 +3361,16 @@
 fi
 AC_DEFINE_UNQUOTED(SQUID_MAXFD, $SQUID_MAXFD,[Maximum number of open filedescriptors])
 if test "$SQUID_MAXFD" -lt 512 ; then
-    echo "WARNING: $SQUID_MAXFD may not be enough filedescriptors if your"
-    echo "         cache will be very busy.  Please see the FAQ page"
-    echo "         http://wiki.squid-cache.org/SquidFaq/TroubleShooting"
-    echo "         on how to increase your filedescriptor limit"
+    AC_MSG_WARN([$SQUID_MAXFD may not be enough filedescriptors if your])
+    AC_MSG_WARN([cache will be very busy.  Please see the FAQ page])
+    AC_MSG_WARN([http://wiki.squid-cache.org/SquidFaq/TroubleShooting])
+    AC_MSG_WARN([on how to increase your filedescriptor limit])
     sleep 10
 fi
 LDFLAGS="$TLDFLAGS"
 
 if test `expr $SQUID_MAXFD % 64` != 0; then
-    echo "WARNING: $SQUID_MAXFD is not an multiple of 64. This may cause issues"
-    echo "         on certain platforms."
+    AC_MSG_WARN([$SQUID_MAXFD is not an multiple of 64. This may cause issues on certain platforms.])
     sleep 10
 fi
 
@@ -3521,7 +3502,7 @@
 SQUID_TCP_SO_SNDBUF=16384)
 AC_MSG_RESULT($SQUID_TCP_SO_SNDBUF)
 if test $SQUID_TCP_SO_SNDBUF -gt 32768; then
-    echo "Limiting send buffer size to 32K"
+    AC_MSG_NOTICE([Limiting send buffer size to 32K])
     SQUID_TCP_SO_SNDBUF=32768
 fi
 AC_DEFINE_UNQUOTED(SQUID_TCP_SO_SNDBUF, $SQUID_TCP_SO_SNDBUF,[TCP send buffer size])
@@ -3568,7 +3549,7 @@
 SQUID_TCP_SO_RCVBUF=16384)
 AC_MSG_RESULT($SQUID_TCP_SO_RCVBUF)
 if test $SQUID_TCP_SO_RCVBUF -gt 65535; then
-    echo "Limiting receive buffer size to 64K"
+    AC_MSG_NOTICE([Limiting receive buffer size to 64K])
     SQUID_TCP_SO_RCVBUF=65535
 fi
 AC_DEFINE_UNQUOTED(SQUID_TCP_SO_RCVBUF, $SQUID_TCP_SO_RCVBUF,[TCP receive buffer size])
@@ -3614,14 +3595,14 @@
 	AC_MSG_RESULT("no")
 	case "$host_os" in
 	mingw|mingw32)
-	  echo "Using Win32 resolver instead."
+	  AC_MSG_NOTICE([Using Win32 resolver instead.])
 	  ;;
 	*)
-	  echo "Will use our own inet_ntoa()."
+	  AC_MSG_NOTICE([Will use our own inet_ntoa().])
 	  AC_LIBOBJ(inet_ntoa)
-#	  echo "WARNING: This looks bad, and probably prevents Squid from working."
-#	  echo "         If you're on IRIX and using GCC 2.8, you probably need"
-#	  echo "         to use the IRIX C compiler instead."
+#	  AC_MSG_WARN([This looks bad, and probably prevents Squid from working.])
+#	  AC_MSG_WARN([If you're on IRIX and using GCC 2.8, you probably need])
+#	  AC_MSG_WARN([to use the IRIX C compiler instead.])
 #	  sleep 10
 	  ;;
 	esac
@@ -3760,7 +3741,6 @@
 
 dnl Squid now has .po translation capability, given the right toolkit
 AX_WITH_PROG([PO2HTML],[po2html])
-AC_SUBST(PO2HTML)
 
 dnl Squid now has limited locale handling ...
 dnl on error pages
@@ -3775,12 +3755,15 @@
   fi
 ])
 if test "$use_errlocale" = "yes" ; then
-    echo "Enabling Multi-Language Support"
+    AC_MSG_NOTICE([Enabling Multi-Language Support])
     AC_DEFINE(USE_ERR_LOCALES,1,[Use multi-language support on error pages])
 else
-    echo "Disabling Multi-Language Support"
+    AC_MSG_WARN([Disabling Multi-Language Support])
     AC_DEFINE(USE_ERR_LOCALES,0,[Use multi-language support on error pages])
+    dnl So we don't want to even attempt translation if its forcibly disabled.
+    PO2HTML="off"
 fi
+AC_SUBST(PO2HTML)
 
 dnl Need the debugging version of malloc if available
 XTRA_OBJS=''
diff -u -r -N squid-3.1.0.4/contrib/rredir.c squid-3.1.0.5/contrib/rredir.c
--- squid-3.1.0.4/contrib/rredir.c	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/contrib/rredir.c	2009-02-03 14:15:27.000000000 +1300
@@ -1,4 +1,4 @@
-/* $Id: rredir.c,v 1.5 2003/01/23 00:34:52 robertc Exp $ */
+/* $Id$
 
 /*
  * From:    richard@hekkihek.hacom.nl (Richard Huveneers)
diff -u -r -N squid-3.1.0.4/CREDITS squid-3.1.0.5/CREDITS
--- squid-3.1.0.4/CREDITS	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/CREDITS	2009-02-03 14:15:27.000000000 +1300
@@ -1,4 +1,4 @@
-$Id: CREDITS,v 1.13 2007/12/18 12:15:34 amosjeffries Exp $
+$Id$
 
 ==============================================================================
 
diff -u -r -N squid-3.1.0.4/doc/Makefile.am squid-3.1.0.5/doc/Makefile.am
--- squid-3.1.0.4/doc/Makefile.am	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/doc/Makefile.am	2009-02-03 14:15:27.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2006/06/02 16:31:45 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/doc/Makefile.in squid-3.1.0.5/doc/Makefile.in
--- squid-3.1.0.4/doc/Makefile.in	2009-01-23 18:37:49.000000000 +1300
+++ squid-3.1.0.5/doc/Makefile.in	2009-02-03 14:15:51.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2006/06/02 16:31:45 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_ACCESS_DENIED squid-3.1.0.5/errors/ar/ERR_ACCESS_DENIED
--- squid-3.1.0.4/errors/ar/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_ACCESS_DENIED	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Access Denied.</b></p> </blockquote>  <p>Access control configuration prevents your request from being allowed at this time.  Please contact your service provider if you feel this is incorrect.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_CACHE_ACCESS_DENIED squid-3.1.0.5/errors/ar/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.4/errors/ar/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_CACHE_ACCESS_DENIED	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Access Denied.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Access Denied.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or <a href="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.5/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.4/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Access Denied.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Manager Access Denied.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_CANNOT_FORWARD squid-3.1.0.5/errors/ar/ERR_CANNOT_FORWARD
--- squid-3.1.0.4/errors/ar/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_CANNOT_FORWARD	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to forward this request at this time.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_CONNECT_FAIL squid-3.1.0.5/errors/ar/ERR_CONNECT_FAIL
--- squid-3.1.0.4/errors/ar/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_CONNECT_FAIL	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>The remote host or network may be down.  Please try the request again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_DNS_FAIL squid-3.1.0.5/errors/ar/ERR_DNS_FAIL
--- squid-3.1.0.4/errors/ar/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_DNS_FAIL	2009-02-03 14:17:42.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to determine IP address from host name <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_ESI squid-3.1.0.5/errors/ar/ERR_ESI
--- squid-3.1.0.4/errors/ar/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_ESI	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FORWARDING_DENIED squid-3.1.0.5/errors/ar/ERR_FORWARDING_DENIED
--- squid-3.1.0.4/errors/ar/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FORWARDING_DENIED	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Forwarding Denied.</b></p> </blockquote>  <p>This cache will not forward your request because it is trying to enforce a sibling relationship.  Perhaps the client at %i is a cache which has been misconfigured.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_DISABLED squid-3.1.0.5/errors/ar/ERR_FTP_DISABLED
--- squid-3.1.0.4/errors/ar/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_DISABLED	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP is Disabled</b></p> </blockquote>  <p>This cache does not support FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_FAILURE squid-3.1.0.5/errors/ar/ERR_FTP_FAILURE
--- squid-3.1.0.4/errors/ar/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_FAILURE	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP protocol error occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_FORBIDDEN squid-3.1.0.5/errors/ar/ERR_FTP_FORBIDDEN
--- squid-3.1.0.4/errors/ar/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_FORBIDDEN	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_LISTING squid-3.1.0.5/errors/ar/ERR_FTP_LISTING
--- squid-3.1.0.4/errors/ar/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_LISTING	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_NOT_FOUND squid-3.1.0.5/errors/ar/ERR_FTP_NOT_FOUND
--- squid-3.1.0.4/errors/ar/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_NOT_FOUND	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_PUT_CREATED squid-3.1.0.5/errors/ar/ERR_FTP_PUT_CREATED
--- squid-3.1.0.4/errors/ar/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_PUT_CREATED	2009-02-03 14:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Created</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation successful</h1> <h2>File created</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_PUT_ERROR squid-3.1.0.5/errors/ar/ERR_FTP_PUT_ERROR
--- squid-3.1.0.4/errors/ar/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_PUT_ERROR	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload failed</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_PUT_MODIFIED squid-3.1.0.5/errors/ar/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.4/errors/ar/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_PUT_MODIFIED	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation successful</h1> <h2>File updated</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_FTP_UNAVAILABLE squid-3.1.0.5/errors/ar/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.4/errors/ar/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_FTP_UNAVAILABLE	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_ICAP_FAILURE squid-3.1.0.5/errors/ar/ERR_ICAP_FAILURE
--- squid-3.1.0.4/errors/ar/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_ICAP_FAILURE	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_INVALID_REQ squid-3.1.0.5/errors/ar/ERR_INVALID_REQ
--- squid-3.1.0.4/errors/ar/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_INVALID_REQ	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_INVALID_RESP squid-3.1.0.5/errors/ar/ERR_INVALID_RESP
--- squid-3.1.0.4/errors/ar/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_INVALID_RESP	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_INVALID_URL squid-3.1.0.5/errors/ar/ERR_INVALID_URL
--- squid-3.1.0.4/errors/ar/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_INVALID_URL	2009-02-03 14:17:44.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>مسار غير صحيح</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li> <li><p>Missing hostname</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_LIFETIME_EXP squid-3.1.0.5/errors/ar/ERR_LIFETIME_EXP
--- squid-3.1.0.4/errors/ar/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_LIFETIME_EXP	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection Lifetime Expired</b></p> </blockquote>  <p>Squid has terminated the request because it has exceeded the maximum connection lifetime.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_NO_RELAY squid-3.1.0.5/errors/ar/ERR_NO_RELAY
--- squid-3.1.0.4/errors/ar/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_NO_RELAY	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>No Wais Relay</b></p> </blockquote>  <p>There is no WAIS Relay host defined for this Cache!  Yell at the administrator.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.5/errors/ar/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.4/errors/ar/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_ONLY_IF_CACHED_MISS	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Valid document was not found in the cache and <q>only-if-cached</q> directive was specified.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_READ_ERROR squid-3.1.0.5/errors/ar/ERR_READ_ERROR
--- squid-3.1.0.4/errors/ar/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_READ_ERROR	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>خطأ قراءة</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>An error condition occurred while reading data from the network.  Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_READ_TIMEOUT squid-3.1.0.5/errors/ar/ERR_READ_TIMEOUT
--- squid-3.1.0.4/errors/ar/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_READ_TIMEOUT	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Timeout</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>A Timeout occurred while waiting to read data from the network.  The network or server may be down or congested.  Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_SECURE_CONNECT_FAIL squid-3.1.0.5/errors/ar/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.4/errors/ar/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_SECURE_CONNECT_FAIL	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_SHUTTING_DOWN squid-3.1.0.5/errors/ar/ERR_SHUTTING_DOWN
--- squid-3.1.0.4/errors/ar/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_SHUTTING_DOWN	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_SOCKET_FAILURE squid-3.1.0.5/errors/ar/ERR_SOCKET_FAILURE
--- squid-3.1.0.4/errors/ar/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_SOCKET_FAILURE	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Squid is unable to create a TCP socket, presumably due to excessive load. Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_TOO_BIG squid-3.1.0.5/errors/ar/ERR_TOO_BIG
--- squid-3.1.0.4/errors/ar/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_TOO_BIG	2009-02-03 14:17:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_UNSUP_REQ squid-3.1.0.5/errors/ar/ERR_UNSUP_REQ
--- squid-3.1.0.4/errors/ar/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_UNSUP_REQ	2009-02-03 14:17:46.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported Request Method and Protocol</b></p> </blockquote>  <p>Squid does not support all request methods for all access protocols. For example, you can not POST a Gopher request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_URN_RESOLVE squid-3.1.0.5/errors/ar/ERR_URN_RESOLVE
--- squid-3.1.0.4/errors/ar/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_URN_RESOLVE	2009-02-03 14:17:46.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>A URL for the requested URN could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cannot Resolve URN</b></p> </blockquote>  <p>Hey, don't expect too much from URNs on %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_WRITE_ERROR squid-3.1.0.5/errors/ar/ERR_WRITE_ERROR
--- squid-3.1.0.4/errors/ar/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_WRITE_ERROR	2009-02-03 14:17:46.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>خطأ كتابة</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>An error condition occurred while writing to the network.  Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/ar/ERR_ZERO_SIZE_OBJECT squid-3.1.0.5/errors/ar/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.4/errors/ar/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.5/errors/ar/ERR_ZERO_SIZE_OBJECT	2009-02-03 14:17:46.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zero Sized Reply</b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.4/errors/Makefile.am squid-3.1.0.5/errors/Makefile.am
--- squid-3.1.0.4/errors/Makefile.am	2009-01-23 18:37:27.000000000 +1300
+++ squid-3.1.0.5/errors/Makefile.am	2009-02-03 14:15:28.000000000 +1300
@@ -14,6 +14,7 @@
 
 # List of automated translations possible:
 TRANSLATIONS = \
+	ar \
 	az \
 	bg \
 	ca \
@@ -142,7 +143,7 @@
 	cp -p $(srcdir)/errorpage.css  $(distdir)/errorpage.css
 
 translate:
-	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no"; then \
+	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no" && test "$(PO2HTML)" != "off"; then \
 	  for lang in $(TRANSLATIONS); do \
 		test -d $$lang && rm -r $$lang; \
 		mkdir $$lang; \
@@ -155,7 +156,11 @@
 		cd ..; \
 	  done; \
 	else \
-	  echo "WARNING: Translation toolkit was not detected."; \
+	  if test "$(PO2HTML)" = "off" ; then \
+	    echo "WARNING: Translation is disabled."; \
+	  else \
+	    echo "WARNING: Translation toolkit was not detected."; \
+	  fi; \
 	  echo "A drop-in bundle of pre-translated files is available from"; \
 	  echo "http://www.squid-cache.org/Versions/langpack/"; \
 	fi
diff -u -r -N squid-3.1.0.4/errors/Makefile.in squid-3.1.0.5/errors/Makefile.in
--- squid-3.1.0.4/errors/Makefile.in	2009-01-23 18:37:50.000000000 +1300
+++ squid-3.1.0.5/errors/Makefile.in	2009-02-03 14:15:51.000000000 +1300
@@ -288,6 +288,7 @@
 
 # List of automated translations possible:
 TRANSLATIONS = \
+	ar \
 	az \
 	bg \
 	ca \
@@ -581,7 +582,7 @@
 	cp -p $(srcdir)/errorpage.css  $(distdir)/errorpage.css
 
 translate:
-	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no"; then \
+	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no" && test "$(PO2HTML)" != "off"; then \
 	  for lang in $(TRANSLATIONS); do \
 		test -d $$lang && rm -r $$lang; \
 		mkdir $$lang; \
@@ -594,7 +595,11 @@
 		cd ..; \
 	  done; \
 	else \
-	  echo "WARNING: Translation toolkit was not detected."; \
+	  if test "$(PO2HTML)" = "off" ; then \
+	    echo "WARNING: Translation is disabled."; \
+	  else \
+	    echo "WARNING: Translation toolkit was not detected."; \
+	  fi; \
 	  echo "A drop-in bundle of pre-translated files is available from"; \
 	  echo "http://www.squid-cache.org/Versions/langpack/"; \
 	fi
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/DB/Makefile.am squid-3.1.0.5/helpers/basic_auth/DB/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/DB/Makefile.am	2009-01-23 18:37:28.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/DB/Makefile.am	2009-02-03 14:15:29.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.3 2007/07/19 02:54:21 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/DB/Makefile.in squid-3.1.0.5/helpers/basic_auth/DB/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/DB/Makefile.in	2009-01-23 18:37:50.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/DB/Makefile.in	2009-02-03 14:15:51.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.3 2007/07/19 02:54:21 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/getpwnam/Makefile.am squid-3.1.0.5/helpers/basic_auth/getpwnam/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/getpwnam/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/getpwnam/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.3 2003/01/23 00:35:47 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/getpwnam/Makefile.in squid-3.1.0.5/helpers/basic_auth/getpwnam/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/getpwnam/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/getpwnam/Makefile.in	2009-02-03 14:15:53.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.3 2003/01/23 00:35:47 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/LDAP/Makefile.am squid-3.1.0.5/helpers/basic_auth/LDAP/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/LDAP/Makefile.am	2009-01-23 18:37:28.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/LDAP/Makefile.am	2009-02-03 14:15:29.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.6 2005/03/19 15:24:07 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/LDAP/Makefile.in squid-3.1.0.5/helpers/basic_auth/LDAP/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/LDAP/Makefile.in	2009-01-23 18:37:50.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/LDAP/Makefile.in	2009-02-03 14:15:51.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.6 2005/03/19 15:24:07 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/Makefile.am squid-3.1.0.5/helpers/basic_auth/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.9 2007/06/25 11:02:35 hno Exp $
+#  $Id$
 #
 
 DIST_SUBDIRS	= getpwnam LDAP MSNT multi-domain-NTLM NCSA PAM SMB YP SASL mswin_sspi POP3 DB squid_radius_auth
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/Makefile.in squid-3.1.0.5/helpers/basic_auth/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/Makefile.in	2009-01-23 18:37:50.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/Makefile.in	2009-02-03 14:15:52.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.9 2007/06/25 11:02:35 hno Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/MSNT/Makefile.am squid-3.1.0.5/helpers/basic_auth/MSNT/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/MSNT/Makefile.am	2009-01-23 18:37:28.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/MSNT/Makefile.am	2009-02-03 14:15:29.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.10 2003/01/23 00:35:26 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/MSNT/Makefile.in squid-3.1.0.5/helpers/basic_auth/MSNT/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/MSNT/Makefile.in	2009-01-23 18:37:50.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/MSNT/Makefile.in	2009-02-03 14:15:52.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.10 2003/01/23 00:35:26 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/mswin_sspi/Makefile.am squid-3.1.0.5/helpers/basic_auth/mswin_sspi/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/mswin_sspi/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/mswin_sspi/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/11/22 19:45:04 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/mswin_sspi/Makefile.in squid-3.1.0.5/helpers/basic_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/mswin_sspi/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/mswin_sspi/Makefile.in	2009-02-03 14:15:53.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/11/22 19:45:04 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/Makefile.am squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2003/01/23 00:35:49 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/Makefile.in squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2009-02-03 14:15:54.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2003/01/23 00:35:49 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/smb_auth.pl squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/smb_auth.pl
--- squid-3.1.0.4/helpers/basic_auth/multi-domain-NTLM/smb_auth.pl	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/multi-domain-NTLM/smb_auth.pl	2009-02-03 14:15:30.000000000 +1300
@@ -1,5 +1,5 @@
 #!/usr/bin/perl
-# $Id: smb_auth.pl,v 1.5 2003/05/17 17:13:05 hno Exp $
+# $Id$
 
 #if you define this, debugging output will be printed to STDERR.
 #$debug=1;
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/NCSA/Makefile.am squid-3.1.0.5/helpers/basic_auth/NCSA/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/NCSA/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/NCSA/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2007/06/25 11:27:03 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/NCSA/Makefile.in squid-3.1.0.5/helpers/basic_auth/NCSA/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/NCSA/Makefile.in	2009-01-23 18:37:51.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/NCSA/Makefile.in	2009-02-03 14:15:52.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2007/06/25 11:27:03 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/PAM/Makefile.am squid-3.1.0.5/helpers/basic_auth/PAM/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/PAM/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/PAM/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid PAM authentication helper
 #
-#  $Id: Makefile.am,v 1.7 2003/08/03 20:38:02 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/PAM/Makefile.in squid-3.1.0.5/helpers/basic_auth/PAM/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/PAM/Makefile.in	2009-01-23 18:37:51.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/PAM/Makefile.in	2009-02-03 14:15:52.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid PAM authentication helper
 #
-#  $Id: Makefile.am,v 1.7 2003/08/03 20:38:02 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/PAM/pam_auth.c squid-3.1.0.5/helpers/basic_auth/PAM/pam_auth.c
--- squid-3.1.0.4/helpers/basic_auth/PAM/pam_auth.c	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/PAM/pam_auth.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: pam_auth.c,v 1.17 2007/07/19 03:36:05 hno Exp $
+ * $Id$
  *
  * PAM authenticator module for Squid.
  * Copyright (C) 1999,2002,2003 Henrik Nordstrom <hno@squid-cache.org>
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/POP3/Makefile.am squid-3.1.0.5/helpers/basic_auth/POP3/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/POP3/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/POP3/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2006/12/09 23:28:23 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/POP3/Makefile.in squid-3.1.0.5/helpers/basic_auth/POP3/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/POP3/Makefile.in	2009-01-23 18:37:51.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/POP3/Makefile.in	2009-02-03 14:15:52.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2006/12/09 23:28:23 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/SASL/Makefile.am squid-3.1.0.5/helpers/basic_auth/SASL/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/SASL/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/SASL/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid SASL authentication helper
 #
-#  $Id: Makefile.am,v 1.7 2004/12/20 16:30:15 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/SASL/Makefile.in squid-3.1.0.5/helpers/basic_auth/SASL/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/SASL/Makefile.in	2009-01-23 18:37:51.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/SASL/Makefile.in	2009-02-03 14:15:53.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid SASL authentication helper
 #
-#  $Id: Makefile.am,v 1.7 2004/12/20 16:30:15 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/SASL/sasl_auth.c squid-3.1.0.5/helpers/basic_auth/SASL/sasl_auth.c
--- squid-3.1.0.4/helpers/basic_auth/SASL/sasl_auth.c	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/SASL/sasl_auth.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: sasl_auth.c,v 1.9 2007/07/19 03:36:05 hno Exp $
+ * $Id$
  *
  * SASL authenticator module for Squid.
  * Copyright (C) 2002 Ian Castle <ian.castle@coldcomfortfarm.net>
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/SMB/Makefile.am squid-3.1.0.5/helpers/basic_auth/SMB/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/SMB/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/SMB/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.5 2003/01/23 00:35:40 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/SMB/Makefile.in squid-3.1.0.5/helpers/basic_auth/SMB/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/SMB/Makefile.in	2009-01-23 18:37:51.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/SMB/Makefile.in	2009-02-03 14:15:53.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.5 2003/01/23 00:35:40 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/squid_radius_auth/Makefile.am squid-3.1.0.5/helpers/basic_auth/squid_radius_auth/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/squid_radius_auth/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/squid_radius_auth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.2 2007/11/20 14:34:17 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/squid_radius_auth/Makefile.in squid-3.1.0.5/helpers/basic_auth/squid_radius_auth/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/squid_radius_auth/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/squid_radius_auth/Makefile.in	2009-02-03 14:15:54.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.2 2007/11/20 14:34:17 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/YP/Makefile.am squid-3.1.0.5/helpers/basic_auth/YP/Makefile.am
--- squid-3.1.0.4/helpers/basic_auth/YP/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/YP/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.5 2003/01/23 00:35:44 robertc Exp $
+#  $Id$
 #
 #
 
diff -u -r -N squid-3.1.0.4/helpers/basic_auth/YP/Makefile.in squid-3.1.0.5/helpers/basic_auth/YP/Makefile.in
--- squid-3.1.0.4/helpers/basic_auth/YP/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/basic_auth/YP/Makefile.in	2009-02-03 14:15:53.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.5 2003/01/23 00:35:44 robertc Exp $
+#  $Id$
 #
 #
 
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/eDirectory/Makefile.am squid-3.1.0.5/helpers/digest_auth/eDirectory/Makefile.am
--- squid-3.1.0.4/helpers/digest_auth/eDirectory/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/eDirectory/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2007/06/23 20:50:10 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/eDirectory/Makefile.in squid-3.1.0.5/helpers/digest_auth/eDirectory/Makefile.in
--- squid-3.1.0.4/helpers/digest_auth/eDirectory/Makefile.in	2009-01-23 18:37:53.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/eDirectory/Makefile.in	2009-02-03 14:15:54.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2007/06/23 20:50:10 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/ldap/Makefile.am squid-3.1.0.5/helpers/digest_auth/ldap/Makefile.am
--- squid-3.1.0.4/helpers/digest_auth/ldap/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/ldap/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/12/29 02:43:02 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/ldap/Makefile.in squid-3.1.0.5/helpers/digest_auth/ldap/Makefile.in
--- squid-3.1.0.4/helpers/digest_auth/ldap/Makefile.in	2009-01-23 18:37:53.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/ldap/Makefile.in	2009-02-03 14:15:54.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/12/29 02:43:02 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/Makefile.am squid-3.1.0.5/helpers/digest_auth/Makefile.am
--- squid-3.1.0.4/helpers/digest_auth/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for digest auth helpers in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2007/06/25 11:01:48 hno Exp $
+#  $Id$
 #
 
 DIST_SUBDIRS	= password ldap eDirectory
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/Makefile.in squid-3.1.0.5/helpers/digest_auth/Makefile.in
--- squid-3.1.0.4/helpers/digest_auth/Makefile.in	2009-01-23 18:37:52.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/Makefile.in	2009-02-03 14:15:54.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for digest auth helpers in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2007/06/25 11:01:48 hno Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/password/Makefile.am squid-3.1.0.5/helpers/digest_auth/password/Makefile.am
--- squid-3.1.0.4/helpers/digest_auth/password/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/password/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2005/12/30 23:21:46 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/digest_auth/password/Makefile.in squid-3.1.0.5/helpers/digest_auth/password/Makefile.in
--- squid-3.1.0.4/helpers/digest_auth/password/Makefile.in	2009-01-23 18:37:53.000000000 +1300
+++ squid-3.1.0.5/helpers/digest_auth/password/Makefile.in	2009-02-03 14:15:55.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2005/12/30 23:21:46 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/dict.c squid-3.1.0.5/helpers/external_acl/ip_user/dict.c
--- squid-3.1.0.4/helpers/external_acl/ip_user/dict.c	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/dict.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-/* $Id: dict.c,v 1.2 2003/01/23 00:36:01 robertc Exp $
+/* $Id$
 * Copyright (C) 2002 Rodrigo Campos
 *
 * This program is free software; you can redistribute it and/or modify
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/example.conf squid-3.1.0.5/helpers/external_acl/ip_user/example.conf
--- squid-3.1.0.4/helpers/external_acl/ip_user/example.conf	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/example.conf	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-# $Id: example.conf,v 1.2 2003/01/23 00:36:01 robertc Exp $
+# $Id$
 # Lines that begin with a # are ignored
 # The main format is:
 # 
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/ip_user.h squid-3.1.0.5/helpers/external_acl/ip_user/ip_user.h
--- squid-3.1.0.4/helpers/external_acl/ip_user/ip_user.h	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/ip_user.h	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-/* $Id: ip_user.h,v 1.2 2003/01/23 00:36:01 robertc Exp $
+/* $Id$
 * Copyright (C) 2002 Rodrigo Campos
 *
 * This program is free software; you can redistribute it and/or modify
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/main.c squid-3.1.0.5/helpers/external_acl/ip_user/main.c
--- squid-3.1.0.4/helpers/external_acl/ip_user/main.c	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/main.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-/* $Id: main.c,v 1.6 2007/07/19 03:36:12 hno Exp $
+/* $Id$
 * Copyright (C) 2002 Rodrigo Campos
 *
 * This program is free software; you can redistribute it and/or modify
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/Makefile.am squid-3.1.0.5/helpers/external_acl/ip_user/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/ip_user/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the ip_user external_acl helper by Rodrigo Campos
 #
-#  $Id: Makefile.am,v 1.4 2004/08/14 22:54:52 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/Makefile.in squid-3.1.0.5/helpers/external_acl/ip_user/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/ip_user/Makefile.in	2009-01-23 18:37:53.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/Makefile.in	2009-02-03 14:15:55.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the ip_user external_acl helper by Rodrigo Campos
 #
-#  $Id: Makefile.am,v 1.4 2004/08/14 22:54:52 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/match.c squid-3.1.0.5/helpers/external_acl/ip_user/match.c
--- squid-3.1.0.4/helpers/external_acl/ip_user/match.c	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/match.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-/* $Id: match.c,v 1.3 2007/07/19 03:36:12 hno Exp $
+/* $Id$
 * Copyright (C) 2002 Rodrigo Campos
 *
 * This program is free software; you can redistribute it and/or modify
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ip_user/README squid-3.1.0.5/helpers/external_acl/ip_user/README
--- squid-3.1.0.4/helpers/external_acl/ip_user/README	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ip_user/README	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-$Id: README,v 1.2 2003/01/23 00:36:01 robertc Exp $
+$Id$
 
 README file for ip_user_check, an external helper for the 
 Squid external acl scheme.
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ldap_group/Makefile.am squid-3.1.0.5/helpers/external_acl/ldap_group/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/ldap_group/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ldap_group/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.6 2005/03/19 15:24:07 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/ldap_group/Makefile.in squid-3.1.0.5/helpers/external_acl/ldap_group/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/ldap_group/Makefile.in	2009-01-23 18:37:54.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/ldap_group/Makefile.in	2009-02-03 14:15:55.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.6 2005/03/19 15:24:07 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/Makefile.am squid-3.1.0.5/helpers/external_acl/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/Makefile.am	2009-01-23 18:37:29.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2006/03/19 01:30:30 hno Exp $
+#  $Id$
 #
 
 DIST_SUBDIRS	= ip_user ldap_group mswin_ad_group mswin_lm_group session unix_group wbinfo_group
diff -u -r -N squid-3.1.0.4/helpers/external_acl/Makefile.in squid-3.1.0.5/helpers/external_acl/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/Makefile.in	2009-01-23 18:37:53.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/Makefile.in	2009-02-03 14:15:55.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2006/03/19 01:30:30 hno Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/helpers/external_acl/mswin_ad_group/Makefile.am squid-3.1.0.5/helpers/external_acl/mswin_ad_group/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/mswin_ad_group/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/mswin_ad_group/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2008/05/17 10:23:13 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/mswin_ad_group/Makefile.in squid-3.1.0.5/helpers/external_acl/mswin_ad_group/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/mswin_ad_group/Makefile.in	2009-01-23 18:37:54.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/mswin_ad_group/Makefile.in	2009-02-03 14:15:55.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2008/05/17 10:23:13 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/mswin_lm_group/Makefile.am squid-3.1.0.5/helpers/external_acl/mswin_lm_group/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/mswin_lm_group/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/mswin_lm_group/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2005/10/31 16:29:45 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/mswin_lm_group/Makefile.in squid-3.1.0.5/helpers/external_acl/mswin_lm_group/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/mswin_lm_group/Makefile.in	2009-01-23 18:37:54.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/mswin_lm_group/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2005/10/31 16:29:45 serassio Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/session/Makefile.am squid-3.1.0.5/helpers/external_acl/session/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/session/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/session/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.3 2006/03/20 23:38:23 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -11,6 +11,6 @@
 EXTRA_DIST			= squid_session.8
 squid_session_SOURCES		= squid_session.c
 
-LDADD = $(LIB_DB) 
+LDADD = @LIB_DB@
 
 INCLUDES	= -I. -I$(top_builddir)/include -I$(top_srcdir)/include
diff -u -r -N squid-3.1.0.4/helpers/external_acl/session/Makefile.in squid-3.1.0.5/helpers/external_acl/session/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/session/Makefile.in	2009-01-23 18:37:54.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/session/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.3 2006/03/20 23:38:23 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -61,8 +61,7 @@
 am_squid_session_OBJECTS = squid_session.$(OBJEXT)
 squid_session_OBJECTS = $(am_squid_session_OBJECTS)
 squid_session_LDADD = $(LDADD)
-am__DEPENDENCIES_1 =
-squid_session_DEPENDENCIES = $(am__DEPENDENCIES_1)
+squid_session_DEPENDENCIES =
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -315,7 +314,7 @@
 man_MANS = squid_session.8
 EXTRA_DIST = squid_session.8
 squid_session_SOURCES = squid_session.c
-LDADD = $(LIB_DB) 
+LDADD = @LIB_DB@
 INCLUDES = -I. -I$(top_builddir)/include -I$(top_srcdir)/include
 all: all-am
 
diff -u -r -N squid-3.1.0.4/helpers/external_acl/unix_group/check_group.c squid-3.1.0.5/helpers/external_acl/unix_group/check_group.c
--- squid-3.1.0.4/helpers/external_acl/unix_group/check_group.c	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/unix_group/check_group.c	2009-02-03 14:15:30.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: check_group.c,v 1.7 2007/04/06 12:15:45 serassio Exp $
+ * $Id$
  *
  * This is a helper for the external ACL interface for Squid Cache
  * Copyright (C) 2002 Rodrigo Albani de Campos (rodrigo@geekbunker.org)
diff -u -r -N squid-3.1.0.4/helpers/external_acl/unix_group/Makefile.am squid-3.1.0.5/helpers/external_acl/unix_group/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/unix_group/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/unix_group/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.4 2004/08/14 22:54:53 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/unix_group/Makefile.in squid-3.1.0.5/helpers/external_acl/unix_group/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/unix_group/Makefile.in	2009-01-23 18:37:54.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/unix_group/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.4 2004/08/14 22:54:53 hno Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/unix_group/README squid-3.1.0.5/helpers/external_acl/unix_group/README
--- squid-3.1.0.4/helpers/external_acl/unix_group/README	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/unix_group/README	2009-02-03 14:15:30.000000000 +1300
@@ -1,4 +1,4 @@
-$Id: README,v 1.3 2003/01/23 00:36:13 robertc Exp $
+$Id$
 
 This is the README file for check_group, an external
 helper fo the External ACL Scheme for Squid.
diff -u -r -N squid-3.1.0.4/helpers/external_acl/wbinfo_group/Makefile.am squid-3.1.0.5/helpers/external_acl/wbinfo_group/Makefile.am
--- squid-3.1.0.4/helpers/external_acl/wbinfo_group/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/wbinfo_group/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.2 2003/01/23 00:36:16 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/external_acl/wbinfo_group/Makefile.in squid-3.1.0.5/helpers/external_acl/wbinfo_group/Makefile.in
--- squid-3.1.0.4/helpers/external_acl/wbinfo_group/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/external_acl/wbinfo_group/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.am,v 1.2 2003/01/23 00:36:16 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/negotiate_auth/Makefile.am squid-3.1.0.5/helpers/negotiate_auth/Makefile.am
--- squid-3.1.0.4/helpers/negotiate_auth/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/negotiate_auth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for negotiate authentication helpers in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2007/06/24 22:34:15 hno Exp $
+#  $Id$
 #
 
 DIST_SUBDIRS	= mswin_sspi squid_kerb_auth
diff -u -r -N squid-3.1.0.4/helpers/negotiate_auth/Makefile.in squid-3.1.0.5/helpers/negotiate_auth/Makefile.in
--- squid-3.1.0.4/helpers/negotiate_auth/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/negotiate_auth/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for negotiate authentication helpers in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2007/06/24 22:34:15 hno Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/helpers/negotiate_auth/mswin_sspi/Makefile.am squid-3.1.0.5/helpers/negotiate_auth/mswin_sspi/Makefile.am
--- squid-3.1.0.4/helpers/negotiate_auth/mswin_sspi/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/negotiate_auth/mswin_sspi/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/11/01 08:57:13 serassio Exp $
+#  $Id$
 #
 
 libexec_PROGRAMS = mswin_negotiate_auth
diff -u -r -N squid-3.1.0.4/helpers/negotiate_auth/mswin_sspi/Makefile.in squid-3.1.0.5/helpers/negotiate_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.4/helpers/negotiate_auth/mswin_sspi/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/negotiate_auth/mswin_sspi/Makefile.in	2009-02-03 14:15:56.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2005/11/01 08:57:13 serassio Exp $
+#  $Id$
 #
 
 srcdir = @srcdir@
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/fakeauth/Makefile.am squid-3.1.0.5/helpers/ntlm_auth/fakeauth/Makefile.am
--- squid-3.1.0.4/helpers/ntlm_auth/fakeauth/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/fakeauth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2003/01/23 00:36:34 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/fakeauth/Makefile.in squid-3.1.0.5/helpers/ntlm_auth/fakeauth/Makefile.in
--- squid-3.1.0.4/helpers/ntlm_auth/fakeauth/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/fakeauth/Makefile.in	2009-02-03 14:15:57.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2003/01/23 00:36:34 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/fakeauth/ntlm.h squid-3.1.0.5/helpers/ntlm_auth/fakeauth/ntlm.h
--- squid-3.1.0.4/helpers/ntlm_auth/fakeauth/ntlm.h	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/fakeauth/ntlm.h	2009-02-03 14:15:30.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ntlm.h,v 1.9 2006/08/28 09:06:41 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Andrew Doran <ad@interlude.eu.org>
  *
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/Makefile.am squid-3.1.0.5/helpers/ntlm_auth/Makefile.am
--- squid-3.1.0.4/helpers/ntlm_auth/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.8 2005/10/30 21:48:22 serassio Exp $
+#  $Id$
 #
 
 DIST_SUBDIRS	= fakeauth no_check smb_lm mswin_sspi
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/Makefile.in squid-3.1.0.5/helpers/ntlm_auth/Makefile.in
--- squid-3.1.0.4/helpers/ntlm_auth/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/Makefile.in	2009-02-03 14:15:57.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.8 2005/10/30 21:48:22 serassio Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/mswin_sspi/Makefile.am squid-3.1.0.5/helpers/ntlm_auth/mswin_sspi/Makefile.am
--- squid-3.1.0.4/helpers/ntlm_auth/mswin_sspi/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/mswin_sspi/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2005/10/30 21:48:22 serassio Exp $
+#  $Id$
 #
 
 libexec_PROGRAMS = mswin_ntlm_auth
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/mswin_sspi/Makefile.in squid-3.1.0.5/helpers/ntlm_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.4/helpers/ntlm_auth/mswin_sspi/Makefile.in	2009-01-23 18:37:55.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/mswin_sspi/Makefile.in	2009-02-03 14:15:57.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.1 2005/10/30 21:48:22 serassio Exp $
+#  $Id$
 #
 
 srcdir = @srcdir@
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/no_check/Makefile.am squid-3.1.0.5/helpers/ntlm_auth/no_check/Makefile.am
--- squid-3.1.0.4/helpers/ntlm_auth/no_check/Makefile.am	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/no_check/Makefile.am	2009-02-03 14:15:30.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2003/01/23 00:36:38 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/helpers/ntlm_auth/no_check/Makefile.in squid-3.1.0.5/helpers/ntlm_auth/no_check/Makefile.in
--- squid-3.1.0.4/helpers/ntlm_auth/no_check/Makefile.in	2009-01-23 18:37:56.000000000 +1300
+++ squid-3.1.0.5/helpers/ntlm_auth/no_check/Makefile.in	2009-02-03 14:15:57.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.4 2003/01/23 00:36:38 robertc Exp $
+#  $Id$
 #
 #  Uncomment and customize the following to suit your needs:
 #
diff -u -r -N squid-3.1.0.4/include/Array.h squid-3.1.0.5/include/Array.h
--- squid-3.1.0.4/include/Array.h	2009-01-23 18:37:30.000000000 +1300
+++ squid-3.1.0.5/include/Array.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.h,v 1.25 2007/11/26 13:09:54 hno Exp $
+ * $Id$
  *
  * AUTHOR: Alex Rousskov
  *
diff -u -r -N squid-3.1.0.4/include/asn1.h squid-3.1.0.5/include/asn1.h
--- squid-3.1.0.4/include/asn1.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/asn1.h	2009-02-03 14:15:31.000000000 +1300
@@ -30,7 +30,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  *
- * $Id: asn1.h,v 1.13 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/assert.h squid-3.1.0.5/include/assert.h
--- squid-3.1.0.4/include/assert.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/assert.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: assert.h,v 1.3 2006/05/12 21:52:24 hno Exp $
+ * $Id$
  *
  * AUTHOR: Duane Wessels
  *
diff -u -r -N squid-3.1.0.4/include/autoconf.h.in squid-3.1.0.5/include/autoconf.h.in
--- squid-3.1.0.4/include/autoconf.h.in	2009-01-23 18:37:48.000000000 +1300
+++ squid-3.1.0.5/include/autoconf.h.in	2009-02-03 14:15:49.000000000 +1300
@@ -806,9 +806,6 @@
    redirection. This provides "masquerading" support for non Linux system. */
 #undef IPF_TRANSPARENT
 
-/* Convert IPv4-localhost requests to IPv6. Default: Keep seperate. */
-#undef IPV6_SPECIAL_LOCALHOST
-
 /* Enable support for IPv6 on split-stack implementations */
 #undef IPV6_SPECIAL_SPLITSTACK
 
diff -u -r -N squid-3.1.0.4/include/cache_snmp.h squid-3.1.0.5/include/cache_snmp.h
--- squid-3.1.0.4/include/cache_snmp.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/cache_snmp.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_snmp.h,v 1.30 2007/12/14 23:11:44 amosjeffries Exp $
+ * $Id$
  */
 #ifndef SQUID_CACHE_SNMP_H
 #define SQUID_CACHE_SNMP_H
diff -u -r -N squid-3.1.0.4/include/config.h squid-3.1.0.5/include/config.h
--- squid-3.1.0.4/include/config.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/config.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: config.h,v 1.27 2008/01/07 15:47:08 hno Exp $
+ * $Id$
  *
  * AUTHOR: Duane Wessels
  *
diff -u -r -N squid-3.1.0.4/include/getaddrinfo.h squid-3.1.0.5/include/getaddrinfo.h
--- squid-3.1.0.4/include/getaddrinfo.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/getaddrinfo.h	2009-02-03 14:15:31.000000000 +1300
@@ -13,7 +13,7 @@
  *    16-Aug-2007 : Altered configure checks
  *                  Un-hacked slightly to use system gethostbyname()
  *
- * Squid CVS $Id: getaddrinfo.h,v 1.1 2007/12/14 05:03:25 amosjeffries Exp $
+ * Squid CVS $Id$
  *
  *  Original License and code follows.
  */
diff -u -r -N squid-3.1.0.4/include/getnameinfo.h squid-3.1.0.5/include/getnameinfo.h
--- squid-3.1.0.4/include/getnameinfo.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/getnameinfo.h	2009-02-03 14:15:31.000000000 +1300
@@ -3,7 +3,7 @@
 /*
  * Reconstructed from KAME getnameinfo.c (in lib/)
  *
- * $Id: getnameinfo.h,v 1.1 2007/12/14 05:03:25 amosjeffries Exp $
+ * $Id$
  */
 
 #include "config.h"
diff -u -r -N squid-3.1.0.4/include/GNUregex.h squid-3.1.0.5/include/GNUregex.h
--- squid-3.1.0.4/include/GNUregex.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/GNUregex.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: GNUregex.h,v 1.9 2003/08/03 22:53:47 hno Exp $
+ * $Id$
  */
 #ifndef SQUID_REGEXP_LIBRARY_H
 #define SQUID_REGEXP_LIBRARY_H
diff -u -r -N squid-3.1.0.4/include/hash.h squid-3.1.0.5/include/hash.h
--- squid-3.1.0.4/include/hash.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/hash.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: hash.h,v 1.8 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_HASH_H
 #define SQUID_HASH_H
diff -u -r -N squid-3.1.0.4/include/heap.h squid-3.1.0.5/include/heap.h
--- squid-3.1.0.4/include/heap.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/heap.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.6 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -53,7 +53,7 @@
  * the current aging factor for the heap.
  */
 typedef unsigned long heap_mutex_t;
-typedef void *heap_t;
+typedef void * heap_t;
 typedef double heap_key;
 typedef heap_key heap_key_func(heap_t, heap_key);
 
@@ -105,7 +105,7 @@
  * should be done with this data structure (especially modifying it!)  The
  * heap does not assume ownership of the data passed to it.
  */
-SQUIDCEXTERN heap_node *heap_insert(heap *, heap_t dat);
+SQUIDCEXTERN heap_node *heap_insert(heap *hp, heap_t dat);
 
 /*
  * Delete a node out of a heap.  Returns the heap data from the deleted
diff -u -r -N squid-3.1.0.4/include/initgroups.h squid-3.1.0.5/include/initgroups.h
--- squid-3.1.0.4/include/initgroups.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/initgroups.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: initgroups.h,v 1.2 2004/11/06 22:09:19 hno Exp $
+ * $Id$
  */
 #ifndef SQUID_INITGROUPS_H
 #define SQUID_INITGROUPS_H
diff -u -r -N squid-3.1.0.4/include/ntlmauth.h squid-3.1.0.5/include/ntlmauth.h
--- squid-3.1.0.4/include/ntlmauth.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/ntlmauth.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ntlmauth.h,v 1.12 2003/08/05 21:40:04 robertc Exp $
+ * $Id$
  *
  * * * * * * * * Legal stuff * * * * * * *
  *
diff -u -r -N squid-3.1.0.4/include/parse.h squid-3.1.0.5/include/parse.h
--- squid-3.1.0.4/include/parse.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/parse.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: parse.h,v 1.12 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_PARSE_H
 #define SQUID_PARSE_H
diff -u -r -N squid-3.1.0.4/include/radix.h squid-3.1.0.5/include/radix.h
--- squid-3.1.0.4/include/radix.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/radix.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.h,v 1.18 2003/10/20 12:33:03 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_RADIX_H
 #define	SQUID_RADIX_H
diff -u -r -N squid-3.1.0.4/include/Range.h squid-3.1.0.5/include/Range.h
--- squid-3.1.0.4/include/Range.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/Range.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Range.h,v 1.8 2007/08/13 17:20:50 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/include/RefCount.h squid-3.1.0.5/include/RefCount.h
--- squid-3.1.0.4/include/RefCount.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/RefCount.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: RefCount.h,v 1.11 2007/04/25 11:30:15 adrian Exp $
+ * $Id$
  *
  * DEBUG: none          Refcount allocator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/include/rfc1035.h squid-3.1.0.5/include/rfc1035.h
--- squid-3.1.0.4/include/rfc1035.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/rfc1035.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.20 2008/01/11 03:49:20 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Duane Wessels
  *
diff -u -r -N squid-3.1.0.4/include/rfc2617.h squid-3.1.0.5/include/rfc2617.h
--- squid-3.1.0.4/include/rfc2617.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/rfc2617.h	2009-02-03 14:15:32.000000000 +1300
@@ -14,7 +14,7 @@
 
 
 /*
- * $Id: rfc2617.h,v 1.5 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: RFC 2617 & Robert Collins
diff -u -r -N squid-3.1.0.4/include/rfc3596.h squid-3.1.0.5/include/rfc3596.h
--- squid-3.1.0.4/include/rfc3596.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/rfc3596.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc3596.h,v 1.1 2007/12/14 04:42:23 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Amos Jeffries, Rafael Martinez Torres
  *
diff -u -r -N squid-3.1.0.4/include/snmp_api_error.h squid-3.1.0.5/include/snmp_api_error.h
--- squid-3.1.0.4/include/snmp_api_error.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_api_error.h	2009-02-03 14:15:32.000000000 +1300
@@ -26,7 +26,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp_api_error.h,v 1.5 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  ***************************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_api.h squid-3.1.0.5/include/snmp_api.h
--- squid-3.1.0.4/include/snmp_api.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_api.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api.h,v 1.13 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 
 #ifndef SQUID_SNMP_API_H
diff -u -r -N squid-3.1.0.4/include/snmp_api_util.h squid-3.1.0.5/include/snmp_api_util.h
--- squid-3.1.0.4/include/snmp_api_util.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_api_util.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api_util.h,v 1.5 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_SNMP_API_UTIL_H
 #define SQUID_SNMP_API_UTIL_H
diff -u -r -N squid-3.1.0.4/include/snmp_client.h squid-3.1.0.5/include/snmp_client.h
--- squid-3.1.0.4/include/snmp_client.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_client.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_client.h,v 1.9 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 
 #ifndef SQUID_SNMP_CLIENT_H
diff -u -r -N squid-3.1.0.4/include/snmp_coexist.h squid-3.1.0.5/include/snmp_coexist.h
--- squid-3.1.0.4/include/snmp_coexist.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_coexist.h	2009-02-03 14:15:32.000000000 +1300
@@ -26,7 +26,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp_coexist.h,v 1.4 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_debug.h squid-3.1.0.5/include/snmp_debug.h
--- squid-3.1.0.4/include/snmp_debug.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_debug.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_debug.h,v 1.13 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_SNMP_DEBUG_H
 #define SQUID_SNMP_DEBUG_H
diff -u -r -N squid-3.1.0.4/include/snmp_error.h squid-3.1.0.5/include/snmp_error.h
--- squid-3.1.0.4/include/snmp_error.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_error.h	2009-02-03 14:15:32.000000000 +1300
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  *
- * $Id: snmp_error.h,v 1.5 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp.h squid-3.1.0.5/include/snmp.h
--- squid-3.1.0.4/include/snmp.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp.h	2009-02-03 14:15:32.000000000 +1300
@@ -27,7 +27,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  *
- * $Id: snmp.h,v 1.16 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_impl.h squid-3.1.0.5/include/snmp_impl.h
--- squid-3.1.0.4/include/snmp_impl.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_impl.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_impl.h,v 1.15 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_SNMP_IMPL_H
 #define SQUID_SNMP_IMPL_H
diff -u -r -N squid-3.1.0.4/include/snmp-internal.h squid-3.1.0.5/include/snmp-internal.h
--- squid-3.1.0.4/include/snmp-internal.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp-internal.h	2009-02-03 14:15:32.000000000 +1300
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  *
- * $Id: snmp-internal.h,v 1.4 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp-mib.h squid-3.1.0.5/include/snmp-mib.h
--- squid-3.1.0.4/include/snmp-mib.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp-mib.h	2009-02-03 14:15:32.000000000 +1300
@@ -26,7 +26,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp-mib.h,v 1.4 2003/01/23 00:36:47 robertc Exp $
+ * $Id$
  *
  ***************************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_msg.h squid-3.1.0.5/include/snmp_msg.h
--- squid-3.1.0.4/include/snmp_msg.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_msg.h	2009-02-03 14:15:32.000000000 +1300
@@ -28,7 +28,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp_msg.h,v 1.4 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_pdu.h squid-3.1.0.5/include/snmp_pdu.h
--- squid-3.1.0.4/include/snmp_pdu.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_pdu.h	2009-02-03 14:15:32.000000000 +1300
@@ -34,7 +34,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp_pdu.h,v 1.11 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_session.h squid-3.1.0.5/include/snmp_session.h
--- squid-3.1.0.4/include/snmp_session.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_session.h	2009-02-03 14:15:32.000000000 +1300
@@ -26,7 +26,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  *
- * $Id: snmp_session.h,v 1.5 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/snmp_util.h squid-3.1.0.5/include/snmp_util.h
--- squid-3.1.0.4/include/snmp_util.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_util.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_util.h,v 1.10 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  */
 #ifndef SQUID_SNMP_UTIL_H
 #define SQUID_SNMP_UTIL_H
diff -u -r -N squid-3.1.0.4/include/snmp_vars.h squid-3.1.0.5/include/snmp_vars.h
--- squid-3.1.0.4/include/snmp_vars.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/snmp_vars.h	2009-02-03 14:15:32.000000000 +1300
@@ -25,7 +25,7 @@
  *
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  *
- * $Id: snmp_vars.h,v 1.14 2007/12/14 23:11:44 amosjeffries Exp $
+ * $Id$
  *
  **********************************************************************/
 
diff -u -r -N squid-3.1.0.4/include/splay.h squid-3.1.0.5/include/splay.h
--- squid-3.1.0.4/include/splay.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/splay.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.h,v 1.29 2005/05/08 22:35:03 hno Exp $
+ * $Id$
  */
 
 #ifndef SQUID_SPLAY_H
diff -u -r -N squid-3.1.0.4/include/squid_endian.h squid-3.1.0.5/include/squid_endian.h
--- squid-3.1.0.4/include/squid_endian.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/squid_endian.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: squid_endian.h,v 1.4 2004/12/21 16:17:58 hno Exp $
+ * $Id$
  *
  * AUTHOR: Alan Barrett
  *
diff -u -r -N squid-3.1.0.4/include/squid_mswin.h squid-3.1.0.5/include/squid_mswin.h
--- squid-3.1.0.4/include/squid_mswin.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/squid_mswin.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: squid_mswin.h,v 1.10 2008/02/26 21:49:33 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Andrey Shorin <tolsty@tushino.com>
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
diff -u -r -N squid-3.1.0.4/include/SquidNew.h squid-3.1.0.5/include/SquidNew.h
--- squid-3.1.0.4/include/SquidNew.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/SquidNew.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: SquidNew.h,v 1.1 2003/07/07 22:44:28 robertc Exp $
+ * $Id$
  *
  * AUTHOR: Harvest Derived
  *
diff -u -r -N squid-3.1.0.4/include/squid_types.h squid-3.1.0.5/include/squid_types.h
--- squid-3.1.0.4/include/squid_types.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/squid_types.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: squid_types.h,v 1.9 2007/08/14 19:17:43 serassio Exp $
+ * $Id$
  *
  * * * * * * * * Legal stuff * * * * * * *
  *
diff -u -r -N squid-3.1.0.4/include/squid_windows.h squid-3.1.0.5/include/squid_windows.h
--- squid-3.1.0.4/include/squid_windows.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/squid_windows.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: squid_windows.h,v 1.2 2006/09/09 15:29:59 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
  *
diff -u -r -N squid-3.1.0.4/include/sspwin32.h squid-3.1.0.5/include/sspwin32.h
--- squid-3.1.0.4/include/sspwin32.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/sspwin32.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: sspwin32.h,v 1.2 2006/09/09 15:29:59 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
  * Based on previous work of Francesco Chemolli, Robert Collins and Andrew Doran
diff -u -r -N squid-3.1.0.4/include/Stack.h squid-3.1.0.5/include/Stack.h
--- squid-3.1.0.4/include/Stack.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/Stack.h	2009-02-03 14:15:31.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.h,v 1.18 2004/12/20 16:30:29 robertc Exp $
+ * $Id$
  *
  * AUTHOR: Alex Rousskov
  *
diff -u -r -N squid-3.1.0.4/include/tempnam.h squid-3.1.0.5/include/tempnam.h
--- squid-3.1.0.4/include/tempnam.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/tempnam.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: tempnam.h,v 1.12 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  */
 
 
diff -u -r -N squid-3.1.0.4/include/util.h squid-3.1.0.5/include/util.h
--- squid-3.1.0.4/include/util.h	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/include/util.h	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.79 2007/12/14 23:11:44 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Harvest Derived
  *
diff -u -r -N squid-3.1.0.4/include/version.h squid-3.1.0.5/include/version.h
--- squid-3.1.0.4/include/version.h	2009-01-23 18:38:15.000000000 +1300
+++ squid-3.1.0.5/include/version.h	2009-02-03 14:16:21.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: version.h,v 1.134 2003/01/23 00:36:48 robertc Exp $
+ * $Id$
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1232689045
+#define SQUID_RELEASE_TIME 1233623726
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.1.0.4/lib/assert.c squid-3.1.0.5/lib/assert.c
--- squid-3.1.0.4/lib/assert.c	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/assert.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: assert.c,v 1.2 2006/05/11 19:59:07 hno Exp $
+ * $Id$
  *
  * AUTHOR: Henrik Nordstrom
  *
diff -u -r -N squid-3.1.0.4/lib/base64.c squid-3.1.0.5/lib/base64.c
--- squid-3.1.0.4/lib/base64.c	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/base64.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: base64.c,v 1.21 2003/01/23 00:37:01 robertc Exp $
+ * $Id$
  */
 
 #include "config.h"
diff -u -r -N squid-3.1.0.4/lib/charset.c squid-3.1.0.5/lib/charset.c
--- squid-3.1.0.4/lib/charset.c	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/charset.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: charset.c,v 1.1 2008/07/07 11:04:47 hno Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Henrik Nordstrom <henrik@henriknordstrom.net>
diff -u -r -N squid-3.1.0.4/lib/getaddrinfo.c squid-3.1.0.5/lib/getaddrinfo.c
--- squid-3.1.0.4/lib/getaddrinfo.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/getaddrinfo.c	2009-02-03 14:15:32.000000000 +1300
@@ -12,7 +12,7 @@
  *
  *    06-Oct-2007 : Various fixes to allow the build on MinGW
  *
- * Squid CVS $Id: getaddrinfo.c,v 1.1 2007/12/14 05:03:26 amosjeffries Exp $
+ * Squid CVS $Id$
  *
  *  Original License and code follows.
  */
diff -u -r -N squid-3.1.0.4/lib/getfullhostname.c squid-3.1.0.5/lib/getfullhostname.c
--- squid-3.1.0.4/lib/getfullhostname.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/getfullhostname.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: getfullhostname.c,v 1.20 2003/01/23 00:37:01 robertc Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/lib/getnameinfo.c squid-3.1.0.5/lib/getnameinfo.c
--- squid-3.1.0.4/lib/getnameinfo.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/getnameinfo.c	2009-02-03 14:15:32.000000000 +1300
@@ -14,7 +14,7 @@
  *                      - use xinet_ntop instead of inet_ntop
  *                      - use SQUIDHOSTNAMELEN instead of MAXHOSTNAMELEN
  *
- * Squid CVS $Id: getnameinfo.c,v 1.1 2007/12/14 05:03:26 amosjeffries Exp $
+ * Squid CVS $Id$
  *
  *  Original License and code follows.
  */
diff -u -r -N squid-3.1.0.4/lib/GNUregex.c squid-3.1.0.5/lib/GNUregex.c
--- squid-3.1.0.4/lib/GNUregex.c	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/GNUregex.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: GNUregex.c,v 1.22 2007/12/14 23:11:44 amosjeffries Exp $
+ * $Id$
  */
 
 /* Extended regular expression matching and search library,
diff -u -r -N squid-3.1.0.4/lib/hash.c squid-3.1.0.5/lib/hash.c
--- squid-3.1.0.4/lib/hash.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/hash.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: hash.c,v 1.18 2005/07/03 15:25:07 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/lib/heap.c squid-3.1.0.5/lib/heap.c
--- squid-3.1.0.4/lib/heap.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/heap.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: heap.c,v 1.10 2005/07/03 15:25:07 serassio Exp $
+ * $Id$
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -53,7 +53,6 @@
 #include <stdio.h>
 #endif
 
-#include "heap.h"
 #include "util.h"
 
 /*
diff -u -r -N squid-3.1.0.4/lib/html_quote.c squid-3.1.0.5/lib/html_quote.c
--- squid-3.1.0.4/lib/html_quote.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/html_quote.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: html_quote.c,v 1.6 2007/12/06 02:37:15 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/lib/inet_ntop.c squid-3.1.0.5/lib/inet_ntop.c
--- squid-3.1.0.4/lib/inet_ntop.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/inet_ntop.c	2009-02-03 14:15:32.000000000 +1300
@@ -14,7 +14,7 @@
  *
  *    28-Oct-2007: drop some dead code. now tested working without.
  *
- * Squid CVS $Id: inet_ntop.c,v 1.1 2007/12/14 05:03:26 amosjeffries Exp $
+ * Squid CVS $Id$
  *
  *  Original License and code follows.
  */
diff -u -r -N squid-3.1.0.4/lib/inet_pton.c squid-3.1.0.5/lib/inet_pton.c
--- squid-3.1.0.4/lib/inet_pton.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/inet_pton.c	2009-02-03 14:15:32.000000000 +1300
@@ -13,7 +13,7 @@
  *
  *    28-Oct-2007: drop some dead code. now tested working without.
  *
- * Squid CVS $Id: inet_pton.c,v 1.1 2007/12/14 05:03:26 amosjeffries Exp $
+ * Squid CVS $Id$
  *
  *  Original License and code follows.
  */
diff -u -r -N squid-3.1.0.4/lib/iso3307.c squid-3.1.0.5/lib/iso3307.c
--- squid-3.1.0.4/lib/iso3307.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/iso3307.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: iso3307.c,v 1.6 2003/01/23 00:37:01 robertc Exp $
+ * $Id$
  */
 
 #include "config.h"
diff -u -r -N squid-3.1.0.4/lib/libTrie/configure squid-3.1.0.5/lib/libTrie/configure
--- squid-3.1.0.4/lib/libTrie/configure	2009-01-23 18:38:10.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/configure	2009-02-03 14:16:16.000000000 +1300
@@ -731,6 +731,7 @@
 ac_subst_files=''
 ac_user_opts='
 enable_option_checking
+enable_optimizations
 enable_inline
 enable_dependency_tracking
 enable_maintainer_mode
@@ -1373,14 +1374,21 @@
   --disable-option-checking  ignore unrecognized --enable/--with options
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
-  --disable-inline        Don't compile trivial methods as inline. Squid
-                             is coded with much of the code able to be inlined.<                             Inlining is good for production builds, but not
-                             good for development. During development, use
-                             --disable-inline to reduce compilation times and
-                             allow incremental builds to be quick. For
-                             production builds, or load tests, use
-                             --enable-inline to have squid make all trivial
-                             methods inlinable by the compiler.
+  --disable-optimizations Don't compile Squid with compiler optimizations
+                          enabled. Optimization is good for production builds,
+                          but not good for debugging. During development, use
+                          --disable-optimizations to reduce compilation times
+                          and allow easier debugging. This option implicitly
+                          also enabled --disable-inline
+  --disable-inline        Don't compile trivial methods as inline. Squid is
+                          coded with much of the code able to be inlined.
+                          Inlining is good for production builds, but not good
+                          for development. During development, use
+                          --disable-inline to reduce compilation times and
+                          allow incremental builds to be quick. For production
+                          builds, or load tests, use --enable-inline to have
+                          squid make all trivial methods inlinable by the
+                          compiler.
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --enable-maintainer-mode  enable make rules and dependencies not useful
@@ -1880,11 +1888,25 @@
 
 
 SquidInline="yes"
+
+# Check whether --enable-optimizations was given.
+if test "${enable_optimizations+set}" = set; then
+  enableval=$enable_optimizations;  if test "$enableval" = "no" ; then
+        { $as_echo "$as_me:$LINENO: Disabling compiler optimizations (-O flag)" >&5
+$as_echo "$as_me: Disabling compiler optimizations (-O flag)" >&6;}
+        CFLAGS="`echo $CFLAGS | sed -e 's/-O[0-9]*//'`"
+        CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-O[0-9]*//'`"
+        SquidInline="no"
+  fi
+
+fi
+
+
 # Check whether --enable-inline was given.
 if test "${enable_inline+set}" = set; then
   enableval=$enable_inline;  if test "$enableval" = "no" ; then
-       SquidInline="no"
-     fi
+     SquidInline="no"
+   fi
 
 fi
 
@@ -1901,6 +1923,8 @@
 _ACEOF
 
 else
+    { $as_echo "$as_me:$LINENO: Inlining optimization disabled" >&5
+$as_echo "$as_me: Inlining optimization disabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define _SQUID_INLINE_ /**/
@@ -1908,6 +1932,7 @@
 
 fi
 
+
 # Checks for programs.
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
diff -u -r -N squid-3.1.0.4/lib/libTrie/configure.in squid-3.1.0.5/lib/libTrie/configure.in
--- squid-3.1.0.4/lib/libTrie/configure.in	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/configure.in	2009-02-03 14:15:32.000000000 +1300
@@ -5,27 +5,48 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 
 SquidInline="yes"
+
+AC_ARG_ENABLE(optimizations,
+  AC_HELP_STRING([--disable-optimizations],
+                 [Don't compile Squid with compiler optimizations enabled.
+                  Optimization is good for production builds, but not
+                  good for debugging. During development, use
+                  --disable-optimizations to reduce compilation times
+                  and allow easier debugging. This option implicitly
+                  also enabled --disable-inline]),
+[ if test "$enableval" = "no" ; then
+        AC_MSG_NOTICE([Disabling compiler optimizations (-O flag)])
+        CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
+        CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-O[[0-9]]*//'`"
+        SquidInline="no"
+  fi
+])
+
 AC_ARG_ENABLE(inline,
-                          [  --disable-inline        Don't compile trivial methods as inline. Squid
-                             is coded with much of the code able to be inlined.<                             Inlining is good for production builds, but not
-                             good for development. During development, use
-                             --disable-inline to reduce compilation times and
-                             allow incremental builds to be quick. For
-                             production builds, or load tests, use
-                             --enable-inline to have squid make all trivial
-                             methods inlinable by the compiler.],
-   [ if test "$enableval" = "no" ; then
-       SquidInline="no"
-     fi
-  ])
+  AC_HELP_STRING([--disable-inline],
+                 [Don't compile trivial methods as inline. Squid
+                  is coded with much of the code able to be inlined.
+                  Inlining is good for production builds, but not
+                  good for development. During development, use
+                  --disable-inline to reduce compilation times and
+                  allow incremental builds to be quick. For
+                  production builds, or load tests, use
+                  --enable-inline to have squid make all trivial
+                  methods inlinable by the compiler.]),
+[ if test "$enableval" = "no" ; then
+     SquidInline="no"
+   fi
+])
 
 if test "$SquidInline" = "yes" ; then
-  AC_DEFINE(_SQUID_INLINE_, inline, [Keyword used by squid for inlining methods])
-  AC_DEFINE(_USE_INLINE_,, [Include inline methods into header file])
+    AC_DEFINE(_SQUID_INLINE_, inline, [Keyword used by squid for inlining methods])
+    AC_DEFINE(_USE_INLINE_,, [Include inline methods into header file])
 else
-  AC_DEFINE(_SQUID_INLINE_,, [Keyword used by squid for inlining methods])
+    AC_MSG_NOTICE([Inlining optimization disabled])
+    AC_DEFINE(_SQUID_INLINE_,, [Keyword used by squid for inlining methods])
 fi
 
+
 # Checks for programs.
 AC_PROG_CXX
 AC_PROG_CC
diff -u -r -N squid-3.1.0.4/lib/libTrie/include/Trie.h squid-3.1.0.5/lib/libTrie/include/Trie.h
--- squid-3.1.0.4/lib/libTrie/include/Trie.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/include/Trie.h	2009-02-03 14:15:32.000000000 +1300
@@ -82,8 +82,7 @@
     * present or cannot be added.
     */
 
-    bool add
-    (char const *, size_t, void *);
+    bool add(char const *, size_t, void *);
 
 private:
     TrieNode *head;
diff -u -r -N squid-3.1.0.4/lib/libTrie/Makefile.am squid-3.1.0.5/lib/libTrie/Makefile.am
--- squid-3.1.0.4/lib/libTrie/Makefile.am	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/Makefile.am	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1 2003/03/10 04:56:24 robertc Exp $
+# $Id$
 #
 
 AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5
diff -u -r -N squid-3.1.0.4/lib/libTrie/Makefile.in squid-3.1.0.5/lib/libTrie/Makefile.in
--- squid-3.1.0.4/lib/libTrie/Makefile.in	2009-01-23 18:38:10.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/Makefile.in	2009-02-03 14:16:14.000000000 +1300
@@ -15,7 +15,7 @@
 @SET_MAKE@
 
 #
-# $Id: Makefile.am,v 1.1 2003/03/10 04:56:24 robertc Exp $
+# $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/lib/libTrie/src/Trie.cc squid-3.1.0.5/lib/libTrie/src/Trie.cc
--- squid-3.1.0.4/lib/libTrie/src/Trie.cc	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/libTrie/src/Trie.cc	2009-02-03 14:15:32.000000000 +1300
@@ -24,6 +24,10 @@
 #include "TrieNode.h"
 #include "TrieCharTransform.h"
 
+#ifndef _USE_INLINE_
+#include "Trie.cci"
+#endif
+
 Trie::Trie (TrieCharTransform *aTransform) : head (0) , transform (aTransform)
 {}
 
@@ -76,7 +80,3 @@
     return ((Trie *)aTrie)->add
            (aString, theLength, privatedata);
 }
-
-#ifndef _USE_INLINE_
-#include "Trie.cci"
-#endif
diff -u -r -N squid-3.1.0.4/lib/Makefile.am squid-3.1.0.5/lib/Makefile.am
--- squid-3.1.0.4/lib/Makefile.am	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/Makefile.am	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-#  $Id: Makefile.am,v 1.33 2007/12/14 23:11:44 amosjeffries Exp $
+#  $Id$
 #
 
 if USE_LOADABLE_MODULES
diff -u -r -N squid-3.1.0.4/lib/Makefile.in squid-3.1.0.5/lib/Makefile.in
--- squid-3.1.0.4/lib/Makefile.in	2009-01-23 18:37:57.000000000 +1300
+++ squid-3.1.0.5/lib/Makefile.in	2009-02-03 14:15:58.000000000 +1300
@@ -15,7 +15,7 @@
 @SET_MAKE@
 
 #
-#  $Id: Makefile.am,v 1.33 2007/12/14 23:11:44 amosjeffries Exp $
+#  $Id$
 #
 
 srcdir = @srcdir@
diff -u -r -N squid-3.1.0.4/lib/MemPool.cc squid-3.1.0.5/lib/MemPool.cc
--- squid-3.1.0.4/lib/MemPool.cc	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/MemPool.cc	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemPool.cc,v 1.12 2008/02/07 02:51:13 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 63    Low Level Memory Pool Management
  * AUTHOR: Alex Rousskov, Andres Kroonmaa, Robert Collins
diff -u -r -N squid-3.1.0.4/lib/ntlmauth.c squid-3.1.0.5/lib/ntlmauth.c
--- squid-3.1.0.4/lib/ntlmauth.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/ntlmauth.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ntlmauth.c,v 1.9 2003/08/05 21:40:09 robertc Exp $
+ * $Id$
  *
  * * * * * * * * Legal stuff * * * * * * *
  *
diff -u -r -N squid-3.1.0.4/lib/Profiler.c squid-3.1.0.5/lib/Profiler.c
--- squid-3.1.0.4/lib/Profiler.c	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/Profiler.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Profiler.c,v 1.7 2007/04/25 11:30:16 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 81    CPU Profiling Routines
  * AUTHOR: Andres Kroonmaa, Sep.2000
diff -u -r -N squid-3.1.0.4/lib/radix.c squid-3.1.0.5/lib/radix.c
--- squid-3.1.0.4/lib/radix.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/radix.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.c,v 1.23 2007/04/25 11:30:16 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 53    Radix Tree data structure implementation
  * AUTHOR: NetBSD Derived
diff -u -r -N squid-3.1.0.4/lib/rfc1035.c squid-3.1.0.5/lib/rfc1035.c
--- squid-3.1.0.4/lib/rfc1035.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/rfc1035.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.54 2008/01/19 07:11:34 amosjeffries Exp $
+ * $Id$
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/lib/rfc1123.c squid-3.1.0.5/lib/rfc1123.c
--- squid-3.1.0.4/lib/rfc1123.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/rfc1123.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1123.c,v 1.41 2007/12/06 02:37:15 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/lib/rfc1738.c squid-3.1.0.5/lib/rfc1738.c
--- squid-3.1.0.4/lib/rfc1738.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/rfc1738.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1738.c,v 1.28 2007/12/06 02:37:15 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/lib/rfc2617.c squid-3.1.0.5/lib/rfc2617.c
--- squid-3.1.0.4/lib/rfc2617.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/rfc2617.c	2009-02-03 14:15:32.000000000 +1300
@@ -13,7 +13,7 @@
 
 
 /*
- * $Id: rfc2617.c,v 1.13 2007/12/30 01:54:02 hno Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: RFC 2617 & Robert Collins
diff -u -r -N squid-3.1.0.4/lib/rfc3596.c squid-3.1.0.5/lib/rfc3596.c
--- squid-3.1.0.4/lib/rfc3596.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/rfc3596.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc3596.c,v 1.1 2007/12/14 04:42:24 amosjeffries Exp $
+ * $Id$
  *
  * Low level DNS protocol routines
  * AUTHOR: Amos Jeffries, Rafael Martinez Torres
diff -u -r -N squid-3.1.0.4/lib/Splay.cc squid-3.1.0.5/lib/Splay.cc
--- squid-3.1.0.4/lib/Splay.cc	2009-01-23 18:37:31.000000000 +1300
+++ squid-3.1.0.5/lib/Splay.cc	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Splay.cc,v 1.3 2004/08/30 05:12:30 robertc Exp $
+ * $Id$
  *
  * based on ftp://ftp.cs.cmu.edu/user/sleator/splaying/top-down-splay.c
  * http://bobo.link.cs.cmu.edu/cgi-bin/splay/splay-cgi.pl
diff -u -r -N squid-3.1.0.4/lib/sspwin32.c squid-3.1.0.5/lib/sspwin32.c
--- squid-3.1.0.4/lib/sspwin32.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/sspwin32.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: sspwin32.c,v 1.2 2006/09/09 15:29:59 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
  * inspired by previous work by Robert Collins, Francesco Chemolli.
diff -u -r -N squid-3.1.0.4/lib/strerror.c squid-3.1.0.5/lib/strerror.c
--- squid-3.1.0.4/lib/strerror.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/strerror.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: strerror.c,v 1.7 2003/01/23 00:37:02 robertc Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/lib/strsep.c squid-3.1.0.5/lib/strsep.c
--- squid-3.1.0.4/lib/strsep.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/strsep.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: strsep.c,v 1.1 2006/07/02 19:27:17 serassio Exp $
+ * $Id$
  */
 
 /* Copyright (C) 2004 Free Software Foundation, Inc.
diff -u -r -N squid-3.1.0.4/lib/stub_memaccount.c squid-3.1.0.5/lib/stub_memaccount.c
--- squid-3.1.0.4/lib/stub_memaccount.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/stub_memaccount.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_memaccount.c,v 1.6 2003/01/23 00:37:02 robertc Exp $
+ * $Id$
  */
 
 /* Stub function for programs not implementing statMemoryAccounted */
diff -u -r -N squid-3.1.0.4/lib/tempnam.c squid-3.1.0.5/lib/tempnam.c
--- squid-3.1.0.4/lib/tempnam.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/tempnam.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: tempnam.c,v 1.11 2003/01/23 00:37:02 robertc Exp $
+ * $Id$
  */
 
 /* A reasonably functional tmpnam. */
diff -u -r -N squid-3.1.0.4/lib/util.c squid-3.1.0.5/lib/util.c
--- squid-3.1.0.4/lib/util.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/util.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: util.c,v 1.98 2007/12/06 02:37:15 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/lib/uudecode.c squid-3.1.0.5/lib/uudecode.c
--- squid-3.1.0.4/lib/uudecode.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/uudecode.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: uudecode.c,v 1.11 2004/08/30 05:12:30 robertc Exp $
+ * $Id$
  */
 
 #include "config.h"
diff -u -r -N squid-3.1.0.4/lib/win32lib.c squid-3.1.0.5/lib/win32lib.c
--- squid-3.1.0.4/lib/win32lib.c	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/lib/win32lib.c	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: win32lib.c,v 1.5 2007/08/17 18:56:26 serassio Exp $
+ * $Id$
  *
  * Windows support
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
diff -u -r -N squid-3.1.0.4/QUICKSTART squid-3.1.0.5/QUICKSTART
--- squid-3.1.0.4/QUICKSTART	2009-01-23 18:37:26.000000000 +1300
+++ squid-3.1.0.5/QUICKSTART	2009-02-03 14:15:27.000000000 +1300
@@ -1,7 +1,7 @@
 
 Squid QUICKSTART
 
-$Id: QUICKSTART,v 1.9 2007/12/18 12:15:34 amosjeffries Exp $
+$Id$
 
 This document is intended only for people who want to get Squid running
 quickly It is not a substitute for the real documentation.  Squid has
diff -u -r -N squid-3.1.0.4/scripts/check_cache.pl squid-3.1.0.5/scripts/check_cache.pl
--- squid-3.1.0.4/scripts/check_cache.pl	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/check_cache.pl	2009-02-03 14:15:32.000000000 +1300
@@ -8,7 +8,7 @@
 # Check the Squid-1.1.x cache directory for stale objects - i.e. those
 # which exist on disk but aren't listed in cached's log file.
 
-# $Id: check_cache.pl,v 1.5 2003/01/23 00:37:06 robertc Exp $
+# $Id$
 
 require "getopts.pl";
 &Getopts("c:drt:vh");
diff -u -r -N squid-3.1.0.4/scripts/fileno-to-pathname.pl squid-3.1.0.5/scripts/fileno-to-pathname.pl
--- squid-3.1.0.4/scripts/fileno-to-pathname.pl	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/fileno-to-pathname.pl	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 #!/usr/bin/perl -w
 
-# $Id: fileno-to-pathname.pl,v 1.4 2003/01/23 00:37:06 robertc Exp $
+# $Id$
 # Convert hexadecimal cache file numbers (from swap log) into full pathnames.  
 # Duane Wessels 6/30/97
 
diff -u -r -N squid-3.1.0.4/scripts/flag_truncs.pl squid-3.1.0.5/scripts/flag_truncs.pl
--- squid-3.1.0.4/scripts/flag_truncs.pl	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/flag_truncs.pl	2009-02-03 14:15:32.000000000 +1300
@@ -6,7 +6,7 @@
 # - i.e. those for which there is a "Content-length:" HTTP header,
 #   and this does not match the size of the cached object
 
-# $Id: flag_truncs.pl,v 1.2 2003/01/23 00:37:06 robertc Exp $
+# $Id$
 
 require "getopts.pl";
 require "stat.pl";
diff -u -r -N squid-3.1.0.4/scripts/RunAccel.in squid-3.1.0.5/scripts/RunAccel.in
--- squid-3.1.0.4/scripts/RunAccel.in	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/RunAccel.in	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-#  $Id: RunAccel.in,v 1.7 2003/01/23 00:37:06 robertc Exp $
+#  $Id$
 
 # enable HTTP requests on port 80
 port="-a 80"
diff -u -r -N squid-3.1.0.4/scripts/RunCache.in squid-3.1.0.5/scripts/RunCache.in
--- squid-3.1.0.4/scripts/RunCache.in	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/RunCache.in	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-#  $Id: RunCache.in,v 1.11 2003/01/23 00:37:06 robertc Exp $
+#  $Id$
 
 prefix=@prefix@
 exec_prefix=@exec_prefix@
diff -u -r -N squid-3.1.0.4/scripts/upgrade-1.0-store.pl squid-3.1.0.5/scripts/upgrade-1.0-store.pl
--- squid-3.1.0.4/scripts/upgrade-1.0-store.pl	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/scripts/upgrade-1.0-store.pl	2009-02-03 14:15:32.000000000 +1300
@@ -1,6 +1,6 @@
 #!/usr/local/bin/perl
 
-# $Id: upgrade-1.0-store.pl,v 1.3 2003/01/23 00:37:06 robertc Exp $
+# $Id$
 
 select(STDERR); $|=1;
 select(STDOUT); $|=1;
diff -u -r -N squid-3.1.0.4/src/access_log.cc squid-3.1.0.5/src/access_log.cc
--- squid-3.1.0.4/src/access_log.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/access_log.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: access_log.cc,v 1.130 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLARP.h squid-3.1.0.5/src/ACLARP.h
--- squid-3.1.0.4/src/ACLARP.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLARP.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLARP.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLASN.cc squid-3.1.0.5/src/ACLASN.cc
--- squid-3.1.0.4/src/ACLASN.cc	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLASN.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLASN.cc,v 1.2 2003/02/25 12:16:55 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ACLBrowser.cc squid-3.1.0.5/src/ACLBrowser.cc
--- squid-3.1.0.4/src/ACLBrowser.cc	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLBrowser.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLBrowser.cc,v 1.5 2004/12/20 16:30:32 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLBrowser.h squid-3.1.0.5/src/ACLBrowser.h
--- squid-3.1.0.4/src/ACLBrowser.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLBrowser.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLBrowser.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/acl.cc squid-3.1.0.5/src/acl.cc
--- squid-3.1.0.4/src/acl.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/acl.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: acl.cc,v 1.325 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLCertificate.cc squid-3.1.0.5/src/ACLCertificate.cc
--- squid-3.1.0.4/src/ACLCertificate.cc	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLCertificate.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificate.cc,v 1.4 2008/02/11 22:29:28 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLCertificateData.cc squid-3.1.0.5/src/ACLCertificateData.cc
--- squid-3.1.0.4/src/ACLCertificateData.cc	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLCertificateData.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificateData.cc,v 1.9 2006/04/23 14:28:06 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLCertificateData.h squid-3.1.0.5/src/ACLCertificateData.h
--- squid-3.1.0.4/src/ACLCertificateData.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLCertificateData.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificateData.h,v 1.8 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLCertificate.h squid-3.1.0.5/src/ACLCertificate.h
--- squid-3.1.0.4/src/ACLCertificate.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACLCertificate.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificate.h,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLChecklist.cc squid-3.1.0.5/src/ACLChecklist.cc
--- squid-3.1.0.4/src/ACLChecklist.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLChecklist.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLChecklist.cc,v 1.46 2008/02/12 23:29:25 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLChecklist.cci squid-3.1.0.5/src/ACLChecklist.cci
--- squid-3.1.0.4/src/ACLChecklist.cci	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLChecklist.cci	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLChecklist.cci,v 1.6 2007/09/01 05:56:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/ACLChecklist.h squid-3.1.0.5/src/ACLChecklist.h
--- squid-3.1.0.4/src/ACLChecklist.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLChecklist.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLChecklist.h,v 1.32 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLData.h squid-3.1.0.5/src/ACLData.h
--- squid-3.1.0.4/src/ACLData.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLData.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLData.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLDestinationDomain.cc squid-3.1.0.5/src/ACLDestinationDomain.cc
--- squid-3.1.0.4/src/ACLDestinationDomain.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLDestinationDomain.cc	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDestinationDomain.cc,v 1.17 2008/01/22 20:34:43 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLDestinationDomain.h squid-3.1.0.5/src/ACLDestinationDomain.h
--- squid-3.1.0.4/src/ACLDestinationDomain.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLDestinationDomain.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDestinationDomain.h,v 1.9 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLDomainData.cc squid-3.1.0.5/src/ACLDomainData.cc
--- squid-3.1.0.4/src/ACLDomainData.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLDomainData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDomainData.cc,v 1.13 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLDomainData.h squid-3.1.0.5/src/ACLDomainData.h
--- squid-3.1.0.4/src/ACLDomainData.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLDomainData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDomainData.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLExtUser.cc squid-3.1.0.5/src/ACLExtUser.cc
--- squid-3.1.0.4/src/ACLExtUser.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLExtUser.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLExtUser.cc,v 1.11 2007/05/29 13:31:36 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLExtUser.h squid-3.1.0.5/src/ACLExtUser.h
--- squid-3.1.0.4/src/ACLExtUser.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLExtUser.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLExtUser.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACL.h squid-3.1.0.5/src/ACL.h
--- squid-3.1.0.4/src/ACL.h	2009-01-23 18:37:32.000000000 +1300
+++ squid-3.1.0.5/src/ACL.h	2009-02-03 14:15:33.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACL.h,v 1.20 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPHeaderData.cc squid-3.1.0.5/src/ACLHTTPHeaderData.cc
--- squid-3.1.0.4/src/ACLHTTPHeaderData.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPHeaderData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPHeaderData.cc,v 1.5 2007/05/29 13:31:36 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLHTTPHeaderData.h squid-3.1.0.5/src/ACLHTTPHeaderData.h
--- squid-3.1.0.4/src/ACLHTTPHeaderData.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPHeaderData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPHeaderData.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPRepHeader.cc squid-3.1.0.5/src/ACLHTTPRepHeader.cc
--- squid-3.1.0.4/src/ACLHTTPRepHeader.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPRepHeader.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLHTTPRepHeader.cc,v 1.2 2008/02/06 04:05:38 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPRepHeader.h squid-3.1.0.5/src/ACLHTTPRepHeader.h
--- squid-3.1.0.4/src/ACLHTTPRepHeader.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPRepHeader.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPRepHeader.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPReqHeader.cc squid-3.1.0.5/src/ACLHTTPReqHeader.cc
--- squid-3.1.0.4/src/ACLHTTPReqHeader.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPReqHeader.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLHTTPReqHeader.cc,v 1.2 2008/02/06 04:05:38 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPReqHeader.h squid-3.1.0.5/src/ACLHTTPReqHeader.h
--- squid-3.1.0.4/src/ACLHTTPReqHeader.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPReqHeader.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPReqHeader.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLHTTPStatus.cc squid-3.1.0.5/src/ACLHTTPStatus.cc
--- squid-3.1.0.4/src/ACLHTTPStatus.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPStatus.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPStatus.cc,v 1.3 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLHTTPStatus.h squid-3.1.0.5/src/ACLHTTPStatus.h
--- squid-3.1.0.4/src/ACLHTTPStatus.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLHTTPStatus.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLHTTPStatus.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLIntRange.cc squid-3.1.0.5/src/ACLIntRange.cc
--- squid-3.1.0.4/src/ACLIntRange.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLIntRange.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLIntRange.cc,v 1.11 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ACLIntRange.h squid-3.1.0.5/src/ACLIntRange.h
--- squid-3.1.0.4/src/ACLIntRange.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLIntRange.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLIntRange.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMaxConnection.cc squid-3.1.0.5/src/ACLMaxConnection.cc
--- squid-3.1.0.4/src/ACLMaxConnection.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMaxConnection.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxConnection.cc,v 1.7 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLMaxConnection.h squid-3.1.0.5/src/ACLMaxConnection.h
--- squid-3.1.0.4/src/ACLMaxConnection.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMaxConnection.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxConnection.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMaxUserIP.cc squid-3.1.0.5/src/ACLMaxUserIP.cc
--- squid-3.1.0.4/src/ACLMaxUserIP.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMaxUserIP.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxUserIP.cc,v 1.15 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLMaxUserIP.h squid-3.1.0.5/src/ACLMaxUserIP.h
--- squid-3.1.0.4/src/ACLMaxUserIP.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMaxUserIP.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxUserIP.h,v 1.11 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMethod.cc squid-3.1.0.5/src/ACLMethod.cc
--- squid-3.1.0.4/src/ACLMethod.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMethod.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMethod.cc,v 1.4 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMethodData.cc squid-3.1.0.5/src/ACLMethodData.cc
--- squid-3.1.0.4/src/ACLMethodData.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMethodData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMethodData.cc,v 1.12 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLMethodData.h squid-3.1.0.5/src/ACLMethodData.h
--- squid-3.1.0.4/src/ACLMethodData.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMethodData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMethodData.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMethod.h squid-3.1.0.5/src/ACLMethod.h
--- squid-3.1.0.4/src/ACLMethod.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMethod.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMethod.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMyPort.cc squid-3.1.0.5/src/ACLMyPort.cc
--- squid-3.1.0.4/src/ACLMyPort.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMyPort.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMyPort.cc,v 1.3 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMyPort.h squid-3.1.0.5/src/ACLMyPort.h
--- squid-3.1.0.4/src/ACLMyPort.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMyPort.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMyPort.h,v 1.2 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMyPortName.cc squid-3.1.0.5/src/ACLMyPortName.cc
--- squid-3.1.0.4/src/ACLMyPortName.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMyPortName.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMyPortName.cc,v 1.2 2008/02/11 22:44:50 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLMyPortName.h squid-3.1.0.5/src/ACLMyPortName.h
--- squid-3.1.0.4/src/ACLMyPortName.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLMyPortName.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMyPortName.h,v 1.1 2008/01/14 13:19:48 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/acl_noncore.cc squid-3.1.0.5/src/acl_noncore.cc
--- squid-3.1.0.4/src/acl_noncore.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/acl_noncore.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: acl_noncore.cc,v 1.6 2007/09/01 05:56:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLProtocol.cc squid-3.1.0.5/src/ACLProtocol.cc
--- squid-3.1.0.4/src/ACLProtocol.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLProtocol.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLProtocol.cc,v 1.3 2003/10/20 12:33:01 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLProtocolData.cc squid-3.1.0.5/src/ACLProtocolData.cc
--- squid-3.1.0.4/src/ACLProtocolData.cc	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLProtocolData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLProtocolData.cc,v 1.9 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLProtocolData.h squid-3.1.0.5/src/ACLProtocolData.h
--- squid-3.1.0.4/src/ACLProtocolData.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLProtocolData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLProtocolData.h,v 1.4 2005/05/08 06:36:45 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLProtocol.h squid-3.1.0.5/src/ACLProtocol.h
--- squid-3.1.0.4/src/ACLProtocol.h	2009-01-23 18:37:34.000000000 +1300
+++ squid-3.1.0.5/src/ACLProtocol.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLProtocol.h,v 1.1 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLReferer.cc squid-3.1.0.5/src/ACLReferer.cc
--- squid-3.1.0.4/src/ACLReferer.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLReferer.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLReferer.cc,v 1.2 2003/10/20 12:33:01 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLReferer.h squid-3.1.0.5/src/ACLReferer.h
--- squid-3.1.0.4/src/ACLReferer.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLReferer.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLReferer.h,v 1.2 2003/02/21 22:50:04 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLRegexData.cc squid-3.1.0.5/src/ACLRegexData.cc
--- squid-3.1.0.4/src/ACLRegexData.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLRegexData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLRegexData.cc,v 1.11 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLRegexData.h squid-3.1.0.5/src/ACLRegexData.h
--- squid-3.1.0.4/src/ACLRegexData.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLRegexData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLRegexData.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLReplyHeaderStrategy.h squid-3.1.0.5/src/ACLReplyHeaderStrategy.h
--- squid-3.1.0.4/src/ACLReplyHeaderStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLReplyHeaderStrategy.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLReplyHeaderStrategy.h,v 1.9 2006/05/06 22:13:18 wessels Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLReplyMIMEType.cc squid-3.1.0.5/src/ACLReplyMIMEType.cc
--- squid-3.1.0.4/src/ACLReplyMIMEType.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLReplyMIMEType.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLReplyMIMEType.cc,v 1.2 2003/10/20 12:33:01 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLReplyMIMEType.h squid-3.1.0.5/src/ACLReplyMIMEType.h
--- squid-3.1.0.4/src/ACLReplyMIMEType.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLReplyMIMEType.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLReplyMIMEType.h,v 1.8 2006/05/06 22:13:18 wessels Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLRequestHeaderStrategy.h squid-3.1.0.5/src/ACLRequestHeaderStrategy.h
--- squid-3.1.0.4/src/ACLRequestHeaderStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLRequestHeaderStrategy.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLRequestHeaderStrategy.h,v 1.11 2006/05/06 22:13:18 wessels Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLRequestMIMEType.cc squid-3.1.0.5/src/ACLRequestMIMEType.cc
--- squid-3.1.0.4/src/ACLRequestMIMEType.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLRequestMIMEType.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLRequestMIMEType.cc,v 1.2 2003/10/20 12:33:01 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLRequestMIMEType.h squid-3.1.0.5/src/ACLRequestMIMEType.h
--- squid-3.1.0.4/src/ACLRequestMIMEType.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLRequestMIMEType.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLRequestMIMEType.h,v 1.4 2006/05/06 22:13:18 wessels Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLSourceDomain.cc squid-3.1.0.5/src/ACLSourceDomain.cc
--- squid-3.1.0.4/src/ACLSourceDomain.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSourceDomain.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLSourceDomain.cc,v 1.7 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLSourceDomain.h squid-3.1.0.5/src/ACLSourceDomain.h
--- squid-3.1.0.4/src/ACLSourceDomain.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSourceDomain.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLSourceDomain.h,v 1.4 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLSslError.cc squid-3.1.0.5/src/ACLSslError.cc
--- squid-3.1.0.4/src/ACLSslError.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSslError.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLSslError.cc,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  */
 
 #include "squid.h"
diff -u -r -N squid-3.1.0.4/src/ACLSslErrorData.cc squid-3.1.0.5/src/ACLSslErrorData.cc
--- squid-3.1.0.4/src/ACLSslErrorData.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSslErrorData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLSslErrorData.cc,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  */
 
 #include "squid.h"
diff -u -r -N squid-3.1.0.4/src/ACLSslErrorData.h squid-3.1.0.5/src/ACLSslErrorData.h
--- squid-3.1.0.4/src/ACLSslErrorData.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSslErrorData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLSslErrorData.h,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  */
 
 #ifndef SQUID_ACLSSL_ERRORDATA_H
diff -u -r -N squid-3.1.0.4/src/ACLSslError.h squid-3.1.0.5/src/ACLSslError.h
--- squid-3.1.0.4/src/ACLSslError.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLSslError.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLSslError.h,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  */
 
 #ifndef SQUID_ACLSSL_ERROR_H
diff -u -r -N squid-3.1.0.4/src/ACLStrategised.cc squid-3.1.0.5/src/ACLStrategised.cc
--- squid-3.1.0.4/src/ACLStrategised.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLStrategised.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLStrategised.cc,v 1.2 2008/02/06 04:05:38 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLStrategised.h squid-3.1.0.5/src/ACLStrategised.h
--- squid-3.1.0.4/src/ACLStrategised.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLStrategised.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLStrategised.h,v 1.11 2006/09/03 21:05:20 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLStrategy.h squid-3.1.0.5/src/ACLStrategy.h
--- squid-3.1.0.4/src/ACLStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLStrategy.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLStrategy.h,v 1.3 2005/05/08 06:36:45 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLStringData.cc squid-3.1.0.5/src/ACLStringData.cc
--- squid-3.1.0.4/src/ACLStringData.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLStringData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLStringData.cc,v 1.9 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLStringData.h squid-3.1.0.5/src/ACLStringData.h
--- squid-3.1.0.4/src/ACLStringData.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLStringData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLStringData.h,v 1.4 2005/05/08 06:36:45 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLTime.cc squid-3.1.0.5/src/ACLTime.cc
--- squid-3.1.0.4/src/ACLTime.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLTime.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLTime.cc,v 1.2 2006/05/08 23:38:33 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLTimeData.cc squid-3.1.0.5/src/ACLTimeData.cc
--- squid-3.1.0.4/src/ACLTimeData.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLTimeData.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLTimeData.cc,v 1.15 2007/04/30 16:56:09 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLTimeData.h squid-3.1.0.5/src/ACLTimeData.h
--- squid-3.1.0.4/src/ACLTimeData.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLTimeData.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLTimeData.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLTime.h squid-3.1.0.5/src/ACLTime.h
--- squid-3.1.0.4/src/ACLTime.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLTime.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLTime.h,v 1.3 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLUrl.cc squid-3.1.0.5/src/ACLUrl.cc
--- squid-3.1.0.4/src/ACLUrl.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrl.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLUrl.cc,v 1.1 2003/02/17 07:01:34 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLUrl.h squid-3.1.0.5/src/ACLUrl.h
--- squid-3.1.0.4/src/ACLUrl.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrl.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLUrl.h,v 1.3 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLUrlPath.cc squid-3.1.0.5/src/ACLUrlPath.cc
--- squid-3.1.0.4/src/ACLUrlPath.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrlPath.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLUrlPath.cc,v 1.4 2007/05/29 13:31:36 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ACLUrlPath.h squid-3.1.0.5/src/ACLUrlPath.h
--- squid-3.1.0.4/src/ACLUrlPath.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrlPath.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLUrlPath.h,v 1.3 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLUrlPort.cc squid-3.1.0.5/src/ACLUrlPort.cc
--- squid-3.1.0.4/src/ACLUrlPort.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrlPort.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLUrlPort.cc,v 1.2 2003/07/11 01:40:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ACLUrlPort.h squid-3.1.0.5/src/ACLUrlPort.h
--- squid-3.1.0.4/src/ACLUrlPort.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ACLUrlPort.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLUrlPort.h,v 1.1 2003/02/25 12:22:34 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/adaptation/Config.cc squid-3.1.0.5/src/adaptation/Config.cc
--- squid-3.1.0.4/src/adaptation/Config.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/adaptation/Config.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.cc,v 1.21 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/adaptation/Initiator.cc squid-3.1.0.5/src/adaptation/Initiator.cc
--- squid-3.1.0.4/src/adaptation/Initiator.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/adaptation/Initiator.cc	2009-02-03 14:15:37.000000000 +1300
@@ -24,7 +24,7 @@
 void
 Adaptation::Initiator::announceInitiatorAbort(Initiate *&x)
 {
-    if (x) {
+    if (x && cbdataReferenceValid(x)) {
         CallJobHere(93, 5, x, Initiate::noteInitiatorAborted);
         clearAdaptation(x);
     }
diff -u -r -N squid-3.1.0.4/src/asn.cc squid-3.1.0.5/src/asn.cc
--- squid-3.1.0.4/src/asn.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/asn.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: asn.cc,v 1.120 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 53    AS Number handling
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/AsyncCall.cc squid-3.1.0.5/src/AsyncCall.cc
--- squid-3.1.0.4/src/AsyncCall.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncCall.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AsyncCall.cc,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  */
 
 #include "squid.h"
diff -u -r -N squid-3.1.0.4/src/AsyncCall.h squid-3.1.0.5/src/AsyncCall.h
--- squid-3.1.0.4/src/AsyncCall.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncCall.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AsyncCall.h,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  */
 
 #ifndef SQUID_ASYNCCALL_H
diff -u -r -N squid-3.1.0.4/src/AsyncCallQueue.cc squid-3.1.0.5/src/AsyncCallQueue.cc
--- squid-3.1.0.4/src/AsyncCallQueue.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncCallQueue.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncCallQueue.cc,v 1.1 2008/02/13 06:01:39 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 41    Event Processing
  *
diff -u -r -N squid-3.1.0.4/src/AsyncCallQueue.h squid-3.1.0.5/src/AsyncCallQueue.h
--- squid-3.1.0.4/src/AsyncCallQueue.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncCallQueue.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncCallQueue.h,v 1.1 2008/02/13 06:01:39 rousskov Exp $
+ * $Id$
  *
  */
 
diff -u -r -N squid-3.1.0.4/src/AsyncEngine.cc squid-3.1.0.5/src/AsyncEngine.cc
--- squid-3.1.0.4/src/AsyncEngine.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncEngine.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncEngine.cc,v 1.1 2006/08/12 01:43:10 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AsyncEngine.h squid-3.1.0.5/src/AsyncEngine.h
--- squid-3.1.0.4/src/AsyncEngine.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncEngine.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncEngine.h,v 1.1 2006/08/12 01:43:10 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AsyncJobCalls.h squid-3.1.0.5/src/AsyncJobCalls.h
--- squid-3.1.0.4/src/AsyncJobCalls.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AsyncJobCalls.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncJobCalls.h,v 1.1 2008/02/13 05:51:55 rousskov Exp $
+ * $Id$
  */
 
 #ifndef SQUID_ASYNCJOBCALLS_H
diff -u -r -N squid-3.1.0.4/src/auth/basic/auth_basic.cc squid-3.1.0.5/src/auth/basic/auth_basic.cc
--- squid-3.1.0.4/src/auth/basic/auth_basic.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/basic/auth_basic.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: auth_basic.cc,v 1.53 2008/02/12 23:17:50 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/auth/basic/basicScheme.cc squid-3.1.0.5/src/auth/basic/basicScheme.cc
--- squid-3.1.0.4/src/auth/basic/basicScheme.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/basic/basicScheme.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: basicScheme.cc,v 1.1 2004/08/30 03:29:00 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/basic/basicScheme.h squid-3.1.0.5/src/auth/basic/basicScheme.h
--- squid-3.1.0.4/src/auth/basic/basicScheme.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/basic/basicScheme.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: basicScheme.h,v 1.2 2008/02/26 21:49:41 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/digest/auth_digest.cc squid-3.1.0.5/src/auth/digest/auth_digest.cc
--- squid-3.1.0.4/src/auth/digest/auth_digest.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/digest/auth_digest.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: auth_digest.cc,v 1.63 2008/02/12 23:17:51 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/auth/digest/digestScheme.cc squid-3.1.0.5/src/auth/digest/digestScheme.cc
--- squid-3.1.0.4/src/auth/digest/digestScheme.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/digest/digestScheme.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: digestScheme.cc,v 1.1 2004/08/30 03:29:00 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/digest/digestScheme.h squid-3.1.0.5/src/auth/digest/digestScheme.h
--- squid-3.1.0.4/src/auth/digest/digestScheme.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/digest/digestScheme.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: digestScheme.h,v 1.2 2008/02/26 21:49:42 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/Makefile.am squid-3.1.0.5/src/auth/Makefile.am
--- squid-3.1.0.4/src/auth/Makefile.am	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/Makefile.am	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for authentication modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2005/10/23 11:55:38 hno Exp $
+#  $Id$
 #
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
diff -u -r -N squid-3.1.0.4/src/auth/Makefile.in squid-3.1.0.5/src/auth/Makefile.in
--- squid-3.1.0.4/src/auth/Makefile.in	2009-01-23 18:37:59.000000000 +1300
+++ squid-3.1.0.5/src/auth/Makefile.in	2009-02-03 14:16:01.000000000 +1300
@@ -329,7 +329,7 @@
 
 #  Makefile for authentication modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.6 2005/10/23 11:55:38 hno Exp $
+#  $Id$
 #
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
diff -u -r -N squid-3.1.0.4/src/auth/negotiate/auth_negotiate.cc squid-3.1.0.5/src/auth/negotiate/auth_negotiate.cc
--- squid-3.1.0.4/src/auth/negotiate/auth_negotiate.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/negotiate/auth_negotiate.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: auth_negotiate.cc,v 1.30 2008/02/26 21:49:43 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 29    Negotiate Authenticator
  * AUTHOR: Robert Collins, Henrik Nordstrom, Francesco Chemolli
diff -u -r -N squid-3.1.0.4/src/auth/negotiate/negotiateScheme.cc squid-3.1.0.5/src/auth/negotiate/negotiateScheme.cc
--- squid-3.1.0.4/src/auth/negotiate/negotiateScheme.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/negotiate/negotiateScheme.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: negotiateScheme.cc,v 1.1 2005/10/23 11:55:38 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/negotiate/negotiateScheme.h squid-3.1.0.5/src/auth/negotiate/negotiateScheme.h
--- squid-3.1.0.4/src/auth/negotiate/negotiateScheme.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/negotiate/negotiateScheme.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: negotiateScheme.h,v 1.2 2008/02/26 21:49:43 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/ntlm/auth_ntlm.cc squid-3.1.0.5/src/auth/ntlm/auth_ntlm.cc
--- squid-3.1.0.4/src/auth/ntlm/auth_ntlm.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/ntlm/auth_ntlm.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: auth_ntlm.cc,v 1.79 2008/02/12 23:17:53 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 29    NTLM Authenticator
  * AUTHOR: Robert Collins, Henrik Nordstrom, Francesco Chemolli
diff -u -r -N squid-3.1.0.4/src/auth/ntlm/ntlmScheme.cc squid-3.1.0.5/src/auth/ntlm/ntlmScheme.cc
--- squid-3.1.0.4/src/auth/ntlm/ntlmScheme.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/ntlm/ntlmScheme.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ntlmScheme.cc,v 1.1 2004/08/30 03:29:02 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/auth/ntlm/ntlmScheme.h squid-3.1.0.5/src/auth/ntlm/ntlmScheme.h
--- squid-3.1.0.4/src/auth/ntlm/ntlmScheme.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/auth/ntlm/ntlmScheme.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ntlmScheme.h,v 1.2 2008/02/26 21:49:43 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AuthConfig.cc squid-3.1.0.5/src/AuthConfig.cc
--- squid-3.1.0.4/src/AuthConfig.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthConfig.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AuthConfig.cc,v 1.4 2007/05/09 09:07:38 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/src/AuthConfig.h squid-3.1.0.5/src/AuthConfig.h
--- squid-3.1.0.4/src/AuthConfig.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthConfig.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AuthConfig.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/authenticate.cc squid-3.1.0.5/src/authenticate.cc
--- squid-3.1.0.4/src/authenticate.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/authenticate.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: authenticate.cc,v 1.69 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/src/authenticate.h squid-3.1.0.5/src/authenticate.h
--- squid-3.1.0.4/src/authenticate.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/authenticate.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: authenticate.h,v 1.17 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AuthScheme.cc squid-3.1.0.5/src/AuthScheme.cc
--- squid-3.1.0.4/src/AuthScheme.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthScheme.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AuthScheme.cc,v 1.2 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/AuthScheme.h squid-3.1.0.5/src/AuthScheme.h
--- squid-3.1.0.4/src/AuthScheme.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthScheme.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AuthScheme.h,v 1.2 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AuthUser.cc squid-3.1.0.5/src/AuthUser.cc
--- squid-3.1.0.4/src/AuthUser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthUser.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AuthUser.cc,v 1.10 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/src/AuthUser.cci squid-3.1.0.5/src/AuthUser.cci
--- squid-3.1.0.4/src/AuthUser.cci	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthUser.cci	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AuthUser.cci,v 1.3 2007/05/09 15:26:12 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/src/AuthUser.h squid-3.1.0.5/src/AuthUser.h
--- squid-3.1.0.4/src/AuthUser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthUser.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AuthUser.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/AuthUserRequest.cc squid-3.1.0.5/src/AuthUserRequest.cc
--- squid-3.1.0.4/src/AuthUserRequest.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthUserRequest.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AuthUserRequest.cc,v 1.19 2008/02/12 23:29:25 rousskov Exp $
+ * $Id$
  *
  * DO NOT MODIFY NEXT 2 LINES:
  * arch-tag: 6803fde1-d5a2-4c29-9034-1c0c9f650eb4
diff -u -r -N squid-3.1.0.4/src/AuthUserRequest.h squid-3.1.0.5/src/AuthUserRequest.h
--- squid-3.1.0.4/src/AuthUserRequest.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/AuthUserRequest.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AuthUserRequest.h,v 1.9 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DO NOT MODIFY NEXT 2 LINES:
  * arch-tag: 674533af-8b21-4641-b71a-74c4639072a0
diff -u -r -N squid-3.1.0.4/src/cache_cf.cc squid-3.1.0.5/src/cache_cf.cc
--- squid-3.1.0.4/src/cache_cf.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/cache_cf.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_cf.cc,v 1.544 2008/03/04 12:00:36 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -2845,7 +2845,7 @@
  * be used by icp_port and htcp_port
  */
 static int
-check_null_IpAddress_list(const IPAdress_list * s)
+check_null_IpAddress_list(const IpAddress_list * s)
 {
     return NULL == s;
 }
@@ -3463,6 +3463,7 @@
     while (*definitions) {
         logformat *format = *definitions;
         *definitions = format->next;
+        safe_free(format->name);
         accessLogFreeLogFormat(&format->format);
         xfree(format);
     }
diff -u -r -N squid-3.1.0.4/src/CacheDigest.cc squid-3.1.0.5/src/CacheDigest.cc
--- squid-3.1.0.4/src/CacheDigest.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CacheDigest.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CacheDigest.cc,v 1.40 2007/11/15 16:47:35 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 70    Cache Digest
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/cache_manager.cc squid-3.1.0.5/src/cache_manager.cc
--- squid-3.1.0.4/src/cache_manager.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/cache_manager.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_manager.cc,v 1.49 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 16    Cache Manager Objects
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/CacheManager.h squid-3.1.0.5/src/CacheManager.h
--- squid-3.1.0.4/src/CacheManager.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CacheManager.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CacheManager.h,v 1.2 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/carp.cc squid-3.1.0.5/src/carp.cc
--- squid-3.1.0.4/src/carp.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/carp.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: carp.cc,v 1.27 2008/01/14 12:13:49 hno Exp $
+ * $Id$
  *
  * DEBUG: section 39    Cache Array Routing Protocol
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/cbdata.cc squid-3.1.0.5/src/cbdata.cc
--- squid-3.1.0.4/src/cbdata.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/cbdata.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cbdata.cc,v 1.77 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 45    Callback Data Registry
  * ORIGINAL AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/cbdata.h squid-3.1.0.5/src/cbdata.h
--- squid-3.1.0.4/src/cbdata.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/cbdata.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: cbdata.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/cf.data.pre squid-3.1.0.5/src/cf.data.pre
--- squid-3.1.0.4/src/cf.data.pre	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/cf.data.pre	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.502 2008/02/12 00:05:11 amosjeffries Exp $
+# $Id$
 #
 # SQUID Web Proxy Cache		http://www.squid-cache.org/
 # ----------------------------------------------------------
@@ -3552,7 +3552,7 @@
 	By default, Squid will immediately close client connections when
 	read(2) returns "no more data to read."
 
-	Change this option to 'off' and Squid will keep open connections
+	Change this option to 'on' and Squid will keep open connections
 	until a read(2) or write(2) on the socket returns an error.
 	This may show some benefits for reverse proxies. But if not
 	it is recommended to leave OFF.
diff -u -r -N squid-3.1.0.4/src/ChunkedCodingParser.h squid-3.1.0.5/src/ChunkedCodingParser.h
--- squid-3.1.0.4/src/ChunkedCodingParser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ChunkedCodingParser.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ChunkedCodingParser.h,v 1.1 2007/12/26 22:33:32 hno Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/client_db.cc squid-3.1.0.5/src/client_db.cc
--- squid-3.1.0.4/src/client_db.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_db.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_db.cc,v 1.72 2007/12/14 23:11:46 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 0     Client Database
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/client_side.cc squid-3.1.0.5/src/client_side.cc
--- squid-3.1.0.4/src/client_side.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: client_side.cc,v 1.779 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -1551,8 +1551,12 @@
 
             // did we get at least what we expected, based on range specs?
 
-            if (bytesSent == bytesExpected) // got everything
-                return STREAM_COMPLETE;
+            if (bytesSent == bytesExpected) { // got everything
+                if (http->request->flags.proxy_keepalive)
+                    return STREAM_COMPLETE;
+                else
+                    return STREAM_UNPLANNED_COMPLETE;
+            }
 
             // The logic below is not clear: If we got more than we
             // expected why would persistency matter? Should not this
diff -u -r -N squid-3.1.0.4/src/client_side.h squid-3.1.0.5/src/client_side.h
--- squid-3.1.0.4/src/client_side.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: client_side.h,v 1.31 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/client_side_reply.cc squid-3.1.0.5/src/client_side_reply.cc
--- squid-3.1.0.4/src/client_side_reply.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side_reply.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: client_side_reply.cc,v 1.154 2008/02/16 17:42:27 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 88    Client-side Reply Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
diff -u -r -N squid-3.1.0.4/src/client_side_request.cc squid-3.1.0.5/src/client_side_request.cc
--- squid-3.1.0.4/src/client_side_request.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side_request.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_request.cc,v 1.105 2008/02/12 23:07:52 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 85    Client-side Request Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
diff -u -r -N squid-3.1.0.4/src/client_side_request.cci squid-3.1.0.5/src/client_side_request.cci
--- squid-3.1.0.4/src/client_side_request.cci	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side_request.cci	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_request.cci,v 1.6 2008/02/13 00:00:57 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 85    Client-side Request Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/client_side_request.h squid-3.1.0.5/src/client_side_request.h
--- squid-3.1.0.4/src/client_side_request.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/client_side_request.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_request.h,v 1.37 2008/02/12 23:07:52 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/clientStream.cc squid-3.1.0.5/src/clientStream.cc
--- squid-3.1.0.4/src/clientStream.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/clientStream.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: clientStream.cc,v 1.14 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 87    Client-side Stream routines.
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/clientStream.h squid-3.1.0.5/src/clientStream.h
--- squid-3.1.0.4/src/clientStream.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/clientStream.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: clientStream.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/CommCalls.h squid-3.1.0.5/src/CommCalls.h
--- squid-3.1.0.4/src/CommCalls.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CommCalls.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CommCalls.h,v 1.1 2008/02/12 22:58:29 rousskov Exp $
+ * $Id$
  */
 
 #ifndef SQUID_COMMCALLS_H
diff -u -r -N squid-3.1.0.4/src/comm.cc squid-3.1.0.5/src/comm.cc
--- squid-3.1.0.4/src/comm.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/comm.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1690,8 +1690,11 @@
         if (call->dialer.handler == handler && params.data == data)
             break;		/* This is our handler */
     }
-    assert(p != NULL);
-    p->cancel("comm_remove_close_handler");
+
+    // comm_close removes all close handlers so our handler may be gone
+    if (p != NULL)
+        p->cancel("comm_remove_close_handler");
+    // TODO: should we remove the handler from the close handlers list?
 }
 
 // remove method-based close handler
@@ -1699,14 +1702,17 @@
 comm_remove_close_handler(int fd, AsyncCall::Pointer &call)
 {
     assert (isOpen(fd));
-    /* Find handler in list */
     debugs(5, 5, "comm_remove_close_handler: FD " << fd << ", AsyncCall=" << call);
 
+    // comm_close removes all close handlers so our handler may be gone
+    // TODO: should we remove the handler from the close handlers list?
+#if 0
     // Check to see if really exist  the given AsyncCall in comm_close handlers
     // TODO: optimize: this slow code is only needed for the assert() below
     AsyncCall::Pointer p;
     for (p = fd_table[fd].closeHandler; p != NULL && p != call; p = p->Next());
     assert(p == call);
+#endif
 
     call->cancel("comm_remove_close_handler");
 }
@@ -2558,6 +2564,9 @@
     if (aRead.cancelled)
         return;
 
+    if(aRead.theRead.fd>=0 && fd_table[aRead.theRead.fd].closing())
+	return;
+
     debugs(5, 3, "Kicking deferred read on FD " << aRead.theRead.fd);
 
     aRead.theReader(aRead.theContext, aRead.theRead);
diff -u -r -N squid-3.1.0.4/src/comm_epoll.cc squid-3.1.0.5/src/comm_epoll.cc
--- squid-3.1.0.4/src/comm_epoll.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/comm_epoll.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_epoll.cc,v 1.18 2008/01/07 16:22:06 hno Exp $
+ * $Id$
  *
  * DEBUG: section 5     Socket Functions
  *
diff -u -r -N squid-3.1.0.4/src/comm_epoll.h squid-3.1.0.5/src/comm_epoll.h
--- squid-3.1.0.4/src/comm_epoll.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/comm_epoll.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_epoll.h,v 1.1 2006/05/29 00:15:02 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/comm_kqueue.cc squid-3.1.0.5/src/comm_kqueue.cc
--- squid-3.1.0.4/src/comm_kqueue.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_kqueue.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_kqueue.cc,v 1.18 2008/01/07 16:22:06 hno Exp $
+ * $Id$
  *
  * DEBUG: section 5     Socket Functions
  *
diff -u -r -N squid-3.1.0.4/src/comm_kqueue.h squid-3.1.0.5/src/comm_kqueue.h
--- squid-3.1.0.4/src/comm_kqueue.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_kqueue.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_kqueue.h,v 1.1 2006/05/29 00:15:02 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/CommonPool.h squid-3.1.0.5/src/CommonPool.h
--- squid-3.1.0.4/src/CommonPool.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CommonPool.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: CommonPool.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/comm_poll.cc squid-3.1.0.5/src/comm_poll.cc
--- squid-3.1.0.4/src/comm_poll.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_poll.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_poll.cc,v 1.26 2008/02/12 23:02:13 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 5     Socket Functions
  *
diff -u -r -N squid-3.1.0.4/src/comm_poll.h squid-3.1.0.5/src/comm_poll.h
--- squid-3.1.0.4/src/comm_poll.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_poll.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_poll.h,v 1.1 2006/05/29 00:15:02 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/CommRead.h squid-3.1.0.5/src/CommRead.h
--- squid-3.1.0.4/src/CommRead.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CommRead.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CommRead.h,v 1.9 2008/02/12 23:51:37 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 5     Comms
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/comm_select.cc squid-3.1.0.5/src/comm_select.cc
--- squid-3.1.0.4/src/comm_select.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_select.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.cc,v 1.85 2008/02/17 10:15:55 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 5     Socket Functions
  *
diff -u -r -N squid-3.1.0.4/src/comm_select.h squid-3.1.0.5/src/comm_select.h
--- squid-3.1.0.4/src/comm_select.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_select.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.h,v 1.1 2006/05/29 00:15:02 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/comm_select_win32.cc squid-3.1.0.5/src/comm_select_win32.cc
--- squid-3.1.0.4/src/comm_select_win32.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/comm_select_win32.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select_win32.cc,v 1.8 2008/02/24 12:59:08 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 5     Socket Functions
  *
diff -u -r -N squid-3.1.0.4/src/CompletionDispatcher.cc squid-3.1.0.5/src/CompletionDispatcher.cc
--- squid-3.1.0.4/src/CompletionDispatcher.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CompletionDispatcher.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CompletionDispatcher.cc,v 1.1 2006/08/07 02:28:22 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/CompletionDispatcher.h squid-3.1.0.5/src/CompletionDispatcher.h
--- squid-3.1.0.4/src/CompletionDispatcher.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/CompletionDispatcher.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CompletionDispatcher.h,v 1.2 2006/08/12 01:43:10 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ConfigOption.cc squid-3.1.0.5/src/ConfigOption.cc
--- squid-3.1.0.4/src/ConfigOption.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ConfigOption.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ConfigOption.cc,v 1.2 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ConfigOption.h squid-3.1.0.5/src/ConfigOption.h
--- squid-3.1.0.4/src/ConfigOption.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ConfigOption.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ConfigOption.h,v 1.1 2004/12/20 16:30:32 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ConfigParser.cc squid-3.1.0.5/src/ConfigParser.cc
--- squid-3.1.0.4/src/ConfigParser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ConfigParser.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ConfigParser.cc,v 1.3 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ConfigParser.h squid-3.1.0.5/src/ConfigParser.h
--- squid-3.1.0.4/src/ConfigParser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ConfigParser.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ConfigParser.h,v 1.8 2007/05/29 13:31:36 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/debug.cc squid-3.1.0.5/src/debug.cc
--- squid-3.1.0.4/src/debug.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/debug.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: debug.cc,v 1.109 2008/02/26 18:43:30 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 0     Debug Routines
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Debug.h squid-3.1.0.5/src/Debug.h
--- squid-3.1.0.4/src/Debug.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/Debug.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Debug.h,v 1.13 2008/02/26 18:43:30 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 0     Debug Routines
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/defines.h squid-3.1.0.5/src/defines.h
--- squid-3.1.0.4/src/defines.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/defines.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: defines.h,v 1.123 2007/12/14 23:11:46 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/DelayBucket.cc squid-3.1.0.5/src/DelayBucket.cc
--- squid-3.1.0.4/src/DelayBucket.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayBucket.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayBucket.cc,v 1.8 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayBucket.h squid-3.1.0.5/src/DelayBucket.h
--- squid-3.1.0.4/src/DelayBucket.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayBucket.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayBucket.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/DelayConfig.cc squid-3.1.0.5/src/DelayConfig.cc
--- squid-3.1.0.4/src/DelayConfig.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayConfig.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayConfig.cc,v 1.8 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayConfig.h squid-3.1.0.5/src/DelayConfig.h
--- squid-3.1.0.4/src/DelayConfig.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayConfig.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayConfig.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration Settings
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DelayId.cc squid-3.1.0.5/src/DelayId.cc
--- squid-3.1.0.4/src/DelayId.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayId.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayId.cc,v 1.25 2008/01/20 19:46:35 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayIdComposite.h squid-3.1.0.5/src/DelayIdComposite.h
--- squid-3.1.0.4/src/DelayIdComposite.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayIdComposite.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayIdComposite.h,v 1.4 2003/08/04 22:14:40 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayId.h squid-3.1.0.5/src/DelayId.h
--- squid-3.1.0.4/src/DelayId.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayId.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayId.h,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/DelayPool.cc squid-3.1.0.5/src/DelayPool.cc
--- squid-3.1.0.4/src/DelayPool.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayPool.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayPool.cc,v 1.8 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayPool.h squid-3.1.0.5/src/DelayPool.h
--- squid-3.1.0.4/src/DelayPool.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayPool.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayPool.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayPools.h squid-3.1.0.5/src/DelayPools.h
--- squid-3.1.0.4/src/DelayPools.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayPools.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayPools.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/DelaySpec.cc squid-3.1.0.5/src/DelaySpec.cc
--- squid-3.1.0.4/src/DelaySpec.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelaySpec.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelaySpec.cc,v 1.4 2006/04/18 12:46:10 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelaySpec.h squid-3.1.0.5/src/DelaySpec.h
--- squid-3.1.0.4/src/DelaySpec.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelaySpec.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelaySpec.h,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/DelayTagged.cc squid-3.1.0.5/src/DelayTagged.cc
--- squid-3.1.0.4/src/DelayTagged.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayTagged.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayTagged.cc,v 1.7 2007/05/29 13:31:36 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayTagged.h squid-3.1.0.5/src/DelayTagged.h
--- squid-3.1.0.4/src/DelayTagged.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayTagged.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayTagged.h,v 1.7 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayUser.cc squid-3.1.0.5/src/DelayUser.cc
--- squid-3.1.0.4/src/DelayUser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayUser.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayUser.cc,v 1.8 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayUser.h squid-3.1.0.5/src/DelayUser.h
--- squid-3.1.0.4/src/DelayUser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayUser.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayUser.h,v 1.8 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayVector.cc squid-3.1.0.5/src/DelayVector.cc
--- squid-3.1.0.4/src/DelayVector.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayVector.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DelayVector.cc,v 1.10 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DelayVector.h squid-3.1.0.5/src/DelayVector.h
--- squid-3.1.0.4/src/DelayVector.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DelayVector.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DelayVector.h,v 1.10 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/disk.cc squid-3.1.0.5/src/disk.cc
--- squid-3.1.0.4/src/disk.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/disk.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.cc,v 1.173 2007/04/30 16:56:09 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskFile.cc squid-3.1.0.5/src/DiskIO/AIO/AIODiskFile.cc
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskFile.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskFile.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AIODiskFile.cc,v 1.7 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskFile.h squid-3.1.0.5/src/DiskIO/AIO/AIODiskFile.h
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskFile.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskFile.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AIODiskFile.h,v 1.5 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOModule.cc squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOModule.cc
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOModule.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOModule.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AIODiskIOModule.cc,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOModule.h squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOModule.h
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOModule.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOModule.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AIODiskIOModule.h,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOStrategy.cc squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOStrategy.cc
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOStrategy.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOStrategy.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AIODiskIOStrategy.cc,v 1.3 2005/12/26 11:35:22 serassio Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOStrategy.h squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOStrategy.h
--- squid-3.1.0.4/src/DiskIO/AIO/AIODiskIOStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/AIODiskIOStrategy.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AIODiskIOStrategy.h,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/aio_win32.cc squid-3.1.0.5/src/DiskIO/AIO/aio_win32.cc
--- squid-3.1.0.4/src/DiskIO/AIO/aio_win32.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/aio_win32.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: aio_win32.cc,v 1.3 2007/04/28 22:26:40 hno Exp $
+ * $Id$
  *
  * DEBUG: section 81    aio_xxx() POSIX emulation on Windows
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/DiskIO/AIO/aio_win32.h squid-3.1.0.5/src/DiskIO/AIO/aio_win32.h
--- squid-3.1.0.4/src/DiskIO/AIO/aio_win32.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/AIO/aio_win32.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: aio_win32.h,v 1.2 2006/09/09 15:29:59 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
  *
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingDiskIOModule.cc squid-3.1.0.5/src/DiskIO/Blocking/BlockingDiskIOModule.cc
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingDiskIOModule.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingDiskIOModule.cc	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: BlockingDiskIOModule.cc,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingDiskIOModule.h squid-3.1.0.5/src/DiskIO/Blocking/BlockingDiskIOModule.h
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingDiskIOModule.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingDiskIOModule.h	2009-02-03 14:15:35.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: BlockingDiskIOModule.h,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingFile.cc squid-3.1.0.5/src/DiskIO/Blocking/BlockingFile.cc
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingFile.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingFile.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: BlockingFile.cc,v 1.5 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingFile.h squid-3.1.0.5/src/DiskIO/Blocking/BlockingFile.h
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingFile.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingFile.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: BlockingFile.h,v 1.3 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingIOStrategy.cc squid-3.1.0.5/src/DiskIO/Blocking/BlockingIOStrategy.cc
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingIOStrategy.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingIOStrategy.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: BlockingIOStrategy.cc,v 1.2 2007/04/12 23:51:56 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/Blocking/BlockingIOStrategy.h squid-3.1.0.5/src/DiskIO/Blocking/BlockingIOStrategy.h
--- squid-3.1.0.4/src/DiskIO/Blocking/BlockingIOStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/Blocking/BlockingIOStrategy.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: BlockingIOStrategy.h,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskDaemonDiskIOModule.cc,v 1.4 2007/04/12 19:37:24 wessels Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.h squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.h
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskDaemonDiskIOModule.h,v 1.2 2006/05/29 00:15:03 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/diskd.cc squid-3.1.0.5/src/DiskIO/DiskDaemon/diskd.cc
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/diskd.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/diskd.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: diskd.cc,v 1.8 2007/08/16 23:32:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section --    External DISKD process implementation.
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdFile.cc squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdFile.cc
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdFile.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdFile.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskdFile.cc,v 1.5 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side DISKD I/O functions.
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdFile.h squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdFile.h
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdFile.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdFile.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskdFile.h,v 1.3 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side DISKD I/O functions.
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskdIOStrategy.cc,v 1.13 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side DISKD I/O functions.
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.h squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdIOStrategy.h
--- squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskDaemon/DiskdIOStrategy.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskdIOStrategy.h,v 1.5 2008/02/26 21:49:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side DISKD I/O functions.
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskFile.h squid-3.1.0.5/src/DiskIO/DiskFile.h
--- squid-3.1.0.4/src/DiskIO/DiskFile.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskFile.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskFile.h,v 1.2 2008/02/26 21:49:38 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskIOModule.h squid-3.1.0.5/src/DiskIO/DiskIOModule.h
--- squid-3.1.0.4/src/DiskIO/DiskIOModule.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskIOModule.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskIOModule.h,v 1.3 2006/09/14 00:51:10 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskIOStrategy.h squid-3.1.0.5/src/DiskIO/DiskIOStrategy.h
--- squid-3.1.0.4/src/DiskIO/DiskIOStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskIOStrategy.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskIOStrategy.h,v 1.2 2008/02/26 21:49:38 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/aiops.cc squid-3.1.0.5/src/DiskIO/DiskThreads/aiops.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/aiops.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/aiops.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: aiops.cc,v 1.15 2007/08/16 23:32:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 43    AIOPS
  * AUTHOR: Stewart Forster <slf@connect.com.au>
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/aiops_win32.cc squid-3.1.0.5/src/DiskIO/DiskThreads/aiops_win32.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/aiops_win32.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/aiops_win32.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: aiops_win32.cc,v 1.5 2007/08/16 23:32:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 43    Windows AIOPS
  * AUTHOR: Stewart Forster <slf@connect.com.au>
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/async_io.cc squid-3.1.0.5/src/DiskIO/DiskThreads/async_io.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/async_io.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/async_io.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: async_io.cc,v 1.5 2007/08/16 23:32:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 32    Asynchronous Disk I/O
  * AUTHOR: Pete Bentley <pete@demon.net>
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskThreadsDiskFile.cc,v 1.11 2008/02/26 21:49:41 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Disk IO Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskFile.h squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskFile.h
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskFile.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskFile.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: DiskThreadsDiskFile.h,v 1.3 2008/02/26 21:49:41 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 79    Disk IO Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskThreadsDiskIOModule.cc,v 1.2 2006/05/29 00:15:03 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.h squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.h
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskThreadsDiskIOModule.h,v 1.2 2006/05/29 00:15:03 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskThreadsIOStrategy.cc,v 1.12 2007/04/28 22:26:47 hno Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side Disk I/O functions.
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.h squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.h
--- squid-3.1.0.4/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: DiskThreadsIOStrategy.h,v 1.5 2007/04/12 23:51:57 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 79    Squid-side Disk I/O functions.
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/DiskIO/IORequestor.h squid-3.1.0.5/src/DiskIO/IORequestor.h
--- squid-3.1.0.4/src/DiskIO/IORequestor.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/IORequestor.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: IORequestor.h,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/ReadRequest.cc squid-3.1.0.5/src/DiskIO/ReadRequest.cc
--- squid-3.1.0.4/src/DiskIO/ReadRequest.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/ReadRequest.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ReadRequest.cc,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/ReadRequest.h squid-3.1.0.5/src/DiskIO/ReadRequest.h
--- squid-3.1.0.4/src/DiskIO/ReadRequest.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/ReadRequest.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ReadRequest.h,v 1.2 2006/08/21 00:50:43 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/WriteRequest.cc squid-3.1.0.5/src/DiskIO/WriteRequest.cc
--- squid-3.1.0.4/src/DiskIO/WriteRequest.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/WriteRequest.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: WriteRequest.cc,v 1.1 2004/12/20 16:30:38 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/DiskIO/WriteRequest.h squid-3.1.0.5/src/DiskIO/WriteRequest.h
--- squid-3.1.0.4/src/DiskIO/WriteRequest.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/DiskIO/WriteRequest.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: WriteRequest.h,v 1.2 2006/08/21 00:50:43 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/dlink.h squid-3.1.0.5/src/dlink.h
--- squid-3.1.0.4/src/dlink.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/dlink.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: dlink.h,v 1.1 2006/04/22 13:07:36 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/dns.cc squid-3.1.0.5/src/dns.cc
--- squid-3.1.0.4/src/dns.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/dns.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns.cc,v 1.100 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 34    Dnsserver interface
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/dns_internal.cc squid-3.1.0.5/src/dns_internal.cc
--- squid-3.1.0.4/src/dns_internal.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/dns_internal.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.cc,v 1.105 2008/01/20 19:46:35 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -40,6 +40,7 @@
 #include "SquidTime.h"
 #include "Store.h"
 #include "comm.h"
+#include "fde.h"
 #include "MemBuf.h"
 
 #include "wordlist.h"
@@ -676,6 +677,9 @@
 
     if (flag == COMM_ERR_CLOSING)
         return;
+    
+    if (fd_table[fd].closing())
+	return;
 
     if (flag != COMM_OK || size <= 0) {
         comm_close(fd);
@@ -1354,6 +1358,19 @@
 
         debugs(78, 2, "idnsInit: attempt open DNS socket to: " << addr);
 
+#if USE_IPV6
+        if ( DnsSocket < 0 && addr.IsIPv6() && addr.SetIPv4() ) {
+            /* attempt to open this IPv4-only. */
+            DnsSocket = comm_open(SOCK_DGRAM,
+                                  IPPROTO_UDP,
+                                  addr,
+                                  COMM_NONBLOCKING,
+                                  "DNS Socket");
+
+            debugs(78, 2, "idnsInit: attempt open DNS socket to: " << addr);
+        }
+#endif
+
         if (DnsSocket < 0)
             fatal("Could not create a DNS socket");
 
diff -u -r -N squid-3.1.0.4/src/ElementList.h squid-3.1.0.5/src/ElementList.h
--- squid-3.1.0.4/src/ElementList.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ElementList.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ElementList.h,v 1.1 2003/03/10 04:56:36 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/enums.h squid-3.1.0.5/src/enums.h
--- squid-3.1.0.4/src/enums.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/enums.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.262 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/errorpage.cc squid-3.1.0.5/src/errorpage.cc
--- squid-3.1.0.4/src/errorpage.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/errorpage.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.cc,v 1.230 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ESIAssign.cc squid-3.1.0.5/src/ESIAssign.cc
--- squid-3.1.0.4/src/ESIAssign.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIAssign.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIAssign.cc,v 1.8 2008/01/20 20:20:21 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIAssign.h squid-3.1.0.5/src/ESIAssign.h
--- squid-3.1.0.4/src/ESIAssign.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIAssign.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIAssign.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIAttempt.h squid-3.1.0.5/src/ESIAttempt.h
--- squid-3.1.0.4/src/ESIAttempt.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIAttempt.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIAttempt.h,v 1.2 2003/08/04 22:14:40 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIContext.cc squid-3.1.0.5/src/ESIContext.cc
--- squid-3.1.0.4/src/ESIContext.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIContext.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIContext.cc,v 1.4 2008/01/20 19:46:35 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIContext.h squid-3.1.0.5/src/ESIContext.h
--- squid-3.1.0.4/src/ESIContext.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIContext.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIContext.h,v 1.5 2008/01/07 17:10:22 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESICustomParser.cc squid-3.1.0.5/src/ESICustomParser.cc
--- squid-3.1.0.4/src/ESICustomParser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESICustomParser.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESICustomParser.cc,v 1.10 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESICustomParser.h squid-3.1.0.5/src/ESICustomParser.h
--- squid-3.1.0.4/src/ESICustomParser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESICustomParser.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESICustomParser.h,v 1.8 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESIElement.h squid-3.1.0.5/src/ESIElement.h
--- squid-3.1.0.4/src/ESIElement.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIElement.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIElement.h,v 1.4 2003/08/04 22:14:40 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESIExcept.h squid-3.1.0.5/src/ESIExcept.h
--- squid-3.1.0.4/src/ESIExcept.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIExcept.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIExcept.h,v 1.3 2003/08/04 22:14:40 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIExpatParser.cc squid-3.1.0.5/src/ESIExpatParser.cc
--- squid-3.1.0.4/src/ESIExpatParser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIExpatParser.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIExpatParser.cc,v 1.4 2005/07/03 15:25:08 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIExpatParser.h squid-3.1.0.5/src/ESIExpatParser.h
--- squid-3.1.0.4/src/ESIExpatParser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIExpatParser.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIExpatParser.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESIExpression.cc squid-3.1.0.5/src/ESIExpression.cc
--- squid-3.1.0.4/src/ESIExpression.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIExpression.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIExpression.cc,v 1.5 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIExpression.h squid-3.1.0.5/src/ESIExpression.h
--- squid-3.1.0.4/src/ESIExpression.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIExpression.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIExpression.h,v 1.1 2003/07/14 14:15:55 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESI.h squid-3.1.0.5/src/ESI.h
--- squid-3.1.0.4/src/ESI.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESI.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.h,v 1.1 2003/03/10 04:56:35 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESIInclude.cc squid-3.1.0.5/src/ESIInclude.cc
--- squid-3.1.0.4/src/ESIInclude.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIInclude.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIInclude.cc,v 1.17 2008/02/12 23:52:28 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIInclude.h squid-3.1.0.5/src/ESIInclude.h
--- squid-3.1.0.4/src/ESIInclude.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIInclude.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIInclude.h,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESILibxml2Parser.cc squid-3.1.0.5/src/ESILibxml2Parser.cc
--- squid-3.1.0.4/src/ESILibxml2Parser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESILibxml2Parser.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESILibxml2Parser.cc,v 1.3 2005/07/03 15:25:08 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Joachim Bauch (mail@joachim-bauch.de)
  *
diff -u -r -N squid-3.1.0.4/src/ESILibxml2Parser.h squid-3.1.0.5/src/ESILibxml2Parser.h
--- squid-3.1.0.4/src/ESILibxml2Parser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESILibxml2Parser.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESILibxml2Parser.h,v 1.3 2005/07/03 15:25:08 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Joachim Bauch (mail@joachim-bauch.de)
  *
diff -u -r -N squid-3.1.0.4/src/ESILiteral.h squid-3.1.0.5/src/ESILiteral.h
--- squid-3.1.0.4/src/ESILiteral.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESILiteral.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESILiteral.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIParser.cc squid-3.1.0.5/src/ESIParser.cc
--- squid-3.1.0.4/src/ESIParser.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIParser.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIParser.cc,v 1.8 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIParser.h squid-3.1.0.5/src/ESIParser.h
--- squid-3.1.0.4/src/ESIParser.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIParser.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIParser.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESISegment.cc squid-3.1.0.5/src/ESISegment.cc
--- squid-3.1.0.4/src/ESISegment.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESISegment.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESISegment.cc,v 1.6 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESISegment.h squid-3.1.0.5/src/ESISegment.h
--- squid-3.1.0.4/src/ESISegment.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESISegment.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESISegment.h,v 1.4 2006/08/21 00:50:40 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ESISequence.cc squid-3.1.0.5/src/ESISequence.cc
--- squid-3.1.0.4/src/ESISequence.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESISequence.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESISequence.cc,v 1.7 2008/01/20 19:46:35 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESISequence.h squid-3.1.0.5/src/ESISequence.h
--- squid-3.1.0.4/src/ESISequence.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESISequence.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESISequence.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIVar.h squid-3.1.0.5/src/ESIVar.h
--- squid-3.1.0.4/src/ESIVar.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIVar.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIVar.h,v 1.2 2003/08/04 22:14:40 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIVarState.cc squid-3.1.0.5/src/ESIVarState.cc
--- squid-3.1.0.4/src/ESIVarState.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIVarState.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIVarState.cc,v 1.10 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/ESIVarState.h squid-3.1.0.5/src/ESIVarState.h
--- squid-3.1.0.4/src/ESIVarState.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ESIVarState.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIVarState.h,v 1.4 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ETag.cc squid-3.1.0.5/src/ETag.cc
--- squid-3.1.0.4/src/ETag.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ETag.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ETag.cc,v 1.10 2003/02/21 22:50:05 robertc Exp $
+ * $Id$
  *
  * DEBUG: none          ETag parsing support
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/event.cc squid-3.1.0.5/src/event.cc
--- squid-3.1.0.4/src/event.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/event.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: event.cc,v 1.52 2008/02/13 06:09:15 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 41    Event Processing
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/event.h squid-3.1.0.5/src/event.h
--- squid-3.1.0.4/src/event.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/event.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: event.h,v 1.4 2008/02/12 23:27:42 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/EventLoop.cc squid-3.1.0.5/src/EventLoop.cc
--- squid-3.1.0.4/src/EventLoop.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/EventLoop.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: EventLoop.cc,v 1.6 2008/02/12 23:49:44 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 1     Main Loop
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/EventLoop.h squid-3.1.0.5/src/EventLoop.h
--- squid-3.1.0.4/src/EventLoop.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/EventLoop.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: EventLoop.h,v 1.4 2008/02/12 23:49:44 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/external_acl.cc squid-3.1.0.5/src/external_acl.cc
--- squid-3.1.0.4/src/external_acl.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/external_acl.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: external_acl.cc,v 1.82 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
@@ -329,9 +329,6 @@
             /* INET6: allow admin to configure some helpers explicitly to
                       bind to IPv4/v6 localhost port. */
         } else if (strcmp(token, "ipv4") == 0) {
-#if IPV6_SPECIAL_LOCALHOST
-            debugs(3, 0, "WARNING: --with-localhost-ipv6 conflicts with external ACL helper to using IPv4: " << a->name );
-#endif
             if ( !a->local_addr.SetIPv4() ) {
                 debugs(3, 0, "WARNING: Error converting " << a->local_addr << " to IPv4 in " << a->name );
             }
diff -u -r -N squid-3.1.0.4/src/ExternalACLEntry.cc squid-3.1.0.5/src/ExternalACLEntry.cc
--- squid-3.1.0.4/src/ExternalACLEntry.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ExternalACLEntry.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ExternalACLEntry.cc,v 1.6 2006/05/08 23:38:33 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
diff -u -r -N squid-3.1.0.4/src/ExternalACLEntry.h squid-3.1.0.5/src/ExternalACLEntry.h
--- squid-3.1.0.4/src/ExternalACLEntry.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ExternalACLEntry.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ExternalACLEntry.h,v 1.8 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
diff -u -r -N squid-3.1.0.4/src/ExternalACL.h squid-3.1.0.5/src/ExternalACL.h
--- squid-3.1.0.4/src/ExternalACL.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ExternalACL.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ExternalACL.h,v 1.10 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/fd.cc squid-3.1.0.5/src/fd.cc
--- squid-3.1.0.4/src/fd.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fd.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fd.cc,v 1.61 2008/03/02 13:32:24 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 51    Filedescriptor Functions
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/fde.cc squid-3.1.0.5/src/fde.cc
--- squid-3.1.0.4/src/fde.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fde.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fde.cc,v 1.8 2008/02/12 23:22:13 rousskov Exp $
+ * $Id$
  *
  * DEBUG: none          FDE
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/filemap.cc squid-3.1.0.5/src/filemap.cc
--- squid-3.1.0.4/src/filemap.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/filemap.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: filemap.cc,v 1.44 2007/04/30 16:56:09 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 8     Swap File Bitmap
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/forward.cc squid-3.1.0.5/src/forward.cc
--- squid-3.1.0.4/src/forward.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/forward.cc	2009-02-03 14:15:38.000000000 +1300
@@ -527,6 +527,10 @@
             }
         }
 
+        /* Ditch error page if it was created before.
+         * A new one will be created if there's another problem */
+        err = NULL;
+
         /* use eventAdd to break potential call sequence loops and to slow things down a little */
         eventAdd("fwdConnectStart", fwdConnectStartWrapper, this, originserver ? 0.05 : 0.005, 0);
 
diff -u -r -N squid-3.1.0.4/src/fqdncache.cc squid-3.1.0.5/src/fqdncache.cc
--- squid-3.1.0.4/src/fqdncache.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fqdncache.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: fqdncache.cc,v 1.178 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/fs/aufs/StoreFSaufs.cc squid-3.1.0.5/src/fs/aufs/StoreFSaufs.cc
--- squid-3.1.0.4/src/fs/aufs/StoreFSaufs.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/aufs/StoreFSaufs.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFSaufs.cc,v 1.3 2008/02/26 21:49:43 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/fs/coss/coss-notes.txt squid-3.1.0.5/src/fs/coss/coss-notes.txt
--- squid-3.1.0.4/src/fs/coss/coss-notes.txt	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/coss/coss-notes.txt	2009-02-03 14:15:38.000000000 +1300
@@ -10,7 +10,7 @@
 
 Adrian Chadd <adrian@creative.net.au>
 
-$Id: coss-notes.txt,v 1.3 2003/08/27 21:19:38 wessels Exp $
+$Id$
 
 
 COSS is a Cyclic Object storage system originally designed by
diff -u -r -N squid-3.1.0.4/src/fs/coss/store_dir_coss.cc squid-3.1.0.5/src/fs/coss/store_dir_coss.cc
--- squid-3.1.0.4/src/fs/coss/store_dir_coss.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/coss/store_dir_coss.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 #error COSS Support is not stable yet in Squid-3. Please do not use.
 /*
- * $Id: store_dir_coss.cc,v 1.77 2007/11/15 16:47:36 wessels Exp $
+ * $Id$
  * vim: set et :
  *
  * DEBUG: section 47    Store COSS Directory Routines
diff -u -r -N squid-3.1.0.4/src/fs/coss/StoreFScoss.cc squid-3.1.0.5/src/fs/coss/StoreFScoss.cc
--- squid-3.1.0.4/src/fs/coss/StoreFScoss.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/coss/StoreFScoss.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 #error COSS Support is not stable yet in Squid-3. Please do not use.
 /*
- * $Id: StoreFScoss.cc,v 1.7 2006/09/03 21:05:21 hno Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/fs/coss/StoreFScoss.h squid-3.1.0.5/src/fs/coss/StoreFScoss.h
--- squid-3.1.0.4/src/fs/coss/StoreFScoss.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/coss/StoreFScoss.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFScoss.h,v 1.4 2008/02/26 21:49:43 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/fs/coss/store_io_coss.cc squid-3.1.0.5/src/fs/coss/store_io_coss.cc
--- squid-3.1.0.4/src/fs/coss/store_io_coss.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/coss/store_io_coss.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_io_coss.cc,v 1.33 2007/08/13 17:20:56 hno Exp $
+ * $Id$
  *
  * DEBUG: section 79    Storage Manager COSS Interface
  * AUTHOR: Eric Stern
diff -u -r -N squid-3.1.0.4/src/fs/diskd/StoreFSdiskd.cc squid-3.1.0.5/src/fs/diskd/StoreFSdiskd.cc
--- squid-3.1.0.4/src/fs/diskd/StoreFSdiskd.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/diskd/StoreFSdiskd.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFSdiskd.cc,v 1.3 2008/02/26 21:49:44 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/fs/Makefile.am squid-3.1.0.5/src/fs/Makefile.am
--- squid-3.1.0.4/src/fs/Makefile.am	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/Makefile.am	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.15 2008/01/08 11:10:48 amosjeffries Exp $
+#  $Id$
 #
 
 AUTOMAKE_OPTIONS = subdir-objects
diff -u -r -N squid-3.1.0.4/src/fs/Makefile.in squid-3.1.0.5/src/fs/Makefile.in
--- squid-3.1.0.4/src/fs/Makefile.in	2009-01-23 18:38:00.000000000 +1300
+++ squid-3.1.0.5/src/fs/Makefile.in	2009-02-03 14:16:01.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.15 2008/01/08 11:10:48 amosjeffries Exp $
+#  $Id$
 #
 
 srcdir = @srcdir@
diff -u -r -N squid-3.1.0.4/src/fs/ufs/store_dir_ufs.cc squid-3.1.0.5/src/fs/ufs/store_dir_ufs.cc
--- squid-3.1.0.4/src/fs/ufs/store_dir_ufs.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/store_dir_ufs.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir_ufs.cc,v 1.87 2007/12/02 07:19:58 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/fs/ufs/StoreFSufs.cc squid-3.1.0.5/src/fs/ufs/StoreFSufs.cc
--- squid-3.1.0.4/src/fs/ufs/StoreFSufs.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/StoreFSufs.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFSufs.cc,v 1.2 2004/12/20 16:30:45 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/fs/ufs/StoreFSufs.h squid-3.1.0.5/src/fs/ufs/StoreFSufs.h
--- squid-3.1.0.4/src/fs/ufs/StoreFSufs.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/StoreFSufs.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFSufs.h,v 1.6 2008/02/26 21:49:45 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/fs/ufs/store_io_ufs.cc squid-3.1.0.5/src/fs/ufs/store_io_ufs.cc
--- squid-3.1.0.4/src/fs/ufs/store_io_ufs.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/store_io_ufs.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_io_ufs.cc,v 1.39 2007/07/24 16:15:32 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 79    Storage Manager UFS Interface
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/fs/ufs/ufscommon.cc squid-3.1.0.5/src/fs/ufs/ufscommon.cc
--- squid-3.1.0.4/src/fs/ufs/ufscommon.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/ufscommon.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ufscommon.cc,v 1.15 2007/11/15 16:47:38 wessels Exp $
+ * $Id$
  * vim: set et :
  *
  * DEBUG: section 47    Store Directory Routines
diff -u -r -N squid-3.1.0.4/src/fs/ufs/ufscommon.cci squid-3.1.0.5/src/fs/ufs/ufscommon.cci
--- squid-3.1.0.4/src/fs/ufs/ufscommon.cci	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/ufscommon.cci	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ufscommon.cci,v 1.2 2005/01/03 16:08:27 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/fs/ufs/ufscommon.h squid-3.1.0.5/src/fs/ufs/ufscommon.h
--- squid-3.1.0.4/src/fs/ufs/ufscommon.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/fs/ufs/ufscommon.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ufscommon.h,v 1.13 2008/02/26 21:49:45 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/ftp.cc squid-3.1.0.5/src/ftp.cc
--- squid-3.1.0.4/src/ftp.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/ftp.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ftp.cc,v 1.446 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Generic.h squid-3.1.0.5/src/Generic.h
--- squid-3.1.0.4/src/Generic.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/Generic.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Generic.h,v 1.7 2004/12/20 16:30:32 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/globals.h squid-3.1.0.5/src/globals.h
--- squid-3.1.0.4/src/globals.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/globals.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: globals.h,v 1.143 2008/02/11 22:36:52 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/gopher.cc squid-3.1.0.5/src/gopher.cc
--- squid-3.1.0.4/src/gopher.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/gopher.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: gopher.cc,v 1.211 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 10    Gopher
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/helper.cc squid-3.1.0.5/src/helper.cc
--- squid-3.1.0.4/src/helper.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/helper.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: helper.cc,v 1.91 2007/12/14 23:11:46 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Harvest Derived?
diff -u -r -N squid-3.1.0.4/src/HierarchyLogEntry.h squid-3.1.0.5/src/HierarchyLogEntry.h
--- squid-3.1.0.4/src/HierarchyLogEntry.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HierarchyLogEntry.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HierarchyLogEntry.h,v 1.1 2003/10/16 21:40:16 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/htcp.cc squid-3.1.0.5/src/htcp.cc
--- squid-3.1.0.4/src/htcp.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/htcp.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.cc,v 1.81 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
diff -u -r -N squid-3.1.0.4/src/HttpBody.cc squid-3.1.0.5/src/HttpBody.cc
--- squid-3.1.0.4/src/HttpBody.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpBody.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpBody.cc,v 1.25 2007/04/20 07:29:47 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 56    HTTP Message Body
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/http.cc squid-3.1.0.5/src/http.cc
--- squid-3.1.0.4/src/http.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/http.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.cc,v 1.547 2008/02/12 23:55:26 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -1422,8 +1422,8 @@
     String strFwd;
     HttpHeaderPos pos = HttpHeaderInitPos;
     assert (hdr_out->owner == hoRequest);
-    /* append our IMS header */
 
+    /* append our IMS header */
     if (request->lastmod > -1)
         hdr_out->putTime(HDR_IF_MODIFIED_SINCE, request->lastmod);
 
diff -u -r -N squid-3.1.0.4/src/http.h squid-3.1.0.5/src/http.h
--- squid-3.1.0.4/src/http.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/http.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.h,v 1.34 2008/02/12 23:55:26 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHdrCc.cc squid-3.1.0.5/src/HttpHdrCc.cc
--- squid-3.1.0.4/src/HttpHdrCc.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrCc.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrCc.cc,v 1.31 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 65    HTTP Cache Control Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHdrContRange.cc squid-3.1.0.5/src/HttpHdrContRange.cc
--- squid-3.1.0.4/src/HttpHdrContRange.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrContRange.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrContRange.cc,v 1.22 2007/08/13 18:25:14 hno Exp $
+ * $Id$
  *
  * DEBUG: section 68    HTTP Content-Range Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHdrContRange.h squid-3.1.0.5/src/HttpHdrContRange.h
--- squid-3.1.0.4/src/HttpHdrContRange.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrContRange.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpHdrContRange.h,v 1.4 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHdrRange.cc squid-3.1.0.5/src/HttpHdrRange.cc
--- squid-3.1.0.4/src/HttpHdrRange.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrRange.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrRange.cc,v 1.45 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 64    HTTP Range Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHdrSc.cc squid-3.1.0.5/src/HttpHdrSc.cc
--- squid-3.1.0.4/src/HttpHdrSc.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrSc.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrSc.cc,v 1.6 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 90    HTTP Cache Control Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHdrSc.h squid-3.1.0.5/src/HttpHdrSc.h
--- squid-3.1.0.4/src/HttpHdrSc.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrSc.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrSc.h,v 1.3 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHdrScTarget.cc squid-3.1.0.5/src/HttpHdrScTarget.cc
--- squid-3.1.0.4/src/HttpHdrScTarget.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrScTarget.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrScTarget.cc,v 1.4 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 90    HTTP Cache Control Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHdrScTarget.h squid-3.1.0.5/src/HttpHdrScTarget.h
--- squid-3.1.0.4/src/HttpHdrScTarget.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHdrScTarget.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpHdrScTarget.h,v 1.3 2007/05/29 13:31:37 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHeader.cc squid-3.1.0.5/src/HttpHeader.cc
--- squid-3.1.0.4/src/HttpHeader.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHeader.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.cc,v 1.139 2008/01/22 19:53:03 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpHeader.h squid-3.1.0.5/src/HttpHeader.h
--- squid-3.1.0.4/src/HttpHeader.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHeader.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpHeader.h,v 1.26 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHeaderMask.h squid-3.1.0.5/src/HttpHeaderMask.h
--- squid-3.1.0.4/src/HttpHeaderMask.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHeaderMask.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpHeaderMask.h,v 1.1 2006/04/22 13:08:39 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHeaderRange.h squid-3.1.0.5/src/HttpHeaderRange.h
--- squid-3.1.0.4/src/HttpHeaderRange.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHeaderRange.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeaderRange.h,v 1.12 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpHeaderTools.cc squid-3.1.0.5/src/HttpHeaderTools.cc
--- squid-3.1.0.4/src/HttpHeaderTools.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpHeaderTools.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeaderTools.cc,v 1.63 2007/09/28 00:22:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 66    HTTP Header Tools
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpMsg.cc squid-3.1.0.5/src/HttpMsg.cc
--- squid-3.1.0.4/src/HttpMsg.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpMsg.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpMsg.cc,v 1.44 2007/12/21 23:50:24 hno Exp $
+ * $Id$
  *
  * DEBUG: section 74    HTTP Message
  * AUTHOR: Alex Rousskov
@@ -445,14 +445,16 @@
 }
 #endif
 
-/*
+/**
  * Attempt to parse the request line.
  *
  * This will set the values in hmsg that it determines. One may end up
  * with a partially-parsed buffer; the return value tells you whether
  * the values are valid or not.
  *
- * @return 1 if parsed correctly, 0 if more is needed, -1 if error
+ * \retval	1 if parsed correctly
+ * \retval	0 if more is needed
+ * \retval	-1 if error
  *
  * TODO:
  *   * have it indicate "error" and "not enough" as two separate conditions!
@@ -463,7 +465,7 @@
 {
     int i = 0;
     int retcode = 0;
-    int maj = -1, min = -1;
+    unsigned int maj = 0, min = 0;
     int last_whitespace = -1, line_end = -1;
 
     debugs(74, 5, "httpParserParseReqLine: parsing " << hmsg->buf);
@@ -570,10 +572,14 @@
 
             /* next should be 1 or more digits */
             maj = 0;
-            for (; i < hmsg->req_end && (isdigit(hmsg->buf[i])); i++) {
+            for (; i < hmsg->req_end && (isdigit(hmsg->buf[i])) && maj < 65536; i++) {
                 maj = maj * 10;
                 maj = maj + (hmsg->buf[i]) - '0';
             }
+            if (maj >= 65536) {
+                retcode = -1;
+                goto finish;
+            }
             if (i >= hmsg->req_end) {
                 retcode = 0;
                 goto finish;
@@ -592,11 +598,16 @@
             /* next should be one or more digits */
             i++;
             min = 0;
-            for (; i < hmsg->req_end && (isdigit(hmsg->buf[i])); i++) {
+            for (; i < hmsg->req_end && (isdigit(hmsg->buf[i])) && min < 65536; i++) {
                 min = min * 10;
                 min = min + (hmsg->buf[i]) - '0';
             }
 
+            if (min >= 65536) {
+                retcode = -1;
+                goto finish;
+            }
+
             /* Find whitespace, end of version */
             hmsg->v_end = i;
             hmsg->u_end = last_whitespace - 1;
@@ -607,8 +618,6 @@
      * Rightio - we have all the schtuff. Return true; we've got enough.
      */
     retcode = 1;
-    assert(maj != -1);
-    assert(min != -1);
 
 finish:
     hmsg->v_maj = maj;
diff -u -r -N squid-3.1.0.4/src/HttpMsg.h squid-3.1.0.5/src/HttpMsg.h
--- squid-3.1.0.4/src/HttpMsg.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpMsg.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpMsg.h,v 1.17 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpReply.cc squid-3.1.0.5/src/HttpReply.cc
--- squid-3.1.0.4/src/HttpReply.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpReply.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpReply.cc,v 1.100 2008/02/08 18:27:59 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 58    HTTP Reply (Response)
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpReply.h squid-3.1.0.5/src/HttpReply.h
--- squid-3.1.0.4/src/HttpReply.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpReply.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpReply.h,v 1.24 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpRequest.cc squid-3.1.0.5/src/HttpRequest.cc
--- squid-3.1.0.4/src/HttpRequest.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpRequest.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.cc,v 1.80 2008/02/03 10:00:29 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 73    HTTP Request
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/HttpRequest.h squid-3.1.0.5/src/HttpRequest.h
--- squid-3.1.0.4/src/HttpRequest.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpRequest.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.h,v 1.33 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpRequestMethod.cc squid-3.1.0.5/src/HttpRequestMethod.cc
--- squid-3.1.0.4/src/HttpRequestMethod.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpRequestMethod.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequestMethod.cc,v 1.7 2008/02/12 00:05:11 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 73    HTTP Request
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/HttpRequestMethod.h squid-3.1.0.5/src/HttpRequestMethod.h
--- squid-3.1.0.4/src/HttpRequestMethod.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpRequestMethod.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpRequestMethod.h,v 1.12 2008/02/26 00:16:47 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpStatusLine.cc squid-3.1.0.5/src/HttpStatusLine.cc
--- squid-3.1.0.4/src/HttpStatusLine.cc	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpStatusLine.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpStatusLine.cc,v 1.34 2007/05/29 13:31:38 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 57    HTTP Status-line
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/HttpStatusLine.h squid-3.1.0.5/src/HttpStatusLine.h
--- squid-3.1.0.4/src/HttpStatusLine.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpStatusLine.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: HttpStatusLine.h,v 1.4 2007/05/29 13:31:38 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/HttpVersion.h squid-3.1.0.5/src/HttpVersion.h
--- squid-3.1.0.4/src/HttpVersion.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/HttpVersion.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpVersion.h,v 1.3 2004/12/11 22:07:31 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/AsyncJob.h squid-3.1.0.5/src/ICAP/AsyncJob.h
--- squid-3.1.0.4/src/ICAP/AsyncJob.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/AsyncJob.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: AsyncJob.h,v 1.4 2008/02/26 21:49:41 amosjeffries Exp $
+ * $Id$
  */
 
 #ifndef SQUID_ASYNC_JOB_H
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPClient.h squid-3.1.0.5/src/ICAP/ICAPClient.h
--- squid-3.1.0.4/src/ICAP/ICAPClient.h	2009-01-23 18:37:35.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPClient.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPClient.h,v 1.4 2007/04/06 04:50:07 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPConfig.cc squid-3.1.0.5/src/ICAP/ICAPConfig.cc
--- squid-3.1.0.4/src/ICAP/ICAPConfig.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPConfig.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.cc,v 1.21 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPConfig.h squid-3.1.0.5/src/ICAP/ICAPConfig.h
--- squid-3.1.0.4/src/ICAP/ICAPConfig.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPConfig.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.h,v 1.17 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPElements.h squid-3.1.0.5/src/ICAP/ICAPElements.h
--- squid-3.1.0.4/src/ICAP/ICAPElements.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPElements.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPElements.h,v 1.4 2007/04/06 04:50:07 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPInOut.h squid-3.1.0.5/src/ICAP/ICAPInOut.h
--- squid-3.1.0.4/src/ICAP/ICAPInOut.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPInOut.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPInOut.h,v 1.1 2007/04/06 04:50:07 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPLauncher.h squid-3.1.0.5/src/ICAP/ICAPLauncher.h
--- squid-3.1.0.4/src/ICAP/ICAPLauncher.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPLauncher.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPLauncher.h,v 1.2 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPModXact.h squid-3.1.0.5/src/ICAP/ICAPModXact.h
--- squid-3.1.0.4/src/ICAP/ICAPModXact.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPModXact.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPModXact.h,v 1.11 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPOptions.h squid-3.1.0.5/src/ICAP/ICAPOptions.h
--- squid-3.1.0.4/src/ICAP/ICAPOptions.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPOptions.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPOptions.h,v 1.11 2007/05/29 13:31:44 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPOptXact.h squid-3.1.0.5/src/ICAP/ICAPOptXact.h
--- squid-3.1.0.4/src/ICAP/ICAPOptXact.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPOptXact.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICAPOptXact.h,v 1.6 2007/05/08 16:32:11 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPServiceRep.h squid-3.1.0.5/src/ICAP/ICAPServiceRep.h
--- squid-3.1.0.4/src/ICAP/ICAPServiceRep.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPServiceRep.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPServiceRep.h,v 1.12 2008/02/12 23:12:45 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ICAP/ICAPXaction.h squid-3.1.0.5/src/ICAP/ICAPXaction.h
--- squid-3.1.0.4/src/ICAP/ICAPXaction.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICAP/ICAPXaction.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPXaction.h,v 1.13 2008/02/12 23:12:46 rousskov Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/icmp/Icmp4.cc squid-3.1.0.5/src/icmp/Icmp4.cc
--- squid-3.1.0.4/src/icmp/Icmp4.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/Icmp4.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPv4.cc,v 1.2 2007/12/28 12:04:45 hno Exp $
+ * $Id$
  *
  * DEBUG: section 42    ICMP Pinger program
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/Icmp4.h squid-3.1.0.5/src/icmp/Icmp4.h
--- squid-3.1.0.4/src/icmp/Icmp4.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/Icmp4.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPv4.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/Icmp6.cc squid-3.1.0.5/src/icmp/Icmp6.cc
--- squid-3.1.0.4/src/icmp/Icmp6.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/Icmp6.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPv6.cc,v 1.2 2007/12/28 12:04:45 hno Exp $
+ * $Id$
  *
  * DEBUG: section 42    ICMP Pinger program
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/Icmp.cc squid-3.1.0.5/src/icmp/Icmp.cc
--- squid-3.1.0.4/src/icmp/Icmp.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/Icmp.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: icmp.cc,v 1.94 2007/12/14 23:11:47 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/IcmpConfig.h squid-3.1.0.5/src/icmp/IcmpConfig.h
--- squid-3.1.0.4/src/icmp/IcmpConfig.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/IcmpConfig.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPConfig.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration Settings
  * AUTHOR: Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/IcmpPinger.cc squid-3.1.0.5/src/icmp/IcmpPinger.cc
--- squid-3.1.0.4/src/icmp/IcmpPinger.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/IcmpPinger.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPPinger.cc,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 42    ICMP Pinger program
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/icmp/IcmpPinger.h squid-3.1.0.5/src/icmp/IcmpPinger.h
--- squid-3.1.0.4/src/icmp/IcmpPinger.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/IcmpPinger.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPPinger.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/IcmpSquid.cc squid-3.1.0.5/src/icmp/IcmpSquid.cc
--- squid-3.1.0.4/src/icmp/IcmpSquid.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/IcmpSquid.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICMPSquid.cc,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
diff -u -r -N squid-3.1.0.4/src/icmp/pinger.cc squid-3.1.0.5/src/icmp/pinger.cc
--- squid-3.1.0.4/src/icmp/pinger.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icmp/pinger.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: pinger.cc,v 1.62 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 42    ICMP Pinger program
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ICP.h squid-3.1.0.5/src/ICP.h
--- squid-3.1.0.4/src/ICP.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ICP.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ICP.h,v 1.11 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/icp_v3.cc squid-3.1.0.5/src/icp_v3.cc
--- squid-3.1.0.4/src/icp_v3.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/icp_v3.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: icp_v3.cc,v 1.44 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 12    Internet Cache Protocol (ICP)
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ident.cc squid-3.1.0.5/src/ident.cc
--- squid-3.1.0.4/src/ident.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/ident.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ident.cc,v 1.78 2007/12/14 23:11:47 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 30    Ident (RFC 931)
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/int.cc squid-3.1.0.5/src/int.cc
--- squid-3.1.0.4/src/int.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/int.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: int.cc,v 1.3 2005/01/06 13:16:39 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 21    Integer functions
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/internal.cc squid-3.1.0.5/src/internal.cc
--- squid-3.1.0.4/src/internal.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/internal.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: internal.cc,v 1.48 2007/12/14 23:11:47 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 76    Internal Squid Object handling
  * AUTHOR: Duane, Alex, Henrik
diff -u -r -N squid-3.1.0.4/src/ip/IpAddress.cc squid-3.1.0.5/src/ip/IpAddress.cc
--- squid-3.1.0.4/src/ip/IpAddress.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/ip/IpAddress.cc	2009-02-03 14:15:38.000000000 +1300
@@ -247,9 +247,6 @@
 #if USE_IPV6
 
     return IsAnyAddr() || IsNoAddr() ||
-#if IPV6_SPECIAL_LOCALHOST
-           IsLocalhost() ||
-#endif
            ( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
              m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
              m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
@@ -265,9 +262,6 @@
 #if USE_IPV6
 
     return IsAnyAddr() || IsNoAddr() ||
-#if IPV6_SPECIAL_LOCALHOST
-           IsLocalhost() ||
-#endif
            !( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
               m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
               m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
@@ -311,13 +305,11 @@
 {
 #if USE_IPV6
 
-#if !IPV6_SPECIAL_LOCALHOST
     if ( IsLocalhost() ) {
         m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
         m_SocketAddr.sin6_addr.s6_addr32[3] = htonl(0x7F000001);
         return true;
     }
-#endif
 
     if ( IsAnyAddr() ) {
         m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
@@ -342,15 +334,12 @@
                   && m_SocketAddr.sin6_addr.s6_addr32[2] == 0
                   && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x1)
               )
-#if !IPV6_SPECIAL_LOCALHOST
               ||
               (   m_SocketAddr.sin6_addr.s6_addr32[0] == 0
                   && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
                   && m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0xffff)
                   && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x7F000001)
-              )
-#endif
-              ;
+              );
 #else
 
     return (htonl(0x7F000001) == m_SocketAddr.sin_addr.s_addr);
@@ -1173,14 +1162,6 @@
         out.s6_addr32[2] = 0xFFFFFFFF;
         out.s6_addr32[3] = 0xFFFFFFFF;
 
-#if IPV6_SPECIAL_LOCALHOST
-    } else if ( in.s_addr == htonl(0x7F000001)) {
-        /* LOCALHOST */
-
-        memset(&out, 0, sizeof(struct in6_addr));
-        out.s6_addr32[3] = htonl(0x1);
-#endif
-
     } else {
         /* general */
 
@@ -1197,15 +1178,6 @@
 
     memset(&out, 0, sizeof(struct in_addr));
     out.s_addr = in.s6_addr32[3];
-
-#if IPV6_SPECIAL_LOCALHOST
-    /* LOCALHOST */
-
-    if ( IsLocalhost() ) {
-        out.s_addr = htonl(0x7F000001);
-    }
-#endif
-
 }
 
 #endif
diff -u -r -N squid-3.1.0.4/src/ipc_win32.cc squid-3.1.0.5/src/ipc_win32.cc
--- squid-3.1.0.4/src/ipc_win32.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/ipc_win32.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ipc_win32.cc,v 1.5 2007/12/14 23:11:47 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 54    Windows Interprocess Communication
  * AUTHOR: Andrey Shorin <tolsty@tushino.com>
diff -u -r -N squid-3.1.0.4/src/LeakFinder.cc squid-3.1.0.5/src/LeakFinder.cc
--- squid-3.1.0.4/src/LeakFinder.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/LeakFinder.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: LeakFinder.cc,v 1.6 2007/04/30 16:56:09 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 45    Callback Data Registry
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/list.cc squid-3.1.0.5/src/list.cc
--- squid-3.1.0.4/src/list.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/list.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: list.cc,v 1.2 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: none          Linked list functions (deprecated)
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/logfile.cc squid-3.1.0.5/src/logfile.cc
--- squid-3.1.0.4/src/logfile.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/logfile.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: logfile.cc,v 1.25 2007/11/13 23:25:34 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/main.cc squid-3.1.0.5/src/main.cc
--- squid-3.1.0.4/src/main.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/main.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: main.cc,v 1.459 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Makefile.am squid-3.1.0.5/src/Makefile.am
--- squid-3.1.0.4/src/Makefile.am	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Makefile.am	2009-02-03 14:15:36.000000000 +1300
@@ -919,7 +919,6 @@
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
 	ip/libip.la \
-	-L../lib \
 	@XTRA_OBJS@ \
 	@REPL_OBJS@ \
 	@STORE_OBJS@ \
@@ -929,7 +928,7 @@
 	@SNMPLIB@ \
 	${ADAPTATION_LIBS} \
 	@SSLLIB@ \
-	-lmiscutil \
+	-L$(top_builddir)/lib -lmiscutil \
 	@XTRA_LIBS@ \
 	@EPOLL_LIBS@ \
 	@MINGW_LIBS@ 
diff -u -r -N squid-3.1.0.4/src/Makefile.in squid-3.1.0.5/src/Makefile.in
--- squid-3.1.0.4/src/Makefile.in	2009-01-23 18:37:59.000000000 +1300
+++ squid-3.1.0.5/src/Makefile.in	2009-02-03 14:16:00.000000000 +1300
@@ -2390,7 +2390,6 @@
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
 	ip/libip.la \
-	-L../lib \
 	@XTRA_OBJS@ \
 	@REPL_OBJS@ \
 	@STORE_OBJS@ \
@@ -2400,7 +2399,7 @@
 	@SNMPLIB@ \
 	${ADAPTATION_LIBS} \
 	@SSLLIB@ \
-	-lmiscutil \
+	-L$(top_builddir)/lib -lmiscutil \
 	@XTRA_LIBS@ \
 	@EPOLL_LIBS@ \
 	@MINGW_LIBS@ 
diff -u -r -N squid-3.1.0.4/src/MemBuf.cc squid-3.1.0.5/src/MemBuf.cc
--- squid-3.1.0.4/src/MemBuf.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/MemBuf.cc	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: MemBuf.cc,v 1.43 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 59    auto-growing Memory Buffer with printf
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/MemBuf.cci squid-3.1.0.5/src/MemBuf.cci
--- squid-3.1.0.4/src/MemBuf.cci	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/MemBuf.cci	2009-02-03 14:15:36.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemBuf.cci,v 1.3 2005/11/21 22:54:00 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 59    auto-growing Memory Buffer with printf
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/MemBuf.h squid-3.1.0.5/src/MemBuf.h
--- squid-3.1.0.4/src/MemBuf.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/MemBuf.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: MemBuf.h,v 1.10 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/mem.cc squid-3.1.0.5/src/mem.cc
--- squid-3.1.0.4/src/mem.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/mem.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem.cc,v 1.108 2008/02/07 02:51:17 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 13    High Level Memory Pool Management
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Mem.h squid-3.1.0.5/src/Mem.h
--- squid-3.1.0.4/src/Mem.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Mem.h	2009-02-03 14:15:36.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Mem.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 13    High Level Memory Pool Management
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/mem_node.cc squid-3.1.0.5/src/mem_node.cc
--- squid-3.1.0.4/src/mem_node.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/mem_node.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_node.cc,v 1.11 2007/12/27 01:58:19 hno Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/mem_node.h squid-3.1.0.5/src/mem_node.h
--- squid-3.1.0.4/src/mem_node.h	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/mem_node.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_node.h,v 1.12 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/MemObject.cc squid-3.1.0.5/src/MemObject.cc
--- squid-3.1.0.4/src/MemObject.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/MemObject.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemObject.cc,v 1.33 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/MemObject.h squid-3.1.0.5/src/MemObject.h
--- squid-3.1.0.4/src/MemObject.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/MemObject.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: MemObject.h,v 1.18 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/mime.cc squid-3.1.0.5/src/mime.cc
--- squid-3.1.0.4/src/mime.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/mime.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mime.cc,v 1.132 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 25    MIME Parsing
  * AUTHOR: Harvest Derived
@@ -226,10 +226,11 @@
 mimeGetEntry(const char *fn, int skip_encodings)
 {
     mimeEntry *m;
-    char *t = NULL;
+    char *t;
     char *name = xstrdup(fn);
 
     do {
+        t = NULL;
 
         for (m = MimeTable; m; m = m->next) {
             if (regexec(&m->compiled_pattern, name, 0, 0, 0) == 0)
diff -u -r -N squid-3.1.0.4/src/mk-string-arrays.pl squid-3.1.0.5/src/mk-string-arrays.pl
--- squid-3.1.0.4/src/mk-string-arrays.pl	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/mk-string-arrays.pl	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 #******************************************************************************
-# $Id: mk-string-arrays.pl,v 1.5 2003/01/23 00:37:23 robertc Exp $
+# $Id$
 #
 # File:		mk-strs.pl
 #
diff -u -r -N squid-3.1.0.4/src/multicast.cc squid-3.1.0.5/src/multicast.cc
--- squid-3.1.0.4/src/multicast.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/multicast.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: multicast.cc,v 1.13 2007/12/14 23:11:47 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 7     Multicast
  * AUTHOR: Martin Hamilton
diff -u -r -N squid-3.1.0.4/src/NullDelayId.cc squid-3.1.0.5/src/NullDelayId.cc
--- squid-3.1.0.4/src/NullDelayId.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/NullDelayId.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: NullDelayId.cc,v 1.3 2003/08/04 22:14:41 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/NullDelayId.h squid-3.1.0.5/src/NullDelayId.h
--- squid-3.1.0.4/src/NullDelayId.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/NullDelayId.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: NullDelayId.h,v 1.4 2003/08/04 22:14:41 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/Packer.cc squid-3.1.0.5/src/Packer.cc
--- squid-3.1.0.4/src/Packer.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Packer.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Packer.cc,v 1.21 2007/04/21 07:14:13 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 60    Packer: A uniform interface to store-like modules
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/Packer.h squid-3.1.0.5/src/Packer.h
--- squid-3.1.0.4/src/Packer.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Packer.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Packer.h,v 1.2 2006/05/03 14:04:44 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/Parsing.cc squid-3.1.0.5/src/Parsing.cc
--- squid-3.1.0.4/src/Parsing.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Parsing.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Parsing.cc,v 1.4 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Parsing.h squid-3.1.0.5/src/Parsing.h
--- squid-3.1.0.4/src/Parsing.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Parsing.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Parsing.h,v 1.4 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/peer_digest.cc squid-3.1.0.5/src/peer_digest.cc
--- squid-3.1.0.4/src/peer_digest.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/peer_digest.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: peer_digest.cc,v 1.130 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 72    Peer Digest Routines
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/PeerDigest.h squid-3.1.0.5/src/PeerDigest.h
--- squid-3.1.0.4/src/PeerDigest.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/PeerDigest.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: PeerDigest.h,v 1.4 2007/09/21 11:41:52 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/peer_select.cc squid-3.1.0.5/src/peer_select.cc
--- squid-3.1.0.4/src/peer_select.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/peer_select.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: peer_select.cc,v 1.149 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 44    Peer Selection Algorithm
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/peer_sourcehash.cc squid-3.1.0.5/src/peer_sourcehash.cc
--- squid-3.1.0.4/src/peer_sourcehash.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/peer_sourcehash.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: carp.cc,v 1.27 2008/01/14 12:13:49 hno Exp $
+ * $Id$
  *
  * DEBUG: section 39    Peer source hash based selection
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/peer_userhash.cc squid-3.1.0.5/src/peer_userhash.cc
--- squid-3.1.0.4/src/peer_userhash.cc	2009-01-23 18:37:37.000000000 +1300
+++ squid-3.1.0.5/src/peer_userhash.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: carp.cc,v 1.27 2008/01/14 12:13:49 hno Exp $
+ * $Id$
  *
  * DEBUG: section 39    Peer user hash based selection
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/PingData.h squid-3.1.0.5/src/PingData.h
--- squid-3.1.0.4/src/PingData.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/PingData.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: PingData.h,v 1.1 2003/10/16 21:40:16 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ProfStats.cc squid-3.1.0.5/src/ProfStats.cc
--- squid-3.1.0.4/src/ProfStats.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ProfStats.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ProfStats.cc,v 1.10 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 81    CPU Profiling Routines
  * AUTHOR: Andres Kroonmaa
diff -u -r -N squid-3.1.0.4/src/ProtoPort.cc squid-3.1.0.5/src/ProtoPort.cc
--- squid-3.1.0.4/src/ProtoPort.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ProtoPort.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ProtoPort.cc,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  *
  */
 
diff -u -r -N squid-3.1.0.4/src/ProtoPort.h squid-3.1.0.5/src/ProtoPort.h
--- squid-3.1.0.4/src/ProtoPort.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/ProtoPort.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: ProtoPort.h,v 1.1 2008/02/11 22:24:39 rousskov Exp $
+ * $Id$
  */
 #ifndef SQUID_PROTO_PORT_H
 #define SQUID_PROTO_PORT_H
diff -u -r -N squid-3.1.0.4/src/recv-announce.cc squid-3.1.0.5/src/recv-announce.cc
--- squid-3.1.0.4/src/recv-announce.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/recv-announce.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: recv-announce.cc,v 1.26 2003/02/21 22:50:10 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 0     Announcement Server
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/redirect.cc squid-3.1.0.5/src/redirect.cc
--- squid-3.1.0.4/src/redirect.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/redirect.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: redirect.cc,v 1.125 2008/02/12 23:58:47 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 61    Redirector
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/referer.cc squid-3.1.0.5/src/referer.cc
--- squid-3.1.0.4/src/referer.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/referer.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: referer.cc,v 1.10 2007/12/18 11:34:27 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 40    Referer Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com> (useragent)
diff -u -r -N squid-3.1.0.4/src/refresh.cc squid-3.1.0.5/src/refresh.cc
--- squid-3.1.0.4/src/refresh.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/refresh.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: refresh.cc,v 1.76 2007/05/24 01:45:03 hno Exp $
+ * $Id$
  *
  * DEBUG: section 22    Refresh Calculation
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/RemovalPolicy.cc squid-3.1.0.5/src/RemovalPolicy.cc
--- squid-3.1.0.4/src/RemovalPolicy.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/RemovalPolicy.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: RemovalPolicy.cc,v 1.2 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: none          Common Removal Policy
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/RemovalPolicy.h squid-3.1.0.5/src/RemovalPolicy.h
--- squid-3.1.0.4/src/RemovalPolicy.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/RemovalPolicy.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: RemovalPolicy.h,v 1.1 2006/08/21 00:50:41 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/repl/heap/store_heap_replacement.cc squid-3.1.0.5/src/repl/heap/store_heap_replacement.cc
--- squid-3.1.0.4/src/repl/heap/store_heap_replacement.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/repl/heap/store_heap_replacement.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_heap_replacement.cc,v 1.15 2007/04/28 22:26:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Heap-based replacement
  * AUTHOR: John Dilley
diff -u -r -N squid-3.1.0.4/src/repl/heap/store_repl_heap.cc squid-3.1.0.5/src/repl/heap/store_repl_heap.cc
--- squid-3.1.0.4/src/repl/heap/store_repl_heap.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/repl/heap/store_repl_heap.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_repl_heap.cc,v 1.25 2007/04/30 16:56:19 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 81    Store HEAP Removal Policies
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/repl/lru/store_repl_lru.cc squid-3.1.0.5/src/repl/lru/store_repl_lru.cc
--- squid-3.1.0.4/src/repl/lru/store_repl_lru.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/repl/lru/store_repl_lru.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_repl_lru.cc,v 1.22 2007/04/25 11:30:19 adrian Exp $
+ * $Id$
  *
  * DEBUG: none          LRU Removal Policy
  * AUTHOR: Henrik Nordstrom
diff -u -r -N squid-3.1.0.4/src/repl/Makefile.am squid-3.1.0.5/src/repl/Makefile.am
--- squid-3.1.0.4/src/repl/Makefile.am	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/repl/Makefile.am	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.7 2005/08/20 21:08:38 serassio Exp $
+#  $Id$
 #
 
 AUTOMAKE_OPTIONS = subdir-objects
diff -u -r -N squid-3.1.0.4/src/repl/Makefile.in squid-3.1.0.5/src/repl/Makefile.in
--- squid-3.1.0.4/src/repl/Makefile.in	2009-01-23 18:38:00.000000000 +1300
+++ squid-3.1.0.5/src/repl/Makefile.in	2009-02-03 14:16:02.000000000 +1300
@@ -16,7 +16,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.7 2005/08/20 21:08:38 serassio Exp $
+#  $Id$
 #
 
 srcdir = @srcdir@
diff -u -r -N squid-3.1.0.4/src/send-announce.cc squid-3.1.0.5/src/send-announce.cc
--- squid-3.1.0.4/src/send-announce.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/send-announce.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: send-announce.cc,v 1.69 2007/12/14 23:11:48 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 27    Cache Announcer
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/Server.cc squid-3.1.0.5/src/Server.cc
--- squid-3.1.0.4/src/Server.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Server.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Server.cc,v 1.26 2008/02/18 22:51:21 rousskov Exp $
+ * $Id$
  *
  * DEBUG:
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/Server.h squid-3.1.0.5/src/Server.h
--- squid-3.1.0.4/src/Server.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Server.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Server.h,v 1.13 2008/02/12 23:55:26 rousskov Exp $
+ * $Id$
  *
  * AUTHOR: Duane Wessels
  *
diff -u -r -N squid-3.1.0.4/src/snmp_agent.cc squid-3.1.0.5/src/snmp_agent.cc
--- squid-3.1.0.4/src/snmp_agent.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/snmp_agent.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_agent.cc,v 1.98 2007/12/27 01:58:19 hno Exp $
+ * $Id$
  *
  * DEBUG: section 49    SNMP Interface
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/SquidNew.cc squid-3.1.0.5/src/SquidNew.cc
--- squid-3.1.0.4/src/SquidNew.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/SquidNew.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: SquidNew.cc,v 1.2 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: none          Memory Allocation
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/SquidString.h squid-3.1.0.5/src/SquidString.h
--- squid-3.1.0.4/src/SquidString.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/SquidString.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: SquidString.h,v 1.16 2008/02/11 23:01:23 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 67    String
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/ssl_support.cc squid-3.1.0.5/src/ssl_support.cc
--- squid-3.1.0.4/src/ssl_support.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/ssl_support.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ssl_support.cc,v 1.38 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Benno Rice
  * DEBUG: section 83    SSL accelerator support
diff -u -r -N squid-3.1.0.4/src/ssl_support.h squid-3.1.0.5/src/ssl_support.h
--- squid-3.1.0.4/src/ssl_support.h	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/ssl_support.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ssl_support.h,v 1.15 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * AUTHOR: Benno Rice
  *
diff -u -r -N squid-3.1.0.4/src/stat.cc squid-3.1.0.5/src/stat.cc
--- squid-3.1.0.4/src/stat.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/stat.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stat.cc,v 1.414 2008/02/12 23:58:47 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/StatHist.cc squid-3.1.0.5/src/StatHist.cc
--- squid-3.1.0.4/src/StatHist.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StatHist.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StatHist.cc,v 1.34 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 62    Generic Histogram
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/stmem.cc squid-3.1.0.5/src/stmem.cc
--- squid-3.1.0.4/src/stmem.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/stmem.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stmem.cc,v 1.93 2007/12/27 01:58:19 hno Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/stmem.h squid-3.1.0.5/src/stmem.h
--- squid-3.1.0.4/src/stmem.h	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/stmem.h	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stmem.h,v 1.10 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/store.cc squid-3.1.0.5/src/store.cc
--- squid-3.1.0.4/src/store.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.cc,v 1.620 2008/02/12 23:33:48 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/Store.cci squid-3.1.0.5/src/Store.cci
--- squid-3.1.0.4/src/Store.cci	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Store.cci	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Store.cci,v 1.3 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/store_client.cc squid-3.1.0.5/src/store_client.cc
--- squid-3.1.0.4/src/store_client.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_client.cc	2009-02-03 14:15:38.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_client.cc,v 1.160 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 90    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreClient.h squid-3.1.0.5/src/StoreClient.h
--- squid-3.1.0.4/src/StoreClient.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreClient.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreClient.h,v 1.15 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/store_digest.cc squid-3.1.0.5/src/store_digest.cc
--- squid-3.1.0.4/src/store_digest.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_digest.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_digest.cc,v 1.77 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 71    Store Digest Manager
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/store_dir.cc squid-3.1.0.5/src/store_dir.cc
--- squid-3.1.0.4/src/store_dir.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_dir.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir.cc,v 1.163 2007/09/28 00:22:38 hno Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreEntryStream.h squid-3.1.0.5/src/StoreEntryStream.h
--- squid-3.1.0.4/src/StoreEntryStream.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreEntryStream.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreEntryStream.h,v 1.5 2007/08/14 10:09:23 serassio Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreFileSystem.cc squid-3.1.0.5/src/StoreFileSystem.cc
--- squid-3.1.0.4/src/StoreFileSystem.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreFileSystem.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreFileSystem.cc,v 1.2 2006/05/29 00:15:01 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 92    Storage File System
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/StoreFileSystem.h squid-3.1.0.5/src/StoreFileSystem.h
--- squid-3.1.0.4/src/StoreFileSystem.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreFileSystem.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreFileSystem.h,v 1.2 2006/05/29 00:15:01 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/Store.h squid-3.1.0.5/src/Store.h
--- squid-3.1.0.4/src/Store.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/Store.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: Store.h,v 1.44 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreHashIndex.h squid-3.1.0.5/src/StoreHashIndex.h
--- squid-3.1.0.4/src/StoreHashIndex.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreHashIndex.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreHashIndex.h,v 1.5 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreIOBuffer.h squid-3.1.0.5/src/StoreIOBuffer.h
--- squid-3.1.0.4/src/StoreIOBuffer.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreIOBuffer.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreIOBuffer.h,v 1.7 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreIOState.cc squid-3.1.0.5/src/StoreIOState.cc
--- squid-3.1.0.4/src/StoreIOState.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreIOState.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreIOState.cc,v 1.6 2007/04/25 11:30:18 adrian Exp $
+ * $Id$
  *
  * DEBUG: section 20    Swap Dir base object
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/StoreIOState.h squid-3.1.0.5/src/StoreIOState.h
--- squid-3.1.0.4/src/StoreIOState.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreIOState.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreIOState.h,v 1.10 2006/08/21 00:50:41 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/store_key_md5.cc squid-3.1.0.5/src/store_key_md5.cc
--- squid-3.1.0.4/src/store_key_md5.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_key_md5.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_key_md5.cc,v 1.38 2008/02/03 10:00:30 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager MD5 Cache Keys
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/store_log.cc squid-3.1.0.5/src/store_log.cc
--- squid-3.1.0.4/src/store_log.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_log.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: store_log.cc,v 1.37 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreMeta.cc squid-3.1.0.5/src/StoreMeta.cc
--- squid-3.1.0.4/src/StoreMeta.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMeta.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMeta.cc,v 1.8 2007/12/14 20:07:15 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/StoreMeta.h squid-3.1.0.5/src/StoreMeta.h
--- squid-3.1.0.4/src/StoreMeta.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMeta.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMeta.h,v 1.3 2003/08/04 22:14:41 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaMD5.cc squid-3.1.0.5/src/StoreMetaMD5.cc
--- squid-3.1.0.4/src/StoreMetaMD5.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaMD5.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaMD5.cc,v 1.6 2007/11/15 16:47:35 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/StoreMetaMD5.h squid-3.1.0.5/src/StoreMetaMD5.h
--- squid-3.1.0.4/src/StoreMetaMD5.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaMD5.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaMD5.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaObjSize.h squid-3.1.0.5/src/StoreMetaObjSize.h
--- squid-3.1.0.4/src/StoreMetaObjSize.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaObjSize.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaObjSize.h,v 1.1 2007/09/19 08:54:51 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaSTD.cc squid-3.1.0.5/src/StoreMetaSTD.cc
--- squid-3.1.0.4/src/StoreMetaSTD.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaSTD.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaSTD.cc,v 1.5 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/StoreMetaSTD.h squid-3.1.0.5/src/StoreMetaSTD.h
--- squid-3.1.0.4/src/StoreMetaSTD.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaSTD.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaSTD.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaSTDLFS.cc squid-3.1.0.5/src/StoreMetaSTDLFS.cc
--- squid-3.1.0.4/src/StoreMetaSTDLFS.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaSTDLFS.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaSTDLFS.cc,v 1.1 2007/08/13 17:22:30 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  *
diff -u -r -N squid-3.1.0.4/src/StoreMetaSTDLFS.h squid-3.1.0.5/src/StoreMetaSTDLFS.h
--- squid-3.1.0.4/src/StoreMetaSTDLFS.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaSTDLFS.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaSTDLFS.h,v 1.2 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaUnpacker.cc squid-3.1.0.5/src/StoreMetaUnpacker.cc
--- squid-3.1.0.4/src/StoreMetaUnpacker.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaUnpacker.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaUnpacker.cc,v 1.7 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Unpacker
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/StoreMetaUnpacker.h squid-3.1.0.5/src/StoreMetaUnpacker.h
--- squid-3.1.0.4/src/StoreMetaUnpacker.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaUnpacker.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaUnpacker.h,v 1.3 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaURL.cc squid-3.1.0.5/src/StoreMetaURL.cc
--- squid-3.1.0.4/src/StoreMetaURL.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaURL.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaURL.cc,v 1.5 2007/04/28 22:26:37 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/StoreMetaURL.h squid-3.1.0.5/src/StoreMetaURL.h
--- squid-3.1.0.4/src/StoreMetaURL.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaURL.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaURL.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/StoreMetaVary.cc squid-3.1.0.5/src/StoreMetaVary.cc
--- squid-3.1.0.4/src/StoreMetaVary.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaVary.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaVary.cc,v 1.4 2004/08/30 05:12:31 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/StoreMetaVary.h squid-3.1.0.5/src/StoreMetaVary.h
--- squid-3.1.0.4/src/StoreMetaVary.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreMetaVary.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreMetaVary.h,v 1.5 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/store_rebuild.cc squid-3.1.0.5/src/store_rebuild.cc
--- squid-3.1.0.4/src/store_rebuild.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_rebuild.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_rebuild.cc,v 1.89 2007/04/28 22:26:38 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Store Rebuild Routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreSearch.h squid-3.1.0.5/src/StoreSearch.h
--- squid-3.1.0.4/src/StoreSearch.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreSearch.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreSearch.h,v 1.1 2005/01/03 16:08:25 robertc Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/store_swapin.cc squid-3.1.0.5/src/store_swapin.cc
--- squid-3.1.0.4/src/store_swapin.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_swapin.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapin.cc,v 1.40 2007/04/28 22:26:38 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapin Functions
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreSwapLogData.cc squid-3.1.0.5/src/StoreSwapLogData.cc
--- squid-3.1.0.4/src/StoreSwapLogData.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreSwapLogData.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreSwapLogData.cc,v 1.4 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/StoreSwapLogData.h squid-3.1.0.5/src/StoreSwapLogData.h
--- squid-3.1.0.4/src/StoreSwapLogData.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/StoreSwapLogData.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: StoreSwapLogData.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -u -r -N squid-3.1.0.4/src/store_swapmeta.cc squid-3.1.0.5/src/store_swapmeta.cc
--- squid-3.1.0.4/src/store_swapmeta.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_swapmeta.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapmeta.cc,v 1.28 2008/01/07 17:12:28 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/store_swapout.cc squid-3.1.0.5/src/store_swapout.cc
--- squid-3.1.0.4/src/store_swapout.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/store_swapout.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapout.cc,v 1.120 2007/08/16 22:03:32 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager Swapout Functions
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/String.cc squid-3.1.0.5/src/String.cc
--- squid-3.1.0.4/src/String.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/String.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: String.cc,v 1.30 2008/01/23 23:08:58 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 67    String
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/String.cci squid-3.1.0.5/src/String.cci
--- squid-3.1.0.4/src/String.cci	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/String.cci	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: String.cci,v 1.12 2008/02/11 23:01:23 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 67    String
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/SwapDir.cc squid-3.1.0.5/src/SwapDir.cc
--- squid-3.1.0.4/src/SwapDir.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/SwapDir.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: SwapDir.cc,v 1.14 2007/08/13 17:20:51 hno Exp $
+ * $Id$
  *
  * DEBUG: section 20    Swap Dir base object
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/SwapDir.h squid-3.1.0.5/src/SwapDir.h
--- squid-3.1.0.4/src/SwapDir.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/SwapDir.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: SwapDir.h,v 1.15 2007/09/28 00:22:37 hno Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/tests/stub_access_log.cc squid-3.1.0.5/src/tests/stub_access_log.cc
--- squid-3.1.0.4/src/tests/stub_access_log.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_access_log.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_access_log.cc,v 1.1 2006/04/18 12:46:13 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_acl.cc squid-3.1.0.5/src/tests/stub_acl.cc
--- squid-3.1.0.4/src/tests/stub_acl.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_acl.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_acl.cc,v 1.1 2004/08/30 03:29:02 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_cache_cf.cc squid-3.1.0.5/src/tests/stub_cache_cf.cc
--- squid-3.1.0.4/src/tests/stub_cache_cf.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_cache_cf.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_cache_cf.cc,v 1.4 2007/04/06 12:15:52 serassio Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_client_side_request.cc squid-3.1.0.5/src/tests/stub_client_side_request.cc
--- squid-3.1.0.4/src/tests/stub_client_side_request.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_client_side_request.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_client_side_request.cc,v 1.1 2006/04/25 07:13:34 robertc Exp $
+ * $Id$
  *
  * AUTHOR: Robert Collins
  *
diff -u -r -N squid-3.1.0.4/src/tests/stub_comm.cc squid-3.1.0.5/src/tests/stub_comm.cc
--- squid-3.1.0.4/src/tests/stub_comm.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_comm.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_comm.cc,v 1.7 2008/02/26 00:19:59 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_DelayId.cc squid-3.1.0.5/src/tests/stub_DelayId.cc
--- squid-3.1.0.4/src/tests/stub_DelayId.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_DelayId.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_DelayId.cc,v 1.1 2006/04/18 12:46:13 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_errorpage.cc squid-3.1.0.5/src/tests/stub_errorpage.cc
--- squid-3.1.0.4/src/tests/stub_errorpage.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_errorpage.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_errorpage.cc,v 1.3 2006/08/21 00:50:47 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_fd.cc squid-3.1.0.5/src/tests/stub_fd.cc
--- squid-3.1.0.4/src/tests/stub_fd.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_fd.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_fd.cc,v 1.1 2005/01/03 16:08:27 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_helper.cc squid-3.1.0.5/src/tests/stub_helper.cc
--- squid-3.1.0.4/src/tests/stub_helper.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_helper.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_helper.cc,v 1.3 2007/05/07 19:54:58 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_http.cc squid-3.1.0.5/src/tests/stub_http.cc
--- squid-3.1.0.4/src/tests/stub_http.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_http.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_http.cc,v 1.1 2005/01/03 16:08:27 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_HttpReply.cc squid-3.1.0.5/src/tests/stub_HttpReply.cc
--- squid-3.1.0.4/src/tests/stub_HttpReply.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_HttpReply.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_HttpReply.cc,v 1.5 2008/01/20 08:54:33 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_HttpRequest.cc squid-3.1.0.5/src/tests/stub_HttpRequest.cc
--- squid-3.1.0.4/src/tests/stub_HttpRequest.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_HttpRequest.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_HttpRequest.cc,v 1.5 2008/01/20 08:54:33 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_internal.cc squid-3.1.0.5/src/tests/stub_internal.cc
--- squid-3.1.0.4/src/tests/stub_internal.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_internal.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_internal.cc,v 1.1 2005/01/03 16:08:27 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_MemObject.cc squid-3.1.0.5/src/tests/stub_MemObject.cc
--- squid-3.1.0.4/src/tests/stub_MemObject.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_MemObject.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_MemObject.cc,v 1.8 2007/08/14 02:14:44 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_mime.cc squid-3.1.0.5/src/tests/stub_mime.cc
--- squid-3.1.0.4/src/tests/stub_mime.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_mime.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_mime.cc,v 1.1 2006/04/18 12:46:13 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_store.cc squid-3.1.0.5/src/tests/stub_store.cc
--- squid-3.1.0.4/src/tests/stub_store.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_store.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_store.cc,v 1.3 2007/04/21 07:14:20 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_store_client.cc squid-3.1.0.5/src/tests/stub_store_client.cc
--- squid-3.1.0.4/src/tests/stub_store_client.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_store_client.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_store_client.cc,v 1.4 2007/08/17 00:56:40 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_store_rebuild.cc squid-3.1.0.5/src/tests/stub_store_rebuild.cc
--- squid-3.1.0.4/src/tests/stub_store_rebuild.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_store_rebuild.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_store_rebuild.cc,v 1.1 2005/01/03 16:08:27 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_store_swapout.cc squid-3.1.0.5/src/tests/stub_store_swapout.cc
--- squid-3.1.0.4/src/tests/stub_store_swapout.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_store_swapout.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_store_swapout.cc,v 1.3 2007/04/17 23:05:20 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/tests/stub_tools.cc squid-3.1.0.5/src/tests/stub_tools.cc
--- squid-3.1.0.4/src/tests/stub_tools.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/stub_tools.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: stub_tools.cc,v 1.3 2006/09/14 20:13:23 serassio Exp $
+ * $Id$
  *
  * AUTHOR: Robert Collins
  *
diff -u -r -N squid-3.1.0.4/src/tests/test_http_range.cc squid-3.1.0.5/src/tests/test_http_range.cc
--- squid-3.1.0.4/src/tests/test_http_range.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tests/test_http_range.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: test_http_range.cc,v 1.3 2007/05/29 13:31:48 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 64    HTTP Range Header
  * AUTHOR: Alex Rousskov
diff -u -r -N squid-3.1.0.4/src/time.cc squid-3.1.0.5/src/time.cc
--- squid-3.1.0.4/src/time.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/time.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: time.cc,v 1.4 2007/12/14 23:11:48 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 21    Time Functions
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/tools.cc squid-3.1.0.5/src/tools.cc
--- squid-3.1.0.4/src/tools.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tools.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: tools.cc,v 1.281 2008/02/11 22:44:50 rousskov Exp $
+ * $Id$
  *
  * DEBUG: section 21    Misc Functions
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/tunnel.cc squid-3.1.0.5/src/tunnel.cc
--- squid-3.1.0.4/src/tunnel.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/tunnel.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tunnel.cc,v 1.177 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 26    Secure Sockets Layer Proxy
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/typedefs.h squid-3.1.0.5/src/typedefs.h
--- squid-3.1.0.4/src/typedefs.h	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/typedefs.h	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.194 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/ufsdump.cc squid-3.1.0.5/src/ufsdump.cc
--- squid-3.1.0.4/src/ufsdump.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/ufsdump.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ufsdump.cc,v 1.11 2007/11/15 16:47:35 wessels Exp $
+ * $Id$
  *
  * DEBUG: section 0     UFS Store Dump
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/unlinkd.cc squid-3.1.0.5/src/unlinkd.cc
--- squid-3.1.0.4/src/unlinkd.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/unlinkd.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: unlinkd.cc,v 1.65 2007/12/14 23:11:48 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 2     Unlink Daemon
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/unlinkd_daemon.cc squid-3.1.0.5/src/unlinkd_daemon.cc
--- squid-3.1.0.4/src/unlinkd_daemon.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/unlinkd_daemon.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: unlinkd_daemon.cc,v 1.2 2008/02/26 21:49:35 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: -             Unlink Daemon
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/url.cc squid-3.1.0.5/src/url.cc
--- squid-3.1.0.4/src/url.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/url.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: url.cc,v 1.165 2008/02/03 10:00:30 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 23    URL Parsing
  * AUTHOR: Duane Wessels
diff -u -r -N squid-3.1.0.4/src/URL.h squid-3.1.0.5/src/URL.h
--- squid-3.1.0.4/src/URL.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/URL.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: URL.h,v 1.2 2008/02/26 21:49:34 amosjeffries Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/URLScheme.cc squid-3.1.0.5/src/URLScheme.cc
--- squid-3.1.0.4/src/URLScheme.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/URLScheme.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: URLScheme.cc,v 1.1 2006/05/08 23:38:33 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 23    URL Scheme parsing
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/src/URLScheme.h squid-3.1.0.5/src/URLScheme.h
--- squid-3.1.0.4/src/URLScheme.h	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/URLScheme.h	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: URLScheme.h,v 1.2 2006/05/10 23:40:38 wessels Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/src/urn.cc squid-3.1.0.5/src/urn.cc
--- squid-3.1.0.4/src/urn.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/urn.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: urn.cc,v 1.109 2008/01/20 08:54:28 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 52    URN Parsing
  * AUTHOR: Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/useragent.cc squid-3.1.0.5/src/useragent.cc
--- squid-3.1.0.4/src/useragent.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/useragent.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: useragent.cc,v 1.31 2007/04/28 22:26:38 hno Exp $
+ * $Id$
  *
  * DEBUG: section 40    User-Agent Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
diff -u -r -N squid-3.1.0.4/src/wccp.cc squid-3.1.0.5/src/wccp.cc
--- squid-3.1.0.4/src/wccp.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/wccp.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wccp.cc,v 1.45 2007/12/14 23:11:48 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 80    WCCP Support
  * AUTHOR: Glenn Chisholm
diff -u -r -N squid-3.1.0.4/src/whois.cc squid-3.1.0.5/src/whois.cc
--- squid-3.1.0.4/src/whois.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/whois.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: whois.cc,v 1.45 2007/05/29 13:31:41 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 75    WHOIS protocol
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
diff -u -r -N squid-3.1.0.4/src/win32.cc squid-3.1.0.5/src/win32.cc
--- squid-3.1.0.4/src/win32.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/win32.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: win32.cc,v 1.27 2008/01/20 17:13:22 serassio Exp $
+ * $Id$
  *
  * Windows support
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
@@ -62,13 +62,11 @@
 
     localhost.SetLocalhost();
 
-#if !IPV6_SPECIAL_LOCALHOST
     /* INET6: back-compatible: localhost pipes default to IPv4 unless set otherwise.
      *        it is blocked by untested helpers on many admins configs
      *        if this proves to be wrong it can die easily.
      */
     localhost.SetIPv4();
-#endif
 
     handles[0] = handles[1] = -1;
 
diff -u -r -N squid-3.1.0.4/src/WinSvc.cc squid-3.1.0.5/src/WinSvc.cc
--- squid-3.1.0.4/src/WinSvc.cc	2009-01-23 18:37:36.000000000 +1300
+++ squid-3.1.0.5/src/WinSvc.cc	2009-02-03 14:15:37.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: WinSvc.cc,v 1.6 2008/02/17 19:30:12 serassio Exp $
+ * $Id$
  *
  * Windows support
  * AUTHOR: Guido Serassio <serassio@squid-cache.org>
diff -u -r -N squid-3.1.0.4/src/wordlist.cc squid-3.1.0.5/src/wordlist.cc
--- squid-3.1.0.4/src/wordlist.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/wordlist.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wordlist.cc,v 1.1 2006/04/23 11:10:32 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
diff -u -r -N squid-3.1.0.4/src/wordlist.h squid-3.1.0.5/src/wordlist.h
--- squid-3.1.0.4/src/wordlist.h	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/src/wordlist.h	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: wordlist.h,v 1.1 2006/04/23 11:10:32 robertc Exp $
+ * $Id$
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
diff -u -r -N squid-3.1.0.4/test-suite/debug.cc squid-3.1.0.5/test-suite/debug.cc
--- squid-3.1.0.4/test-suite/debug.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/debug.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: debug.cc,v 1.2 2003/07/08 22:38:50 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/ESIExpressions.cc squid-3.1.0.5/test-suite/ESIExpressions.cc
--- squid-3.1.0.4/test-suite/ESIExpressions.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/ESIExpressions.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIExpressions.cc,v 1.1 2003/07/14 14:16:12 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 86		ESI Expressions
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/Makefile.am squid-3.1.0.5/test-suite/Makefile.am
--- squid-3.1.0.4/test-suite/Makefile.am	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/Makefile.am	2009-02-03 14:15:39.000000000 +1300
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.20 2007/01/04 20:52:57 hno Exp $
+#  $Id$
 #
 
 AUTOMAKE_OPTIONS = subdir-objects
diff -u -r -N squid-3.1.0.4/test-suite/Makefile.in squid-3.1.0.5/test-suite/Makefile.in
--- squid-3.1.0.4/test-suite/Makefile.in	2009-01-23 18:38:01.000000000 +1300
+++ squid-3.1.0.5/test-suite/Makefile.in	2009-02-03 14:16:03.000000000 +1300
@@ -17,7 +17,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.20 2007/01/04 20:52:57 hno Exp $
+#  $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
diff -u -r -N squid-3.1.0.4/test-suite/mem_hdr_test.cc squid-3.1.0.5/test-suite/mem_hdr_test.cc
--- squid-3.1.0.4/test-suite/mem_hdr_test.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/mem_hdr_test.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_hdr_test.cc,v 1.6 2007/08/15 04:08:30 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/mem_node_test.cc squid-3.1.0.5/test-suite/mem_node_test.cc
--- squid-3.1.0.4/test-suite/mem_node_test.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/mem_node_test.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_node_test.cc,v 1.6 2004/08/30 03:29:03 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/MemPoolTest.cc squid-3.1.0.5/test-suite/MemPoolTest.cc
--- squid-3.1.0.4/test-suite/MemPoolTest.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/MemPoolTest.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: MemPoolTest.cc,v 1.6 2006/09/03 21:05:22 hno Exp $
+ * $Id$
  *
  * AUTHOR: Robert Collins
  *
diff -u -r -N squid-3.1.0.4/test-suite/refcount.cc squid-3.1.0.5/test-suite/refcount.cc
--- squid-3.1.0.4/test-suite/refcount.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/refcount.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: refcount.cc,v 1.4 2003/08/04 22:14:58 robertc Exp $
+ * $Id$
  *
  * DEBUG: section xx    Refcount allocator
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/rfc1738.cc squid-3.1.0.5/test-suite/rfc1738.cc
--- squid-3.1.0.4/test-suite/rfc1738.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/rfc1738.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1738.cc,v 1.1 2003/04/22 01:37:44 robertc Exp $
+ * $Id$
  *
  * DEBUG: section xx    RFC 1738 string [un]escaping
  * AUTHOR:  Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/splay.cc squid-3.1.0.5/test-suite/splay.cc
--- squid-3.1.0.4/test-suite/splay.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/splay.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.cc,v 1.8 2006/04/25 10:40:29 serassio Exp $
+ * $Id$
  *
  * based on ftp://ftp.cs.cmu.edu/user/sleator/splaying/top-down-splay.c
  * http://bobo.link.cs.cmu.edu/cgi-bin/splay/splay-cgi.pl
diff -u -r -N squid-3.1.0.4/test-suite/StackTest.cc squid-3.1.0.5/test-suite/StackTest.cc
--- squid-3.1.0.4/test-suite/StackTest.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/StackTest.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StackTest.cc,v 1.1 2003/07/14 10:36:44 robertc Exp $
+ * $Id$
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
diff -u -r -N squid-3.1.0.4/test-suite/syntheticoperators.cc squid-3.1.0.5/test-suite/syntheticoperators.cc
--- squid-3.1.0.4/test-suite/syntheticoperators.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/syntheticoperators.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: syntheticoperators.cc,v 1.1 2003/07/10 01:31:51 robertc Exp $
+ * $Id$
  *
  * AUTHOR: Robert Collins
  *
diff -u -r -N squid-3.1.0.4/test-suite/tcp-banger2.c squid-3.1.0.5/test-suite/tcp-banger2.c
--- squid-3.1.0.4/test-suite/tcp-banger2.c	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/tcp-banger2.c	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 #include "config.h"
 
-/* $Id: tcp-banger2.c,v 1.25 2006/09/26 12:31:11 hno Exp $ */
+/* $Id$
 
 /*
  * On some systems, FD_SETSIZE is set to something lower than the
diff -u -r -N squid-3.1.0.4/test-suite/test_tools.cc squid-3.1.0.5/test-suite/test_tools.cc
--- squid-3.1.0.4/test-suite/test_tools.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/test_tools.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,5 +1,5 @@
 /*
- * $Id: test_tools.cc,v 1.11 2008/02/26 18:52:54 rousskov Exp $
+ * $Id$
  */
 
 // XXX: This file is made of large pieces of src/debug.cc and src/tools.cc
diff -u -r -N squid-3.1.0.4/test-suite/VirtualDeleteOperator.cc squid-3.1.0.5/test-suite/VirtualDeleteOperator.cc
--- squid-3.1.0.4/test-suite/VirtualDeleteOperator.cc	2009-01-23 18:37:38.000000000 +1300
+++ squid-3.1.0.5/test-suite/VirtualDeleteOperator.cc	2009-02-03 14:15:39.000000000 +1300
@@ -1,6 +1,6 @@
 
 /*
- * $Id: VirtualDeleteOperator.cc,v 1.2 2004/08/15 17:41:28 robertc Exp $
+ * $Id$
  *
  * AUTHOR: Robert Collins
  *
